# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: MIT

"""
Language data definitions.

This is an automatically generated file, see scripts/generate-language-data.py

Do not edit, please adjust language definitions in following repository:
https://github.com/WeblateOrg/language-data
"""
# pylint: disable=line-too-long,too-many-lines

# Language aliases
ALIASES: dict[str, str] = {
    "braz_por": "pt_BR",
    "chinese": "zh_Hans",
    "chinese_chs": "zh_Hans",
    "schinese": "zh_Hans",
    "chinese_zh": "zh_Hans",
    "tchinese": "zh_Hant",
    "dutch_be": "nl_BE",
    "flemish": "nl_BE",
    "english_uk": "en_GB",
    "portuguese_br": "pt_BR",
    "portuguese_portugal": "pt_PT",
    "serbo_croatian": "sr_Latn",
    "mspanish": "es_MX",
    "norwegian": "nb_NO",
    "xbelorussian": "be",
    "be_rby": "be_Latn",
    "qz_mm": "my@Zawgyi",
    "es_la": "es",
    "bp": "pt_BR",
    "val_es": "ca@valencia",
    "no_nb": "nb_NO",
    "nb_nb": "nb_NO",
    "no_no": "nb_NO",
    "es_eu": "eu",
    "ru_r": "ru",
    "ru_rr": "ru",
    "ar_ar": "ar",
    "jp": "ja",
    "jp_jpn": "ja",
    "ba_ck": "ba",
    "ca_ps": "ca",
    "by": "be",
    "ua": "uk",
    "ua_ua": "uk",
    "uk_uk": "uk",
    "en_en": "en",
    "cn": "zh_Hans",
    "sl_sl": "sl",
    "pu": "pa",
    "ja_ja": "ja",
    "ko_ko": "ko",
    "cs_cs": "cs",
    "la_la": "la",
    "da_da": "da",
    "et_et": "et",
    "fil_fil": "fil",
    "he_he": "he",
    "ca_ca": "ca",
    "ht_ht": "ht",
    "in": "id",
    "iw": "he",
    "iw_il": "he",
    "iw_he": "he",
    "in_id": "id",
    "ji": "yi",
    "jw": "jv",
    "mo": "ro_MD",
    "scc": "sr",
    "scr": "hr",
    "sh": "sr_Latn",
    "no": "nb_NO",
    "np": "ne",
    "pk": "ur_PK",
    "sr_cs": "sr",
    "sr_me": "cnr",
    "sr_latn_rs": "sr_Latn",
    "sr_cyrl_rs": "sr_Cyrl",
    "bs_latn_ba": "bs_Latn",
    "ary": "ar_MA",
    "az_ir": "azb",
    "be@latin": "be_Latn",
    "by_lat": "be_Latn",
    "cdo": "cdo_Hant",
    "cdo_hani": "cdo_Hant",
    "cpx": "cpx_Hant",
    "pr": "en@pirate",
    "gan": "gan_Hant",
    "hak": "hak_Hant",
    "kk_cyrl": "kk",
    "kk@latin": "kk_Latn",
    "ku_iq": "kmr",
    "nan": "nan_Hant",
    "nan_hani": "nan_Hant",
    "nan_latn": "nan_Latn_pehoeji",
    "nb": "nb_NO",
    "sr_rs@cyrillic": "sr_Cyrl",
    "sr@cyrillic": "sr_Cyrl",
    "sr_rs@latin": "sr_Latn",
    "sr@latin": "sr_Latn",
    "tlh-qaak": "tlh_Qaak",
    "uz@cyrillic": "uz",
    "uz@latin": "uz_Latn",
    "uz@latn": "uz_Latn",
    "wuu": "wuu_Hant",
    "yue": "yue_Hant",
    "cmn": "zh_Hans",
    "cmn_hans": "zh_Hans",
    "zh": "zh_Hans",
    "zh_chs": "zh_Hans",
    "zh_cmn_hans": "zh_Hans",
    "zh_cn": "zh_Hans",
    "zh_hans_cn": "zh_Hans",
    "zhcn": "zh_Hans",
    "zh_sg": "zh_Hans_SG",
    "cmn_hant": "zh_Hant",
    "zh_cht": "zh_Hant",
    "zh_cmn_hant": "zh_Hant",
    "zh_hant_tw": "zh_Hant",
    "zh_hant@zh": "zh_Hant",
    "zh_tw": "zh_Hant",
    "zhtw": "zh_Hant",
    "zh_hk": "zh_Hant_HK",
    "zh_latn_pinyin": "zh_Latn",
    "zh_latn@pinyin": "zh_Latn",
    "sr@ije": "sr@ijekavian",
    "sr@ijekavianlatin": "sr@ijekavian_Latn",
    "base": "en",
    "source": "en",
    "de_fo": "de@formal",
    "de_form": "de@formal",
    "de_de_x_formal": "de@formal",
    "de_de_x_informal": "de@informal",
    "fr_fo": "fr@formal",
    "fr_form": "fr@formal",
    "fr_fr_x_formal": "fr@formal",
    "fr_fr_x_informal": "fr@informal",
    "lah": "pa_PK",
    "pa_arab": "pa_PK",
    "pa_arab_pk": "pa_PK",
    "pnb": "pa_PK",
    "dgo": "doi",
    "dk": "da",
    "me": "cnr",
    "me_cyrl": "cnr_Cyrl",
    "gr": "el",
    "rs": "sr",
    "kz": "kk",
    "lk": "si",
    "us": "en_US",
    "vn": "vi",
    "bd": "bn",
    "eg": "ar_EG",
    "ca_es@valencia": "ca@valencia",
    "ca_xv": "ca@valencia",
    "ca_valencia": "ca@valencia",
    "va": "ca@valencia",
    "ang@latin": "ang",
    "cz": "cs",
    "eng_gb": "en_GB",
    "fin_fi": "fi",
    "fra_fr": "fr",
    "glg_es": "gl",
    "deu_de": "de",
    "ita_it": "it",
    "jpn_jp": "ja",
    "kab_kab": "kab",
    "kor_kr": "ko",
    "fas_ir": "fa",
    "por_br": "pt_BR",
    "por_pt": "pt",
    "swe_se": "sv",
    "ur_ur": "ur",
    "fa_af": "prs",
    "svk": "sk",
    "ptb": "pt_BR",
    "enu": "en_US",
    "bgr": "bg",
    "ptg": "pt",
    "esp": "es",
    "cht": "zh_Hant",
    "chs": "zh_Hans",
    "sve": "sv",
    "csy": "cs",
    "plk": "pl",
    "trk": "tr",
    "des": "de_CH",
    "ena": "en_AU",
    "enp": "en",
    "frb": "fr_BE",
    "gae": "gd",
    "its": "it_CH",
    "nlb": "nl_BE",
    "sky": "sk",
    "srl": "sr_Latn",
    "srb": "sr_Cyrl",
    "ajp": "apc",
    "aar": "aa",
    "abk": "ab",
    "afr": "af",
    "aka": "ak",
    "alb": "sq",
    "amh": "am",
    "ara": "ar",
    "arg": "an",
    "arm": "hy",
    "asm": "as",
    "ava": "av",
    "ave": "ae",
    "aym": "ay",
    "aze": "az",
    "bak": "ba",
    "bam": "bm",
    "baq": "eu",
    "bel": "be",
    "ben": "bn",
    "bih": "bh",
    "bis": "bi",
    "bod": "bo",
    "bos": "bs",
    "bre": "br",
    "bul": "bg",
    "bur": "my",
    "cat": "ca",
    "ces": "cs",
    "cha": "ch",
    "che": "ce",
    "chi": "zh_Hans",
    "chu": "cu",
    "chv": "cv",
    "cor": "kw",
    "cos": "co",
    "cre": "cr",
    "cym": "cy",
    "cze": "cs",
    "dan": "da",
    "deu": "de",
    "div": "dv",
    "dut": "nl",
    "dzo": "dz",
    "ell": "el",
    "eng": "en",
    "epo": "eo",
    "est": "et",
    "eus": "eu",
    "ewe": "ee",
    "fao": "fo",
    "fas": "fa",
    "fij": "fj",
    "fin": "fi",
    "fra": "fr",
    "fre": "fr",
    "fry": "fy",
    "ful": "ff",
    "geo": "ka",
    "ger": "de",
    "gla": "gd",
    "gle": "ga",
    "glg": "gl",
    "glv": "gv",
    "gre": "el",
    "grn": "gn",
    "guj": "gu",
    "hat": "ht",
    "hau": "ha",
    "hbs": "sr_Latn",
    "heb": "he",
    "her": "hz",
    "hin": "hi",
    "hmo": "ho",
    "hrv": "hr",
    "hun": "hu",
    "hye": "hy",
    "ibo": "ig",
    "ice": "is",
    "ido": "io",
    "iii": "ii",
    "iku": "iu",
    "ile": "ie",
    "ina": "ia",
    "ind": "id",
    "ipk": "ik",
    "isl": "is",
    "ita": "it",
    "jav": "jv",
    "jpn": "ja",
    "kal": "kl",
    "kan": "kn",
    "kas": "ks",
    "kat": "ka",
    "kau": "kr",
    "kaz": "kk",
    "khm": "km",
    "kik": "ki",
    "kin": "rw",
    "kir": "ky",
    "kom": "kv",
    "kon": "kg",
    "kor": "ko",
    "kua": "kj",
    "kur": "ku",
    "lao": "lo",
    "lat": "la",
    "lav": "lv",
    "lim": "li",
    "lin": "ln",
    "lit": "lt",
    "ltz": "lb",
    "lub": "lu",
    "lug": "lg",
    "mac": "mk",
    "mah": "mh",
    "mal": "ml",
    "mao": "mi",
    "mar": "mr",
    "may": "ms",
    "mkd": "mk",
    "mlg": "mg",
    "mlt": "mt",
    "mon": "mn",
    "mri": "mi",
    "msa": "ms",
    "mya": "my",
    "nau": "na",
    "nav": "nv",
    "nbl": "nr",
    "nde": "nd",
    "ndo": "ng",
    "nep": "ne",
    "nld": "nl",
    "nno": "nn",
    "nob": "nb_NO",
    "nor": "nb_NO",
    "nya": "ny",
    "oci": "oc",
    "oji": "oj",
    "ori": "or",
    "orm": "om",
    "oss": "os",
    "pan": "pa",
    "per": "fa",
    "pli": "pi",
    "pol": "pl",
    "por": "pt",
    "pus": "ps",
    "que": "qu",
    "roh": "rm",
    "ron": "ro",
    "rum": "ro",
    "run": "rn",
    "rus": "ru",
    "sag": "sg",
    "san": "sa",
    "sin": "si",
    "slk": "sk",
    "slo": "sk",
    "slv": "sl",
    "sme": "se",
    "smo": "sm",
    "sna": "sn",
    "snd": "sd",
    "som": "so",
    "sot": "st",
    "spa": "es",
    "sqi": "sq",
    "srd": "sc",
    "srp": "sr",
    "ssw": "ss",
    "sun": "su",
    "swa": "sw",
    "swe": "sv",
    "tah": "ty",
    "tam": "ta",
    "tat": "tt",
    "tel": "te",
    "tgk": "tg",
    "tgl": "tl",
    "tha": "th",
    "tib": "bo",
    "tir": "ti",
    "ton": "to",
    "tsn": "tn",
    "tso": "ts",
    "tuk": "tk",
    "tur": "tr",
    "twi": "tw",
    "uig": "ug",
    "ukr": "uk",
    "urd": "ur",
    "uzb": "uz",
    "ven": "ve",
    "vie": "vi",
    "vol": "vo",
    "wel": "cy",
    "wln": "wa",
    "wol": "wo",
    "xho": "xh",
    "yid": "yi",
    "yor": "yo",
    "zha": "za",
    "zho": "zh_Hant",
    "zul": "zu",
    "adp": "dz",
    "ajt": "aeb",
    "aju": "jrb",
    "als": "sq",
    "arb": "ar",
    "ayr": "ay",
    "azj": "az",
    "bcc": "bal",
    "bcl": "bik",
    "bhk": "fbl",
    "blg": "iba",
    "bxk": "luy",
    "bxr": "bua",
    "cld": "syr",
    "cwd": "cr",
    "daf": "dnj",
    "dhd": "mwr",
    "dik": "din",
    "diq": "zza",
    "drh": "mn",
    "ekk": "et",
    "emk": "man",
    "esk": "ik",
    "fuc": "ff",
    "gaz": "om",
    "gbo": "grb",
    "gno": "gon",
    "gya": "gba",
    "hdn": "hai",
    "hea": "hmn",
    "ike": "iu",
    "khk": "mn",
    "knc": "kr",
    "kng": "kg",
    "knn": "kok",
    "kpv": "kv",
    "kxl": "kru",
    "lvs": "lv",
    "mol": "ro",
    "mup": "raj",
    "npi": "ne",
    "ojg": "oj",
    "ory": "or",
    "pbu": "ps",
    "pes": "fa",
    "plt": "mg",
    "quz": "qu",
    "rmy": "rom",
    "smd": "kmb",
    "snb": "iba",
    "spy": "kln",
    "src": "sc",
    "swh": "sw",
    "ttq": "tmh",
    "umu": "del",
    "uzn": "uz",
    "xpe": "kpe",
    "xsl": "den",
    "ydd": "yi",
    "zai": "zap",
    "zsm": "ms",
    "zyb": "za",
    "prp": "gu",
    "ais": "szy",
    "cls": "sa",
}
