# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: MIT

"""
Language data definitions.

This is an automatically generated file, see scripts/generate-language-data.py

Do not edit, please adjust language definitions in following repository:
https://github.com/WeblateOrg/language-data
"""
# pylint: disable=line-too-long,too-many-lines

# Known language codes
LANGUAGES: set[str] = {
    "aa",
    "aar",
    "ab",
    "abk",
    "abr",
    "ace",
    "ach",
    "ada",
    "adp",
    "ady",
    "ae",
    "aeb",
    "af",
    "afh",
    "afr",
    "aii",
    "ain",
    "ais",
    "ajp",
    "ajt",
    "aju",
    "ak",
    "aka",
    "akk",
    "alb",
    "ale",
    "aln",
    "als",
    "alt",
    "am",
    "amh",
    "ami",
    "an",
    "ang",
    "ang@latin",
    "anp",
    "apc",
    "apd",
    "ar",
    "ar_ar",
    "ar_bh",
    "ar_dz",
    "ar_eg",
    "ar_kw",
    "ar_ly",
    "ar_ma",
    "ar_sa",
    "ar_xb",
    "ar_ye",
    "ara",
    "arb",
    "arc",
    "arg",
    "arm",
    "arn",
    "arp",
    "arq",
    "ars",
    "arw",
    "ary",
    "arz",
    "as",
    "asa",
    "asm",
    "ast",
    "av",
    "ava",
    "ave",
    "avk",
    "awa",
    "ay",
    "ayc",
    "aym",
    "ayr",
    "az",
    "az_ir",
    "azb",
    "aze",
    "azj",
    "ba",
    "ba_ck",
    "bak",
    "bal",
    "bam",
    "ban",
    "baq",
    "bar",
    "bas",
    "base",
    "bbc",
    "bcc",
    "bci",
    "bcl",
    "bd",
    "be",
    "be@latin",
    "be_latn",
    "be_rby",
    "bej",
    "bel",
    "bem",
    "ben",
    "ber",
    "bew",
    "bez",
    "bg",
    "bgc",
    "bgn",
    "bgr",
    "bh",
    "bhb",
    "bhi",
    "bhk",
    "bho",
    "bi",
    "bih",
    "bik",
    "bin",
    "bis",
    "bjj",
    "bjn",
    "bla",
    "blg",
    "blo",
    "bm",
    "bn",
    "bn_bd",
    "bn_in",
    "bnt",
    "bo",
    "bo_cn",
    "bod",
    "bos",
    "bp",
    "bqi",
    "br",
    "bra",
    "braz_por",
    "brb",
    "bre",
    "brh",
    "brx",
    "bs",
    "bs_cyrl",
    "bs_latn",
    "bs_latn_ba",
    "bua",
    "bug",
    "bul",
    "bum",
    "bur",
    "bxk",
    "bxr",
    "by",
    "by_lat",
    "byn",
    "ca",
    "ca@valencia",
    "ca_ad",
    "ca_ca",
    "ca_es@valencia",
    "ca_ps",
    "ca_valencia",
    "ca_xv",
    "cad",
    "cak",
    "car",
    "cat",
    "cdo",
    "cdo_hani",
    "cdo_hans",
    "cdo_hant",
    "cdo_latn",
    "ce",
    "ceb",
    "ces",
    "cgg",
    "ch",
    "cha",
    "chb",
    "che",
    "chg",
    "chi",
    "chinese",
    "chinese_chs",
    "chinese_zh",
    "chk",
    "chm",
    "chn",
    "cho",
    "chp",
    "chr",
    "chs",
    "cht",
    "chu",
    "chv",
    "chy",
    "ckb",
    "ckb_iq",
    "ckb_ir",
    "cld",
    "cls",
    "cmn",
    "cmn_hans",
    "cmn_hant",
    "cn",
    "cnr",
    "cnr_cyrl",
    "co",
    "cop",
    "cor",
    "cos",
    "cpe",
    "cpf",
    "cpp",
    "cpx",
    "cpx_hans",
    "cpx_hant",
    "cpx_latn",
    "cr",
    "cre",
    "crh",
    "crp",
    "cs",
    "cs_cs",
    "csb",
    "csw",
    "csy",
    "cu",
    "cv",
    "cwd",
    "cy",
    "cym",
    "cz",
    "cze",
    "da",
    "da_da",
    "daf",
    "dak",
    "dan",
    "dar",
    "dcc",
    "de",
    "de@formal",
    "de@informal",
    "de_1901",
    "de_at",
    "de_ch",
    "de_de_x_formal",
    "de_de_x_informal",
    "de_fo",
    "de_form",
    "de_lu",
    "del",
    "den",
    "des",
    "deu",
    "deu_de",
    "dgo",
    "dgr",
    "dhd",
    "dik",
    "din",
    "diq",
    "div",
    "dje",
    "dk",
    "dnj",
    "dnk",
    "doi",
    "drh",
    "dru",
    "dry",
    "dsb",
    "dua",
    "dum",
    "dut",
    "dutch_be",
    "dv",
    "dyu",
    "dz",
    "dzo",
    "ee",
    "efi",
    "eg",
    "egl",
    "egy",
    "eka",
    "ekk",
    "el",
    "ell",
    "elx",
    "emk",
    "en",
    "en@pirate",
    "en_au",
    "en_ca",
    "en_devel",
    "en_en",
    "en_gb",
    "en_ie",
    "en_in",
    "en_nz",
    "en_ph",
    "en_shaw",
    "en_shaw_gb",
    "en_shaw_us",
    "en_us",
    "en_xa",
    "en_za",
    "ena",
    "eng",
    "eng_gb",
    "english_uk",
    "enm",
    "enp",
    "enu",
    "eo",
    "epo",
    "es",
    "es@formal",
    "es@informal",
    "es_419",
    "es_ar",
    "es_bo",
    "es_cl",
    "es_co",
    "es_cr",
    "es_cu",
    "es_do",
    "es_ec",
    "es_eu",
    "es_la",
    "es_mx",
    "es_ni",
    "es_pa",
    "es_pe",
    "es_pr",
    "es_sv",
    "es_us",
    "es_uy",
    "es_ve",
    "esk",
    "esp",
    "est",
    "et",
    "et_et",
    "eu",
    "eus",
    "ewe",
    "ewo",
    "ext",
    "fa",
    "fa_af",
    "fan",
    "fao",
    "fas",
    "fas_ir",
    "fat",
    "fbl",
    "ff",
    "ffm",
    "fi",
    "fij",
    "fil",
    "fil_fil",
    "fin",
    "fin_fi",
    "fj",
    "flemish",
    "fo",
    "fon",
    "fr",
    "fr@formal",
    "fr@informal",
    "fr_ag",
    "fr_be",
    "fr_ca",
    "fr_ch",
    "fr_fo",
    "fr_form",
    "fr_fr_x_formal",
    "fr_fr_x_informal",
    "fr_lu",
    "fr_sn",
    "fra",
    "fra_fr",
    "frb",
    "frc",
    "fre",
    "frk",
    "frm",
    "fro",
    "frp",
    "frr",
    "frs",
    "fry",
    "fuc",
    "ful",
    "fuq",
    "fur",
    "fuv",
    "fvr",
    "fy",
    "ga",
    "gaa",
    "gae",
    "gan",
    "gan_hans",
    "gan_hant",
    "gay",
    "gaz",
    "gba",
    "gbm",
    "gbo",
    "gd",
    "geo",
    "ger",
    "gez",
    "gil",
    "gl",
    "gla",
    "gle",
    "glg",
    "glg_es",
    "glk",
    "glv",
    "gmh",
    "gn",
    "gno",
    "goh",
    "gom",
    "gon",
    "gor",
    "got",
    "gr",
    "grb",
    "grc",
    "gre",
    "grn",
    "gsw",
    "gu",
    "gu_in",
    "guc",
    "gug",
    "guj",
    "gum",
    "gun",
    "gur",
    "guw",
    "guz",
    "gv",
    "gwi",
    "gya",
    "ha",
    "hai",
    "hak",
    "hak_hans",
    "hak_hant",
    "hak_latn",
    "hat",
    "hau",
    "haw",
    "haz",
    "hbs",
    "hdn",
    "he",
    "he_he",
    "he_il",
    "hea",
    "heb",
    "her",
    "hi",
    "hi@hinglish",
    "hi_latn",
    "hil",
    "hin",
    "hit",
    "hmn",
    "hmo",
    "hnd",
    "hne",
    "hnj",
    "hno",
    "ho",
    "hoc",
    "hoj",
    "hr",
    "hrv",
    "hrx",
    "hsb",
    "hsn",
    "ht",
    "ht_ht",
    "hu",
    "hun",
    "hup",
    "hus",
    "hy",
    "hye",
    "hz",
    "ia",
    "iba",
    "ibb",
    "ibo",
    "ice",
    "id",
    "ido",
    "ie",
    "ig",
    "ii",
    "iii",
    "ik",
    "ike",
    "iku",
    "ile",
    "ilo",
    "in",
    "in_id",
    "ina",
    "ind",
    "inh",
    "io",
    "ipk",
    "is",
    "isl",
    "it",
    "it@formal",
    "it@informal",
    "it_ch",
    "ita",
    "ita_it",
    "its",
    "iu",
    "iu_latn",
    "iw",
    "iw_he",
    "iw_il",
    "ja",
    "ja_ja",
    "ja_ks",
    "jam",
    "jav",
    "jbo",
    "jgo",
    "ji",
    "jmc",
    "jp",
    "jp_jpn",
    "jpn",
    "jpn_jp",
    "jpr",
    "jrb",
    "jv",
    "jw",
    "ka",
    "kaa",
    "kab",
    "kab_kab",
    "kac",
    "kaj",
    "kal",
    "kam",
    "kan",
    "kas",
    "kat",
    "kau",
    "kaw",
    "kaz",
    "kbd",
    "kcg",
    "kde",
    "kea",
    "kfr",
    "kfy",
    "kg",
    "kha",
    "khk",
    "khm",
    "khn",
    "kho",
    "ki",
    "kik",
    "kin",
    "kir",
    "kj",
    "kk",
    "kk@latin",
    "kk_cyrl",
    "kk_latn",
    "kkj",
    "kl",
    "kln",
    "km",
    "kmb",
    "kmr",
    "kmr_latn",
    "kn",
    "knc",
    "kng",
    "knn",
    "ko",
    "ko_ko",
    "kok",
    "kom",
    "kon",
    "kor",
    "kor_kr",
    "kos",
    "kpe",
    "kpv",
    "kr",
    "krc",
    "kri",
    "krl",
    "kru",
    "ks",
    "ksb",
    "ksh",
    "ku",
    "ku_iq",
    "kua",
    "kum",
    "kur",
    "kut",
    "kv",
    "kw",
    "kxl",
    "kxm",
    "ky",
    "kz",
    "la",
    "la_la",
    "lad",
    "lag",
    "lah",
    "laj",
    "lam",
    "lao",
    "lat",
    "lav",
    "lb",
    "lez",
    "lfn",
    "lg",
    "li",
    "lij",
    "lim",
    "lin",
    "lit",
    "ljp",
    "lk",
    "lki",
    "lkt",
    "lld",
    "lmn",
    "lmo",
    "ln",
    "lo",
    "lol",
    "loz",
    "lrc",
    "lt",
    "ltg",
    "ltz",
    "lu",
    "lua",
    "lub",
    "lug",
    "lui",
    "lun",
    "luo",
    "lus",
    "luy",
    "luz",
    "lv",
    "lv@formal",
    "lv@informal",
    "lvs",
    "lzh",
    "mac",
    "mad",
    "mag",
    "mah",
    "mai",
    "mak",
    "mal",
    "man",
    "mao",
    "mar",
    "mas",
    "may",
    "mdf",
    "mdh",
    "mdr",
    "me",
    "me_cyrl",
    "men",
    "mer",
    "mfa",
    "mfe",
    "mg",
    "mga",
    "mgh",
    "mgo",
    "mh",
    "mhr",
    "mi",
    "mia",
    "mic",
    "min",
    "mjw",
    "mk",
    "mkd",
    "ml",
    "mlg",
    "mlt",
    "mn",
    "mn_cyrl",
    "mn_mong",
    "mnc",
    "mni",
    "mnk",
    "mnw",
    "mo",
    "moe",
    "moh",
    "mol",
    "mon",
    "mos",
    "mr",
    "mrh",
    "mri",
    "ms",
    "ms_arab",
    "msa",
    "mspanish",
    "mt",
    "mtr",
    "mup",
    "mus",
    "mwk",
    "mwl",
    "mwr",
    "mww",
    "mxc",
    "my",
    "my@zawgyi",
    "mya",
    "myv",
    "myx",
    "mzn",
    "na",
    "nah",
    "nan",
    "nan_hani",
    "nan_hant",
    "nan_latn",
    "nan_latn_pehoeji",
    "nan_latn_tailo",
    "nap",
    "naq",
    "nau",
    "nav",
    "nb",
    "nb_nb",
    "nb_no",
    "nbl",
    "nd",
    "ndc",
    "nde",
    "ndo",
    "nds",
    "ne",
    "nep",
    "new",
    "ng",
    "ngl",
    "nia",
    "nij",
    "niu",
    "nl",
    "nl@formal",
    "nl@informal",
    "nl_be",
    "nlb",
    "nld",
    "nn",
    "nnh",
    "nno",
    "no",
    "no_nb",
    "no_no",
    "nob",
    "nod",
    "noe",
    "nog",
    "non",
    "nor",
    "norwegian",
    "np",
    "npi",
    "nqo",
    "nr",
    "nso",
    "nuk",
    "nv",
    "nwc",
    "ny",
    "nya",
    "nym",
    "nyn",
    "nyo",
    "nzi",
    "oc",
    "oci",
    "oj",
    "ojg",
    "oji",
    "om",
    "or",
    "ori",
    "orm",
    "ory",
    "os",
    "osa",
    "oss",
    "ota",
    "otk",
    "otq",
    "ovd",
    "pa",
    "pa_arab",
    "pa_arab_pk",
    "pa_pk",
    "pag",
    "pal",
    "pam",
    "pan",
    "pap",
    "pau",
    "pbb",
    "pbu",
    "pcm",
    "pdt",
    "peo",
    "per",
    "pes",
    "phn",
    "pi",
    "pk",
    "pl",
    "pl@formal",
    "pl@informal",
    "pli",
    "plk",
    "plt",
    "pms",
    "pnb",
    "pol",
    "pon",
    "por",
    "por_br",
    "por_pt",
    "portuguese_br",
    "portuguese_portugal",
    "pr",
    "prg",
    "pro",
    "prp",
    "prs",
    "ps",
    "pt",
    "pt@formal",
    "pt@informal",
    "pt_ao",
    "pt_br",
    "pt_br@formal",
    "pt_br@informal",
    "pt_pt",
    "ptb",
    "ptg",
    "pu",
    "pus",
    "pwn",
    "qdt",
    "qpv",
    "qtp",
    "qu",
    "qu_ec",
    "quc",
    "que",
    "qug",
    "quz",
    "qya",
    "qz_mm",
    "raj",
    "rap",
    "rar",
    "rcf",
    "rej",
    "rhg",
    "rif",
    "rkt",
    "rm",
    "rmt",
    "rmy",
    "rn",
    "rng",
    "ro",
    "ro_md",
    "rof",
    "roh",
    "rom",
    "ron",
    "rs",
    "ru",
    "ru@formal",
    "ru@informal",
    "ru_r",
    "ru_rr",
    "ru_ua",
    "rue",
    "rum",
    "run",
    "rup",
    "rus",
    "rw",
    "rwk",
    "sa",
    "sad",
    "sag",
    "sah",
    "sai",
    "sam",
    "san",
    "saq",
    "sas",
    "sat",
    "sc",
    "scc",
    "schinese",
    "sck",
    "scn",
    "sco",
    "scr",
    "sd",
    "sdh",
    "se",
    "sef",
    "seh",
    "sel",
    "serbo_croatian",
    "ses",
    "sg",
    "sga",
    "sgn",
    "sgs",
    "sh",
    "shi",
    "shn",
    "si",
    "sid",
    "sin",
    "sjd",
    "sk",
    "skr",
    "sky",
    "sl",
    "sl_sl",
    "slk",
    "slo",
    "slv",
    "sm",
    "sma",
    "smd",
    "sme",
    "smi",
    "smj",
    "sml",
    "smn",
    "smo",
    "sms",
    "sn",
    "sna",
    "snb",
    "snd",
    "snk",
    "so",
    "sog",
    "som",
    "son",
    "sot",
    "sou",
    "source",
    "spa",
    "spy",
    "sq",
    "sqi",
    "sr",
    "sr@cyrillic",
    "sr@ije",
    "sr@ijekavian",
    "sr@ijekavian_latn",
    "sr@ijekavianlatin",
    "sr@latin",
    "sr_cs",
    "sr_cyrl",
    "sr_cyrl_rs",
    "sr_latn",
    "sr_latn_rs",
    "sr_me",
    "sr_rs@cyrillic",
    "sr_rs@latin",
    "srb",
    "src",
    "srd",
    "srl",
    "srn",
    "srp",
    "srr",
    "ss",
    "ssw",
    "ssy",
    "st",
    "su",
    "suk",
    "sun",
    "sus",
    "sux",
    "sv",
    "sve",
    "svk",
    "sw",
    "sw_cd",
    "sw_tz",
    "swa",
    "swb",
    "swe",
    "swe_se",
    "swg",
    "swh",
    "swv",
    "sxu",
    "syc",
    "syl",
    "syr",
    "szl",
    "szy",
    "ta",
    "ta_lk",
    "tah",
    "tam",
    "tat",
    "tay",
    "tchinese",
    "tcy",
    "te",
    "tel",
    "tem",
    "teo",
    "ter",
    "tet",
    "tg",
    "tgk",
    "tgl",
    "th",
    "tha",
    "ti",
    "tib",
    "tig",
    "tir",
    "tiv",
    "tk",
    "tkl",
    "tl",
    "tlh",
    "tlh-qaak",
    "tlh_qaak",
    "tli",
    "tly",
    "tmh",
    "tn",
    "to",
    "tog",
    "toi",
    "tok",
    "ton",
    "tpi",
    "tr",
    "trk",
    "trv",
    "ts",
    "tsg",
    "tsi",
    "tsj",
    "tsn",
    "tso",
    "tt",
    "tt@iqtelif",
    "ttq",
    "tts",
    "tuk",
    "tum",
    "tur",
    "tvl",
    "tw",
    "twi",
    "ty",
    "tyv",
    "tzj",
    "tzl",
    "tzm",
    "ua",
    "ua_ua",
    "udm",
    "ug",
    "uga",
    "uig",
    "uk",
    "uk_uk",
    "ukr",
    "umb",
    "umu",
    "und",
    "unr",
    "ur",
    "ur_in",
    "ur_pk",
    "ur_ur",
    "urd",
    "us",
    "uz",
    "uz@cyrillic",
    "uz@latin",
    "uz@latn",
    "uz_latn",
    "uzb",
    "uzn",
    "va",
    "vai",
    "val_es",
    "ve",
    "vec",
    "ven",
    "vi",
    "vie",
    "vls",
    "vmf",
    "vmw",
    "vn",
    "vo",
    "vol",
    "vot",
    "vro",
    "vun",
    "wa",
    "wae",
    "wal",
    "war",
    "was",
    "wbq",
    "wbr",
    "wel",
    "wen",
    "wep",
    "wln",
    "wo",
    "wol",
    "wtm",
    "wuu",
    "wuu_hans",
    "wuu_hant",
    "xal",
    "xbelorussian",
    "xh",
    "xho",
    "xnr",
    "xog",
    "xpe",
    "xsl",
    "yao",
    "yap",
    "ydd",
    "yi",
    "yid",
    "yo",
    "yor",
    "yua",
    "yue",
    "yue_hans",
    "yue_hant",
    "za",
    "zai",
    "zap",
    "zbl",
    "zen",
    "zgh",
    "zh",
    "zh_chs",
    "zh_cht",
    "zh_cmn_hans",
    "zh_cmn_hant",
    "zh_cn",
    "zh_hans",
    "zh_hans_cn",
    "zh_hans_sg",
    "zh_hant",
    "zh_hant@zh",
    "zh_hant_hk",
    "zh_hant_tw",
    "zh_hk",
    "zh_latn",
    "zh_latn@pinyin",
    "zh_latn_pinyin",
    "zh_sg",
    "zh_tw",
    "zha",
    "zhcn",
    "zho",
    "zhtw",
    "zsm",
    "zu",
    "zul",
    "zun",
    "zyb",
    "zza",
}
