# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: MIT

"""
Language data definitions.

This is an automatically generated file, see scripts/generate-language-data.py

Do not edit, please adjust language definitions in following repository:
https://github.com/WeblateOrg/language-data
"""
# pylint: disable=line-too-long,too-many-lines

# Language names to ignore in the same check
LANGUAGES: set[str] = {
    "aak",
    "aakkâr",
    "aargau",
    "aari",
    "aasáx",
    "ababa",
    "abaco",
    "abadi",
    "abadskaya",
    "abaga",
    "abai",
    "abaita",
    "abajskaja",
    "abanyom",
    "abar",
    "abau",
    "abawa",
    "abaza",
    "abaúj",
    "abbès",
    "abeena",
    "abellen",
    "aberdeen",
    "aberdeenshire",
    "abertawe",
    "abia",
    "abidjan",
    "abidji",
    "abim",
    "abinomn",
    "abipon",
    "abishira",
    "abkhazia",
    "abkhazian",
    "abnaki",
    "aboh",
    "abom",
    "abon",
    "aboriginal",
    "aborigines",
    "abra",
    "abron",
    "abruzzo",
    "abu",
    "abua",
    "abui",
    "abuja",
    "abun",
    "abure",
    "abureni",
    "abyan",
    "abé",
    "abīb",
    "abşeron",
    "abū",
    "acatepec",
    "account",
    "accra",
    "aceh",
    "acehnese",
    "achagua",
    "achang",
    "ache",
    "acheron",
    "achi",
    "achinese",
    "acholi",
    "achterhoeks",
    "achuar",
    "achumawi",
    "aché",
    "acipa",
    "acklins",
    "acoli",
    "acquaviva",
    "acre",
    "acroá",
    "adai",
    "adamaoua",
    "adamawa",
    "adamorobe",
    "adan",
    "adana",
    "adang",
    "adangbe",
    "adangme",
    "adara",
    "adasen",
    "adb",
    "addis",
    "addu",
    "adele",
    "adeni",
    "adh",
    "adhola",
    "adi",
    "adige",
    "adilabad",
    "adioukrou",
    "adithinngithigh",
    "adivasi",
    "adiwasi",
    "adjumani",
    "adlam",
    "adnyamathanha",
    "adonara",
    "adrar",
    "aduge",
    "adygei",
    "adygeja",
    "adyghe",
    "adza",
    "adzera",
    "adıyaman",
    "aeka",
    "aekyom",
    "aequian",
    "aer",
    "aerodrom",
    "afade",
    "afaka",
    "afar",
    "afars",
    "afghan",
    "afghani",
    "afghanistan",
    "afitti",
    "africa",
    "african",
    "afrihili",
    "afrikaans",
    "afro",
    "afyonkarahisar",
    "agadez",
    "agadir",
    "agago",
    "agalega",
    "agarabi",
    "agariya",
    "agatu",
    "agavotaguerra",
    "agder",
    "aghem",
    "aghu",
    "aghul",
    "aghwan",
    "aghwar",
    "agi",
    "agob",
    "agoi",
    "agrigento",
    "agta",
    "aguacateco",
    "aguano",
    "aguaruna",
    "aguascalientes",
    "aguna",
    "agusan",
    "agustín",
    "agutaynen",
    "agwagwune",
    "ahafo",
    "ahal",
    "ahanta",
    "aheri",
    "aheu",
    "ahia",
    "ahirani",
    "ahom",
    "ahras",
    "ahtena",
    "ahuacatlán",
    "ahuachapán",
    "ahuatempan",
    "ahwai",
    "aichi",
    "aiga",
    "aigaío",
    "aighon",
    "aikanã",
    "aiklep",
    "aileu",
    "ailinglaplap",
    "ailuk",
    "aimaq",
    "aimele",
    "aimeliik",
    "aimol",
    "ain",
    "ainaro",
    "ainbai",
    "ainu",
    "aiome",
    "airai",
    "aires",
    "airoran",
    "aisne",
    "aisén",
    "ait",
    "aiton",
    "aiwo",
    "aizi",
    "aizkraukles",
    "aja",
    "ajaria",
    "ajawa",
    "ajdovščina",
    "ajië",
    "ajlūn",
    "ajmān",
    "ajumbu",
    "ajyíninka",
    "aka",
    "akan",
    "akar",
    "akaselem",
    "akawaio",
    "ake",
    "akebu",
    "akei",
    "akeu",
    "akha",
    "akheti",
    "akhvakh",
    "akhḑar",
    "akita",
    "akkadian",
    "akkala",
    "aklan",
    "aklanon",
    "akmenė",
    "akmolinskaja",
    "akolet",
    "akoose",
    "akoye",
    "akpa",
    "akpes",
    "akraneskaupstaður",
    "akrukay",
    "aksaray",
    "aktjubinskaja",
    "akukem",
    "akuku",
    "akum",
    "akuntsu",
    "akureyrarbær",
    "akurio",
    "akwa",
    "akyaung",
    "alaa",
    "alaba",
    "alabama",
    "alabat",
    "alacalufan",
    "alacant",
    "alacatlatzala",
    "alago",
    "alagoas",
    "alagwa",
    "alajuela",
    "alak",
    "alamblak",
    "alangan",
    "alanic",
    "alapmunte",
    "alas",
    "alaska",
    "alaskan",
    "alawa",
    "alba",
    "albacete",
    "albania",
    "albanian",
    "albarradas",
    "albay",
    "alberta",
    "alborz",
    "alcozauca",
    "alebtong",
    "alege",
    "alekano",
    "alemannic",
    "alene",
    "alessandria",
    "aleut",
    "alger",
    "algeria",
    "algerian",
    "algic",
    "algonquian",
    "algonquin",
    "ali",
    "alias",
    "alibata",
    "alibori",
    "alladian",
    "allar",
    "allier",
    "almatinskaja",
    "almaty",
    "almería",
    "alngith",
    "alo",
    "alor",
    "aloápam",
    "alpes",
    "alsace",
    "alsatian",
    "alsea",
    "alta",
    "altagracia",
    "altai",
    "altaic",
    "altaj",
    "altajskij",
    "altas",
    "altay",
    "alto",
    "alu",
    "alugu",
    "alumu",
    "alune",
    "aluo",
    "alur",
    "alutaguse",
    "alutor",
    "alviri",
    "alyawarr",
    "alytaus",
    "alytus",
    "alzette",
    "alūksnes",
    "ama",
    "amacuro",
    "amahai",
    "amahuaca",
    "amaimon",
    "amal",
    "amambay",
    "amami",
    "amanab",
    "amanayé",
    "amapá",
    "amara",
    "amarakaeri",
    "amarasi",
    "amarumayu",
    "amasya",
    "amatlán",
    "amazonas",
    "amba",
    "ambae",
    "ambai",
    "ambakich",
    "ambala",
    "ambelau",
    "ambele",
    "ambenu",
    "amblong",
    "ambo",
    "ambonese",
    "ambrak",
    "ambrym",
    "ambu",
    "ambul",
    "ambulas",
    "amdang",
    "amdo",
    "amele",
    "america",
    "american",
    "amganad",
    "amharic",
    "ami",
    "amis",
    "ammochostos",
    "amnat",
    "amo",
    "amol",
    "amolatar",
    "amoltepec",
    "ampanang",
    "ampara",
    "ampari",
    "amri",
    "amrān",
    "amto",
    "amudat",
    "amundava",
    "amurdak",
    "amuria",
    "amurskaja",
    "amuru",
    "amuzgo",
    "amuzgos",
    "amānat",
    "ana",
    "anaang",
    "anabar",
    "anakalangu",
    "anal",
    "anam",
    "anambra",
    "anambé",
    "anamgura",
    "anasi",
    "anatolian",
    "anatolikí",
    "anbār",
    "ancash",
    "ancient",
    "ancona",
    "anda",
    "andaandi",
    "andai",
    "andajin",
    "andalucía",
    "andalusian",
    "andaman",
    "andamanese",
    "andaqui",
    "andarum",
    "andegerebinha",
    "andh",
    "andhra",
    "andi",
    "andijon",
    "andio",
    "andoa",
    "andoque",
    "andorra",
    "andra",
    "andraž",
    "andrew",
    "andria",
    "andrijevica",
    "andros",
    "andrés",
    "aneityum",
    "anem",
    "aneme",
    "anenii",
    "anetan",
    "anfillo",
    "ang",
    "anga",
    "angaataha",
    "angad",
    "angaité",
    "angal",
    "angami",
    "angaur",
    "angguruk",
    "angika",
    "angkamuthi",
    "angkola",
    "anglesey",
    "anglo",
    "angloromani",
    "angola",
    "angolar",
    "angor",
    "angoram",
    "angosturas",
    "anguilla",
    "angus",
    "anguthimri",
    "anha",
    "anhalt",
    "anhui",
    "ani",
    "anibare",
    "anii",
    "anija",
    "animere",
    "anindilyakwa",
    "aninka",
    "aniwa",
    "anjam",
    "anjob",
    "anjouan",
    "anjra",
    "ankara",
    "ankaran",
    "ankave",
    "ankwa",
    "anmatyerre",
    "ann",
    "annaba",
    "anne",
    "annobon",
    "anong",
    "anor",
    "ansabā",
    "anse",
    "anserma",
    "ansus",
    "antakarinya",
    "antalya",
    "antananarivo",
    "antankarana",
    "antarctic",
    "antarctica",
    "antigua",
    "antillean",
    "antilles",
    "antioquia",
    "antique",
    "antofagasta",
    "antrim",
    "antsi",
    "antsiranana",
    "antsla",
    "antwerpen",
    "anu",
    "anuak",
    "anufo",
    "anuki",
    "anuradhapura",
    "anus",
    "anuta",
    "anyan",
    "anyin",
    "anykščiai",
    "anzoátegui",
    "aoheng",
    "aomori",
    "aore",
    "aoste",
    "aousserd",
    "apac",
    "apache",
    "apai",
    "apalachee",
    "apalaí",
    "apali",
    "apasco",
    "apatani",
    "apayao",
    "apače",
    "ape",
    "api",
    "apiaká",
    "apinayé",
    "apma",
    "apo",
    "apoala",
    "appenzell",
    "applicable",
    "aproumu",
    "apskritis",
    "apure",
    "apurimaq",
    "apurinã",
    "apurucayali",
    "apurímac",
    "aput",
    "aputai",
    "aqabah",
    "aquila",
    "aquitaine",
    "aquitanian",
    "arab",
    "araba",
    "arabana",
    "arabela",
    "arabia",
    "arabian",
    "arabic",
    "arad",
    "aragac̣otn",
    "aragonese",
    "aragua",
    "aragón",
    "araki",
    "arakwal",
    "aralle",
    "aramaic",
    "arammba",
    "aranadan",
    "aranama",
    "aranda",
    "arandai",
    "araona",
    "arapaho",
    "arapaso",
    "arapesh",
    "ararandewára",
    "ararat",
    "arauan",
    "arauca",
    "araucanía",
    "arawak",
    "arawakan",
    "araweté",
    "arawum",
    "aračinovo",
    "arbore",
    "arbëreshë",
    "arbīl",
    "archi",
    "arctic",
    "ardabīl",
    "ardahan",
    "ardennes",
    "ardhamāgadhī",
    "ards",
    "ardèche",
    "area",
    "areba",
    "arem",
    "arequipa",
    "arezzo",
    "argentina",
    "argentine",
    "argeș",
    "argobba",
    "arguni",
    "argyll",
    "arhangay",
    "arhangel",
    "arhe",
    "arhuaco",
    "arhâ",
    "arhö",
    "ari",
    "aria",
    "ariana",
    "ariary",
    "aribwatsa",
    "aribwaung",
    "arica",
    "arifama",
    "arigidi",
    "arikapú",
    "arikara",
    "arikem",
    "arima",
    "arin",
    "aringa",
    "arizona",
    "ariège",
    "arkansas",
    "arkhabīl",
    "armagh",
    "armavir",
    "armazic",
    "armenia",
    "armenian",
    "armm",
    "armor",
    "arno",
    "aromanian",
    "arop",
    "arosi",
    "arous",
    "arpitan",
    "arrarnta",
    "arrernte",
    "arritinngithigh",
    "arréridj",
    "arsi",
    "arta",
    "artemisa",
    "artibonite",
    "artificial",
    "artigas",
    "artvin",
    "arua",
    "aruamu",
    "aruba",
    "aruban",
    "aruek",
    "arumanian",
    "arunāchal",
    "aruop",
    "arusha",
    "arutani",
    "aruá",
    "arvanitika",
    "arára",
    "asaleleaga",
    "asaro",
    "ascension",
    "ascoli",
    "ash",
    "ashanti",
    "ashe",
    "ashkun",
    "asho",
    "ashtiani",
    "asháninka",
    "ashéninka",
    "asiatic",
    "asilulu",
    "askopan",
    "asmat",
    "asoa",
    "asomtavruli",
    "assa",
    "assaba",
    "assam",
    "assamese",
    "assan",
    "assangori",
    "assigned",
    "assilah",
    "assiniboine",
    "assyrian",
    "astana",
    "astara",
    "asti",
    "astrahanskaja",
    "asturian",
    "asturias",
    "asturleonese",
    "asu",
    "asue",
    "asumboa",
    "asunción",
    "asuri",
    "asurini",
    "asuriní",
    "aswān",
    "asyūţ",
    "asīr",
    "ata",
    "atacama",
    "atacora",
    "atakapa",
    "atampaya",
    "atas",
    "atatláhuca",
    "atauran",
    "atayal",
    "atchin",
    "atemble",
    "athapascan",
    "athpariya",
    "ati",
    "atikamekw",
    "atlantic",
    "atlantique",
    "atlantiques",
    "atlas",
    "atlántico",
    "atlántida",
    "atohwaim",
    "atoll",
    "atong",
    "atorada",
    "atroari",
    "atsahuaca",
    "atsam",
    "atsugewi",
    "atta",
    "attapady",
    "attapu",
    "attard",
    "attikí",
    "attié",
    "atua",
    "atyrauskaja",
    "atzingo",
    "aua",
    "aube",
    "auckland",
    "aude",
    "augšdaugavas",
    "auhelawa",
    "aulua",
    "aur",
    "aurora",
    "aurá",
    "aushi",
    "aushiri",
    "auslan",
    "ausserrhoden",
    "austral",
    "australes",
    "australia",
    "australian",
    "austria",
    "austrian",
    "austro",
    "austronesian",
    "austurland",
    "autonomă",
    "autónoma",
    "auvergne",
    "auwe",
    "aux",
    "auye",
    "auyokawa",
    "avannaata",
    "avar",
    "avaric",
    "avatime",
    "avau",
    "aveiro",
    "avellino",
    "avestan",
    "aveyron",
    "avikam",
    "avokaya",
    "avtonomna",
    "avtonomnaja",
    "avtonomnyj",
    "avtonomnyy",
    "avá",
    "awa",
    "awabakal",
    "awad",
    "awadhi",
    "awak",
    "awar",
    "awara",
    "awbono",
    "awdal",
    "aweer",
    "awera",
    "awetí",
    "awing",
    "awiyaana",
    "awjilah",
    "awngi",
    "awngthim",
    "awsaţ",
    "awtuw",
    "awu",
    "awun",
    "awutu",
    "awyi",
    "awyu",
    "axamb",
    "axi",
    "ayabadhu",
    "ayacucho",
    "ayautla",
    "aydın",
    "ayere",
    "ayerrerenge",
    "ayeyarwady",
    "ayi",
    "ayiwo",
    "ayizi",
    "ayizo",
    "aymara",
    "ayoquesco",
    "ayoreo",
    "ayrshire",
    "ayta",
    "ayu",
    "ayutla",
    "ayutthaya",
    "azad",
    "azerbaijan",
    "azerbaijani",
    "azha",
    "azhe",
    "azilal",
    "azoyú",
    "aztecan",
    "azua",
    "azuay",
    "azur",
    "az̧",
    "açores",
    "aïn",
    "ağcabədi",
    "ağdam",
    "ağdaş",
    "ağrı",
    "ağstafa",
    "ağsu",
    "aşgabat",
    "a̅şimah",
    "aḩmad",
    "aḩmadī",
    "aḩmar",
    "baalbek",
    "baan",
    "baangi",
    "baat",
    "baatonum",
    "baba",
    "babangk",
    "babango",
    "babanki",
    "babar",
    "babatana",
    "babine",
    "bable",
    "babuza",
    "babylonian",
    "babək",
    "bacama",
    "bacanese",
    "bactrian",
    "bacău",
    "bada",
    "badaga",
    "badajoz",
    "badakhshon",
    "badakhshān",
    "bade",
    "baden",
    "badeshi",
    "badhun",
    "badimaya",
    "badji",
    "badjiri",
    "badui",
    "badulla",
    "badyara",
    "baeggu",
    "baelelea",
    "baetora",
    "baf",
    "bafanji",
    "bafatá",
    "bafaw",
    "bafia",
    "bafut",
    "baga",
    "bagerhat",
    "baghdād",
    "bagheli",
    "baghlān",
    "bagirmi",
    "bagmati",
    "bago",
    "bagri",
    "baguirmi",
    "bagupi",
    "bagusa",
    "bagvalal",
    "bah",
    "baha",
    "baham",
    "bahama",
    "bahamas",
    "bahamian",
    "baharna",
    "bahau",
    "bahia",
    "bahinemo",
    "bahing",
    "bahnar",
    "bahonsuai",
    "bahr",
    "bahrain",
    "bahraini",
    "baht",
    "bahía",
    "bai",
    "baibai",
    "baie",
    "baikeno",
    "baima",
    "baimak",
    "bainouk",
    "baiso",
    "baissa",
    "baitsi",
    "baja",
    "bajan",
    "bajau",
    "bajelani",
    "bajo",
    "baka",
    "bakairí",
    "bakaka",
    "bakati",
    "baker",
    "bakhtiari",
    "bakhtīārī",
    "baki",
    "bakoko",
    "bakole",
    "bakool",
    "bakpinka",
    "bakumpai",
    "bakwé",
    "bakı",
    "balaesang",
    "balah",
    "balaibalan",
    "balaka",
    "balakən",
    "balangao",
    "balangingi",
    "balanta",
    "balantak",
    "balar",
    "balboa",
    "baldemu",
    "bale",
    "baleares",
    "balears",
    "bali",
    "balinese",
    "balkan",
    "balkar",
    "balkarskaja",
    "balkh",
    "balo",
    "balochi",
    "balochistan",
    "baloi",
    "balong",
    "balqā",
    "baltazar",
    "balti",
    "baltic",
    "baltistan",
    "baluan",
    "baluchi",
    "balvu",
    "balzan",
    "balzers",
    "balé",
    "balıkesir",
    "balūchestān",
    "bam",
    "bamako",
    "bamali",
    "bambalang",
    "bambam",
    "bambara",
    "bambari",
    "bambassi",
    "bambili",
    "bambui",
    "bamenyam",
    "bamileke",
    "bamingui",
    "bamu",
    "bamukumbit",
    "bamum",
    "bamun",
    "bamunka",
    "bamwe",
    "ban",
    "bana",
    "banaadir",
    "banao",
    "banaro",
    "banbridge",
    "banda",
    "bandama",
    "bandarban",
    "bandi",
    "bandial",
    "bandjalang",
    "bangala",
    "bangandu",
    "bangba",
    "banggai",
    "banggarla",
    "banghāzī",
    "bangi",
    "bangime",
    "bangka",
    "bangla",
    "bangladesh",
    "bangolan",
    "bangoran",
    "bangubangu",
    "bangui",
    "bangun",
    "bangwinji",
    "baniva",
    "baniwa",
    "banjar",
    "banjul",
    "bank",
    "bankagooma",
    "bankal",
    "bankan",
    "bankon",
    "banna",
    "bannoni",
    "banskobystrický",
    "bantawa",
    "bantayanon",
    "banteay",
    "banten",
    "bantik",
    "bantoanon",
    "bantu",
    "banwa",
    "banyjima",
    "banī",
    "baoruco",
    "baoulé",
    "bar",
    "bara",
    "baraamu",
    "barababaraba",
    "barahona",
    "barai",
    "barakai",
    "baram",
    "barama",
    "barambu",
    "baramu",
    "baranjska",
    "baranya",
    "barapasi",
    "baras",
    "barasana",
    "barat",
    "barbados",
    "barbaram",
    "barbareño",
    "barbuda",
    "barcelona",
    "barclayville",
    "bardi",
    "bare",
    "barein",
    "bareli",
    "bargam",
    "barguna",
    "bari",
    "bariai",
    "bariji",
    "barikanchi",
    "barikewa",
    "barima",
    "barinas",
    "baringo",
    "barishal",
    "barka",
    "barking",
    "barlavento",
    "barletta",
    "barnet",
    "barnsley",
    "barok",
    "barombi",
    "barro",
    "barrow",
    "barthélemy",
    "bartın",
    "baruga",
    "baruya",
    "barwe",
    "barzani",
    "baré",
    "barí",
    "bas",
    "basa",
    "basap",
    "basarabeasca",
    "basay",
    "basel",
    "bashkardi",
    "bashkir",
    "bashkortostan",
    "basilan",
    "basilicata",
    "basketo",
    "basque",
    "bassa",
    "bassari",
    "basse",
    "basseterre",
    "bassins",
    "bassossi",
    "bata",
    "bataan",
    "batad",
    "batak",
    "batanes",
    "batanga",
    "batangas",
    "batek",
    "bateri",
    "batha",
    "bathari",
    "bati",
    "batjala",
    "batken",
    "batman",
    "batna",
    "bats",
    "batticaloa",
    "batu",
    "batui",
    "batuley",
    "batys",
    "bau",
    "baucau",
    "bauchi",
    "baudó",
    "bauni",
    "baure",
    "bauria",
    "bauskas",
    "bauwaki",
    "bauzi",
    "bavarian",
    "bawah",
    "bawm",
    "bayadh",
    "bayali",
    "bayan",
    "bayanhongor",
    "baybayanon",
    "baybayin",
    "bayburt",
    "bayelsa",
    "bayern",
    "baygo",
    "bayobiri",
    "bayono",
    "bayot",
    "bayrūt",
    "bayungu",
    "bayḑā",
    "bazar",
    "bazigar",
    "bazèga",
    "başrah",
    "baḥri",
    "baḩr",
    "bce",
    "bceao",
    "bea",
    "beac",
    "beami",
    "beau",
    "beaver",
    "beba",
    "bebele",
    "bebeli",
    "bebil",
    "bedawi",
    "bedawiyet",
    "bedford",
    "bedfordshire",
    "bedjond",
    "bedoanas",
    "bedouin",
    "beeke",
    "beele",
    "beembe",
    "beezen",
    "befang",
    "beginci",
    "bei",
    "beijing",
    "beja",
    "bekati",
    "bekwarra",
    "bekwel",
    "bel",
    "belait",
    "belanda",
    "belarus",
    "belarusian",
    "belfast",
    "belfort",
    "belgique",
    "belgium",
    "belgorodskaja",
    "belhariya",
    "beli",
    "belitung",
    "belize",
    "bella",
    "bellari",
    "bellona",
    "belluno",
    "belning",
    "beltinci",
    "bemba",
    "bembe",
    "ben",
    "bena",
    "benabena",
    "benamanga",
    "bench",
    "bende",
    "bender",
    "bendi",
    "benedikt",
    "benevento",
    "benešov",
    "benfro",
    "beng",
    "benga",
    "bengal",
    "bengali",
    "benggoi",
    "bengkala",
    "bengkulu",
    "bengo",
    "benguela",
    "benguet",
    "beni",
    "benin",
    "bennour",
    "benshangul",
    "benslimane",
    "bentong",
    "benue",
    "benyadu",
    "beograd",
    "beothuk",
    "bepour",
    "berakou",
    "berane",
    "berat",
    "berau",
    "berawan",
    "berber",
    "berbice",
    "berea",
    "bereg",
    "bergamo",
    "beri",
    "berik",
    "berinomo",
    "berkane",
    "berkshire",
    "berlin",
    "bermuda",
    "bermudian",
    "bernardo",
    "berne",
    "berom",
    "beroun",
    "berovo",
    "berrechid",
    "berry",
    "berta",
    "berti",
    "besi",
    "besisi",
    "besme",
    "besoa",
    "bet",
    "betaf",
    "betawi",
    "bete",
    "bethlehem",
    "beti",
    "betsimisaraka",
    "betta",
    "bexley",
    "beyla",
    "beyləqan",
    "bezhta",
    "bhadrawahi",
    "bhaiksuki",
    "bhalay",
    "bharia",
    "bhasa",
    "bhatri",
    "bhattiyali",
    "bhaya",
    "bhele",
    "bhil",
    "bhilali",
    "bhili",
    "bhojpuri",
    "bhola",
    "bhoti",
    "bhujel",
    "bhunjia",
    "bhutan",
    "biafada",
    "biage",
    "biak",
    "biali",
    "bian",
    "biangai",
    "biao",
    "biatah",
    "biau",
    "bibbulman",
    "bicol",
    "bidayuh",
    "bidhawal",
    "bidiyo",
    "bidjara",
    "bidyogo",
    "biella",
    "biem",
    "bierebo",
    "bieria",
    "biete",
    "biga",
    "bigambal",
    "bih",
    "bihar",
    "bihari",
    "bihor",
    "bihār",
    "bijagós",
    "bijelo",
    "bijim",
    "bijori",
    "bikini",
    "bikol",
    "bikya",
    "bila",
    "bilakura",
    "bilaspuri",
    "bilba",
    "bilbil",
    "bile",
    "bilecik",
    "bilen",
    "bilin",
    "biliran",
    "bilma",
    "bilogorska",
    "biloxi",
    "bilua",
    "bilur",
    "biləsuvar",
    "bima",
    "bimin",
    "bimini",
    "bimoba",
    "bina",
    "binahari",
    "binandere",
    "bindal",
    "bine",
    "bing",
    "bingöl",
    "bini",
    "binji",
    "binongan",
    "bintauna",
    "bintulu",
    "binukid",
    "binukidnon",
    "binumarien",
    "biobío",
    "bioko",
    "biombo",
    "bipi",
    "bipim",
    "biqā",
    "bira",
    "birale",
    "birao",
    "birgit",
    "birgu",
    "birhor",
    "biri",
    "birifor",
    "biritai",
    "birked",
    "birkirkara",
    "birmingham",
    "birr",
    "birri",
    "birrpayi",
    "birwa",
    "birštonas",
    "birżebbuġa",
    "biržai",
    "bisa",
    "bisaya",
    "biseni",
    "bishkek",
    "bishnupriya",
    "bishuo",
    "bisis",
    "biskra",
    "bislama",
    "bisorio",
    "bissa",
    "bissau",
    "bistrica",
    "bistrița",
    "bisu",
    "bit",
    "bitare",
    "bitlis",
    "bitola",
    "bitur",
    "biwat",
    "biyo",
    "biyom",
    "bizerte",
    "bizkaia",
    "bié",
    "biên",
    "bjelovarsko",
    "blaan",
    "blablanga",
    "black",
    "blackburn",
    "blackpool",
    "blaenau",
    "blafe",
    "blagar",
    "blagoevgrad",
    "blang",
    "blansko",
    "blantyre",
    "blas",
    "bled",
    "blekinge",
    "blida",
    "blin",
    "bliss",
    "blissymbolics",
    "blissymbols",
    "bloke",
    "blue",
    "bláskógabyggð",
    "bmg",
    "bnf",
    "boa",
    "boaco",
    "boano",
    "boazi",
    "bobo",
    "bobonaro",
    "bobongko",
    "bobot",
    "bocas",
    "bodo",
    "boe",
    "boffa",
    "bofi",
    "boga",
    "bogaya",
    "bogdanci",
    "boghom",
    "bogotá",
    "bogovinje",
    "bogura",
    "boguru",
    "bohinj",
    "bohol",
    "bohtan",
    "bohuai",
    "boi",
    "boikin",
    "boileau",
    "bokha",
    "bokmål",
    "boko",
    "bokobaru",
    "bokoto",
    "bokyi",
    "bokèo",
    "boké",
    "bola",
    "bolama",
    "bolango",
    "bole",
    "boleslav",
    "bolgarian",
    "bolgo",
    "bolia",
    "bolikhamxai",
    "bolinao",
    "bolivarian",
    "bolivia",
    "bolivian",
    "boliviano",
    "bologna",
    "boloki",
    "bolon",
    "bolondo",
    "bolongan",
    "bolton",
    "bolu",
    "bolungarvíkurkaupstaður",
    "bolyu",
    "bolzano",
    "bolívar",
    "bom",
    "boma",
    "bomberai",
    "bomboli",
    "bomboma",
    "bomet",
    "bomi",
    "bomitaba",
    "bomu",
    "bomwali",
    "bon",
    "bonaire",
    "bonan",
    "bond",
    "bondei",
    "bondo",
    "bondoukou",
    "bondum",
    "bonerate",
    "bonerif",
    "bong",
    "bonggi",
    "bonggo",
    "bongili",
    "bongo",
    "bongu",
    "bonjo",
    "bonkeng",
    "bonkiman",
    "bono",
    "bont",
    "bontok",
    "book",
    "bookan",
    "booli",
    "boon",
    "boor",
    "bopomofo",
    "boquerón",
    "bor",
    "bora",
    "borana",
    "border",
    "borders",
    "bordj",
    "borei",
    "borgarbyggð",
    "borgo",
    "borgou",
    "borgu",
    "borkou",
    "bormla",
    "borno",
    "boro",
    "borok",
    "borong",
    "borovnica",
    "borski",
    "borsod",
    "boruca",
    "borôro",
    "boselewa",
    "bosilovo",
    "bosne",
    "bosngun",
    "bosnia",
    "bosnian",
    "bossangoa",
    "bote",
    "botha",
    "bothe",
    "botlikh",
    "boto",
    "botolan",
    "botoșani",
    "botswana",
    "bou",
    "bouaghi",
    "bouches",
    "boucle",
    "bouenza",
    "bougainville",
    "bougouriba",
    "bouira",
    "boujdour",
    "boulemane",
    "boulgou",
    "boulkiemdé",
    "boumerdès",
    "bouna",
    "bouni",
    "bourgogne",
    "bourmataguil",
    "bournemouth",
    "bouvet",
    "bouyei",
    "bouzid",
    "bovec",
    "bowyer",
    "boyacá",
    "bozaba",
    "bozo",
    "bozoum",
    "brabant",
    "bracknell",
    "bradford",
    "braga",
    "bragança",
    "bragat",
    "brahmanbaria",
    "brahmi",
    "brahui",
    "braille",
    "braj",
    "brakna",
    "branco",
    "brandenburg",
    "braničevski",
    "brao",
    "braslovče",
    "brat",
    "bratislavský",
    "brava",
    "brazil",
    "brazilian",
    "brazzaville",
    "brașov",
    "brda",
    "brem",
    "bremen",
    "brent",
    "breri",
    "brescia",
    "bresckaja",
    "bretagne",
    "breton",
    "brezovica",
    "brežice",
    "brianza",
    "bribri",
    "briceni",
    "bridgend",
    "brighton",
    "brindisi",
    "bristol",
    "britain",
    "brithenig",
    "british",
    "brjanskaja",
    "brno",
    "bro",
    "brod",
    "brodsko",
    "brokkat",
    "brokopondo",
    "brokpake",
    "brokskat",
    "bromley",
    "bromnya",
    "brooke",
    "broome",
    "bru",
    "brunca",
    "brunei",
    "brunswick",
    "bruntál",
    "bruny",
    "bruxelles",
    "brvenica",
    "brăila",
    "brčko",
    "bua",
    "buada",
    "bualkhaw",
    "buamu",
    "buang",
    "bubanza",
    "bube",
    "bubi",
    "bubia",
    "buckinghamshire",
    "bucurești",
    "budaka",
    "budapest",
    "budeh",
    "budibud",
    "budong",
    "budu",
    "bududa",
    "budukh",
    "buduma",
    "budva",
    "budza",
    "budějovice",
    "bueng",
    "buenos",
    "bugan",
    "bugawac",
    "bughotu",
    "buginese",
    "bugiri",
    "buglere",
    "buglé",
    "bugun",
    "bugweri",
    "buhi",
    "buhid",
    "buhutu",
    "buhweju",
    "buikwe",
    "bujumbura",
    "bukar",
    "bukat",
    "bukedea",
    "bukharic",
    "bukidnon",
    "bukit",
    "bukitan",
    "bukiyip",
    "bukomansibi",
    "buksa",
    "bukto",
    "bukusu",
    "bukwen",
    "bukwo",
    "bulacan",
    "bulambuli",
    "bulawayo",
    "bulgan",
    "bulgaria",
    "bulgarian",
    "bulgebi",
    "buli",
    "buliisa",
    "bullom",
    "bulo",
    "bulu",
    "bum",
    "bumaji",
    "bumang",
    "bumbita",
    "bumthang",
    "bumthangkha",
    "bun",
    "buna",
    "bunak",
    "bunama",
    "bundeli",
    "bundibugyo",
    "bung",
    "bungain",
    "bunganditj",
    "bungku",
    "bungoma",
    "bungu",
    "bunoge",
    "bunu",
    "bunuba",
    "bunun",
    "bunyangabu",
    "buol",
    "bura",
    "burak",
    "buraka",
    "burarra",
    "burate",
    "buraymī",
    "burdekin",
    "burduna",
    "burdur",
    "bure",
    "burgas",
    "burgenland",
    "burgos",
    "buri",
    "buriat",
    "burjatija",
    "burji",
    "burkina",
    "burma",
    "burman",
    "burmbar",
    "burmese",
    "burmeso",
    "bursa",
    "buru",
    "burui",
    "burumakok",
    "burun",
    "burundi",
    "burundian",
    "burunge",
    "bururi",
    "burushaski",
    "burusu",
    "buruwai",
    "bury",
    "busa",
    "busam",
    "busami",
    "busan",
    "busang",
    "bushenyi",
    "bushi",
    "bushoong",
    "busia",
    "buso",
    "busoa",
    "bussa",
    "busuu",
    "butaleja",
    "butambala",
    "butbut",
    "bute",
    "butebo",
    "butel",
    "butmas",
    "butuanon",
    "buvuma",
    "buwal",
    "buxoro",
    "buxton",
    "buyang",
    "buyende",
    "buyu",
    "buyuan",
    "buzău",
    "buţnān",
    "buḩayrah",
    "bwa",
    "bwaidoka",
    "bwamu",
    "bwanabwana",
    "bwatoo",
    "bwazza",
    "bwe",
    "bwela",
    "bwile",
    "bwilim",
    "bwisi",
    "byangsi",
    "byelorussian",
    "byep",
    "bács",
    "bái",
    "bárbara",
    "bädi",
    "béchar",
    "béja",
    "béjaïa",
    "békés",
    "békéscsaba",
    "béni",
    "béte",
    "bété",
    "bình",
    "bābil",
    "bādghīs",
    "bāmyān",
    "bāţinah",
    "bāḩah",
    "bălți",
    "břeclav",
    "būr",
    "būshehr",
    "bərdə",
    "bạc",
    "bắc",
    "bằng",
    "bến",
    "caac",
    "caaguazú",
    "caazapá",
    "cabañas",
    "cabe",
    "cabinda",
    "cabiyarí",
    "cabo",
    "cabécar",
    "cacaloxtepec",
    "cacaopera",
    "cacataibo",
    "cacgia",
    "cacheu",
    "cacua",
    "caddo",
    "caddoan",
    "caerdydd",
    "caerffili",
    "caerphilly",
    "caf",
    "cafundo",
    "cagayan",
    "cagliari",
    "cahuarano",
    "cahuilla",
    "cahul",
    "cai",
    "caicos",
    "caiman",
    "cajamarca",
    "cajatambo",
    "cajonos",
    "cajun",
    "caka",
    "cakaudrove",
    "cakchiquel",
    "cakfem",
    "calabarzon",
    "calabria",
    "calais",
    "calamian",
    "caldas",
    "calderdale",
    "calderón",
    "caledonia",
    "caledonian",
    "california",
    "callao",
    "callawalla",
    "caltanissetta",
    "caluyanun",
    "calvados",
    "calédonie",
    "caló",
    "camagüey",
    "camarines",
    "cambodia",
    "cambodian",
    "cambridgeshire",
    "camden",
    "cameroon",
    "camiguin",
    "camling",
    "camo",
    "campalagian",
    "campania",
    "campeche",
    "campidanese",
    "campo",
    "campobasso",
    "camsá",
    "camtho",
    "camunic",
    "canada",
    "canadian",
    "canarias",
    "canaries",
    "candoshi",
    "canela",
    "canelones",
    "canichana",
    "canillo",
    "canindeyú",
    "cankova",
    "cankuzo",
    "canoeiro",
    "cantabria",
    "cantagalo",
    "cantal",
    "cantemir",
    "canterbury",
    "cantonese",
    "cao",
    "cap",
    "capanahua",
    "cape",
    "capellen",
    "capisterre",
    "capital",
    "capitale",
    "capiz",
    "capiznon",
    "cappadocian",
    "caquetá",
    "caquinte",
    "car",
    "cara",
    "carabayo",
    "carabobo",
    "caraga",
    "carajos",
    "caramanta",
    "carapana",
    "carazo",
    "caraș",
    "carchi",
    "cardiff",
    "cargados",
    "cari",
    "carian",
    "carib",
    "caribbean",
    "caribe",
    "carijona",
    "carlo",
    "carlos",
    "carlow",
    "carmarthenshire",
    "carolina",
    "carolinian",
    "carpathian",
    "carrara",
    "carrier",
    "cartago",
    "casablanca",
    "casanare",
    "cascade",
    "cascades",
    "caserta",
    "cashibo",
    "cashinahua",
    "casiguran",
    "casnewydd",
    "castell",
    "castelló",
    "castelo",
    "castilian",
    "castilla",
    "castlereagh",
    "castries",
    "casuarina",
    "cat",
    "catalan",
    "catalina",
    "catalunya",
    "cataluña",
    "catamarca",
    "catanduanes",
    "catania",
    "catanzaro",
    "catarina",
    "catawba",
    "catherine",
    "catío",
    "cauca",
    "caucasian",
    "causeway",
    "caué",
    "cavan",
    "cavineña",
    "cavite",
    "cay",
    "cayman",
    "cayo",
    "cayon",
    "cayubaba",
    "cayuga",
    "cayuse",
    "cañar",
    "ca̱hungwa̱rya̱",
    "ceará",
    "cebaara",
    "cebu",
    "cebuano",
    "cedi",
    "celje",
    "celtiberian",
    "celtic",
    "cemet",
    "cemuhî",
    "cen",
    "cent",
    "centar",
    "central",
    "centrale",
    "centre",
    "centro",
    "centúúm",
    "ceredigion",
    "cerklje",
    "cerknica",
    "cerkno",
    "cerkvenjak",
    "cerma",
    "cerro",
    "cesar",
    "cesena",
    "cess",
    "cetinje",
    "ceuta",
    "cfa",
    "cfp",
    "chaam",
    "chabu",
    "chachapoyas",
    "chachi",
    "chachoengsao",
    "chaco",
    "chad",
    "chadian",
    "chadic",
    "chadong",
    "chagang",
    "chagatai",
    "chaguanas",
    "chah",
    "chahār",
    "chai",
    "chaima",
    "chain",
    "chaiyaphum",
    "chak",
    "chakali",
    "chakavian",
    "chakma",
    "chala",
    "chalatenango",
    "chaldean",
    "chalikha",
    "cham",
    "chamacoco",
    "chamalal",
    "chambeali",
    "chambri",
    "chamic",
    "chamicuro",
    "chamorro",
    "champasak",
    "chamí",
    "chandpur",
    "chandīgarh",
    "chang",
    "changhua",
    "changriwa",
    "changthang",
    "chanthaburi",
    "chantyal",
    "chané",
    "chapai",
    "chara",
    "charente",
    "chargui",
    "chari",
    "charlestown",
    "charlotte",
    "charoen",
    "chatham",
    "chatino",
    "chattogram",
    "chaudangsi",
    "chaura",
    "chavacano",
    "chayahuita",
    "chayuco",
    "chazumba",
    "che",
    "cheb",
    "chechen",
    "chechenskaya",
    "chefchaouen",
    "chehalis",
    "cheke",
    "chelsea",
    "chelyabinskaya",
    "chemakum",
    "chenapian",
    "chenchu",
    "chenoua",
    "chepang",
    "chepya",
    "cher",
    "cherepon",
    "cherkaska",
    "cherkesskaya",
    "chernihivska",
    "chernivetska",
    "cherokee",
    "cheshire",
    "chester",
    "chesu",
    "chetco",
    "chetti",
    "chetty",
    "chewa",
    "chewong",
    "chey",
    "cheyenne",
    "chhattisgarhi",
    "chhattīsgarh",
    "chhintange",
    "chhnang",
    "chhukha",
    "chhulung",
    "chi",
    "chiang",
    "chiangmai",
    "chiapanec",
    "chiapas",
    "chiayi",
    "chiba",
    "chibcha",
    "chibchan",
    "chicahuaxtla",
    "chichaoua",
    "chichewa",
    "chichicapan",
    "chichimeca",
    "chickasaw",
    "chicomuceltec",
    "chiesanuova",
    "chieti",
    "chiga",
    "chigmecatitlán",
    "chihuahua",
    "chiini",
    "chiki",
    "chikwawa",
    "chilcotin",
    "chile",
    "chilean",
    "chilisso",
    "chiltepec",
    "chimalapa",
    "chimaltenango",
    "chimariko",
    "chimborazo",
    "chimbu",
    "chimila",
    "chimwera",
    "chin",
    "china",
    "chinali",
    "chinandega",
    "chinantec",
    "chinbon",
    "chincha",
    "chinchipe",
    "chinese",
    "chinook",
    "chipaya",
    "chipewyan",
    "chippewa",
    "chiquihuitlán",
    "chiquimula",
    "chiquitano",
    "chiquián",
    "chiradzulu",
    "chiricahua",
    "chiripá",
    "chiriquí",
    "chiru",
    "chitimacha",
    "chitipa",
    "chitkuli",
    "chittagonian",
    "chitwania",
    "chișinău",
    "chlef",
    "choapan",
    "chobe",
    "chocangacakha",
    "chochotec",
    "choctaw",
    "chocó",
    "chodri",
    "choiseul",
    "chokri",
    "chokwe",
    "chol",
    "choluteca",
    "cholón",
    "chomutov",
    "chon",
    "chong",
    "chongqing",
    "choni",
    "chontal",
    "chontales",
    "chonyi",
    "chopi",
    "chorasmian",
    "chorote",
    "chortí",
    "chothe",
    "choăy",
    "chrau",
    "christ",
    "christchurch",
    "christmas",
    "chru",
    "chrudim",
    "chtouka",
    "chuadanga",
    "chuang",
    "chuanqiandian",
    "chuave",
    "chubut",
    "chug",
    "chuj",
    "chuka",
    "chukot",
    "chukotskiy",
    "chukwa",
    "chulym",
    "chumburung",
    "chumphon",
    "chung",
    "chungcheongbuk",
    "chungcheongnam",
    "chunk",
    "chuquisaca",
    "churahi",
    "church",
    "chut",
    "chuuk",
    "chuukese",
    "chuvantsy",
    "chuvash",
    "chuvashskaya",
    "chuwabu",
    "chuyskaya",
    "chácobo",
    "châu",
    "chí",
    "cia",
    "cibak",
    "cibao",
    "cibitoke",
    "cicipu",
    "ciego",
    "cienfuegos",
    "cimbrian",
    "cimișlia",
    "cin",
    "cinda",
    "cineni",
    "cinta",
    "cirkulane",
    "cirth",
    "cisalpine",
    "cishingini",
    "citak",
    "citi",
    "città",
    "city",
    "ciudad",
    "ciwogai",
    "clackmannanshire",
    "clallam",
    "clara",
    "clare",
    "clarendon",
    "claro",
    "classical",
    "clervaux",
    "cleveland",
    "clipperton",
    "cluj",
    "cluster",
    "cnw",
    "coahuila",
    "coahuilteco",
    "coahuitlán",
    "coast",
    "coastal",
    "coatecas",
    "coatepec",
    "coatlán",
    "coatzospan",
    "cocama",
    "cocamilla",
    "cochabamba",
    "cochimi",
    "coclé",
    "cocopa",
    "cocos",
    "code",
    "codes",
    "coeur",
    "cofán",
    "cogui",
    "coimbra",
    "cojedes",
    "col",
    "colima",
    "colle",
    "collines",
    "colognian",
    "colombia",
    "colombian",
    "colombo",
    "colon",
    "colonia",
    "colorado",
    "columbia",
    "colón",
    "comaltepec",
    "comanche",
    "comayagua",
    "comecrudo",
    "commewijne",
    "como",
    "comore",
    "comorian",
    "comoros",
    "comox",
    "comoé",
    "composite",
    "comté",
    "comunidad",
    "con",
    "conakry",
    "concepción",
    "conchucos",
    "condamine",
    "congo",
    "congolese",
    "conibo",
    "connaught",
    "connecticut",
    "constantine",
    "constanța",
    "content",
    "continentale",
    "convertible",
    "conwy",
    "cook",
    "coola",
    "coos",
    "copainalá",
    "copala",
    "copperbelt",
    "coptic",
    "copán",
    "coquille",
    "coquimbo",
    "cora",
    "cordillera",
    "cordoba",
    "corentyne",
    "cori",
    "cork",
    "cornish",
    "cornwall",
    "corongo",
    "coronie",
    "corozal",
    "corrientes",
    "corrèze",
    "corse",
    "corsican",
    "cortés",
    "coruña",
    "cosenza",
    "cosoleacaque",
    "costa",
    "cotabato",
    "cotoname",
    "cotopaxi",
    "couffo",
    "couva",
    "cova",
    "covasna",
    "coventry",
    "cowlitz",
    "cox",
    "coyah",
    "coyotepec",
    "coyutla",
    "craigavon",
    "crd",
    "cree",
    "creek",
    "cremona",
    "creole",
    "creoles",
    "creuse",
    "crimean",
    "crioulo",
    "cristi",
    "cristóbal",
    "criuleni",
    "croatia",
    "croatian",
    "crooked",
    "cross",
    "crotone",
    "crow",
    "croydon",
    "cruz",
    "cruzeño",
    "csanád",
    "csongrád",
    "ctl",
    "cua",
    "cuaiquer",
    "cuando",
    "cuanza",
    "cuba",
    "cuban",
    "cubango",
    "cubeo",
    "cuenca",
    "cuiba",
    "cuicatec",
    "cuitlatec",
    "culfa",
    "culina",
    "culture",
    "cumanagoto",
    "cumbria",
    "cumbric",
    "cumilla",
    "cun",
    "cundinamarca",
    "cuneiform",
    "cunene",
    "cuneo",
    "cunha",
    "cupeño",
    "curaçao",
    "curonian",
    "currency",
    "curripaco",
    "cursive",
    "cuscatlán",
    "cusco",
    "cushitic",
    "cusio",
    "cutchi",
    "cuvette",
    "cuvok",
    "cuyamecalco",
    "cuyonon",
    "cuyuni",
    "cwi",
    "cym",
    "cymru",
    "cynon",
    "cynontaf",
    "cypriot",
    "cyprus",
    "cyrillic",
    "czech",
    "czechia",
    "czechoslovak",
    "czechoslovakia",
    "cáceres",
    "cádiz",
    "córdoba",
    "côte",
    "côtes",
    "côông",
    "călărași",
    "căușeni",
    "cēsu",
    "cəbrayıl",
    "cəlilabad",
    "cần",
    "daai",
    "daakaka",
    "daantanai",
    "daasanach",
    "daatsʼíin",
    "daba",
    "dabarre",
    "dabe",
    "dabola",
    "dacian",
    "dadi",
    "dadibi",
    "dadiya",
    "daegu",
    "daejeon",
    "daeng",
    "daga",
    "dagaare",
    "dagaari",
    "dagana",
    "dagara",
    "dagba",
    "dagbani",
    "dagenham",
    "dagestan",
    "dagik",
    "dagoman",
    "dahab",
    "dahalik",
    "dahalo",
    "daho",
    "dahomey",
    "dahūk",
    "dai",
    "dair",
    "dairi",
    "dajabón",
    "daju",
    "daka",
    "dakar",
    "dakhla",
    "dakhlet",
    "dakka",
    "dakota",
    "dakpakha",
    "dalaba",
    "dalabon",
    "dalabyggð",
    "dalarnas",
    "dalasi",
    "dalmatian",
    "dalmatinska",
    "daloa",
    "dalvíkurbyggð",
    "dam",
    "dama",
    "damakawa",
    "damal",
    "damar",
    "dambang",
    "dambi",
    "dameli",
    "dampelas",
    "damān",
    "dan",
    "danaru",
    "danau",
    "dandami",
    "dang",
    "dangaléat",
    "dangaura",
    "dani",
    "danilovgrad",
    "danish",
    "dano",
    "danu",
    "danum",
    "dao",
    "daonda",
    "daqahlīyah",
    "dar",
    "darai",
    "darfur",
    "dargwa",
    "darhan",
    "dari",
    "darién",
    "darkinyung",
    "darlington",
    "darlong",
    "darmiya",
    "darnah",
    "daro",
    "darussalam",
    "darwen",
    "dass",
    "datooga",
    "dau",
    "daugavpils",
    "daungwurrung",
    "daur",
    "davao",
    "davawenyo",
    "david",
    "daw",
    "dawa",
    "dawawa",
    "daweloor",
    "dawera",
    "dawik",
    "dawro",
    "dawḩah",
    "day",
    "daya",
    "dayak",
    "dayi",
    "dayr",
    "dazaga",
    "daşkəsən",
    "daşoguz",
    "ddb",
    "ddinbych",
    "debar",
    "debe",
    "debrca",
    "debrecen",
    "debubawi",
    "deccan",
    "dedua",
    "dedza",
    "defaka",
    "defi",
    "defla",
    "deg",
    "degema",
    "degenan",
    "degexit",
    "dehu",
    "dehwari",
    "deir",
    "dek",
    "del",
    "dela",
    "delaware",
    "delgado",
    "delhi",
    "delicias",
    "delo",
    "delta",
    "delčevo",
    "dem",
    "dema",
    "deme",
    "demerara",
    "demir",
    "demisa",
    "democratic",
    "demotic",
    "demta",
    "denar",
    "denbighshire",
    "dendi",
    "dene",
    "dengese",
    "dengka",
    "dengsa",
    "denguélé",
    "deni",
    "denigomodu",
    "denis",
    "denizli",
    "denmark",
    "dennery",
    "deno",
    "denya",
    "dení",
    "deori",
    "dependencias",
    "dera",
    "derby",
    "derbyshire",
    "derry",
    "des",
    "desano",
    "deseret",
    "desiya",
    "destrnik",
    "deux",
    "devanagari",
    "developer",
    "devon",
    "dewas",
    "dewoin",
    "dey",
    "deyah",
    "dezfuli",
    "dghwede",
    "dhaiso",
    "dhaka",
    "dhakhīrah",
    "dhalandji",
    "dhamār",
    "dhangu",
    "dhanki",
    "dhanwar",
    "dhao",
    "dharawal",
    "dhargari",
    "dharuk",
    "dharumbal",
    "dhatki",
    "dhexe",
    "dhimal",
    "dhivehi",
    "dhodia",
    "dhofari",
    "dhudhuroa",
    "dhundari",
    "dhungaloo",
    "dhurga",
    "dhuwal",
    "dhuwaya",
    "dhī",
    "dia",
    "dibabawon",
    "dibiyaso",
    "dibo",
    "dibole",
    "dibër",
    "dicamay",
    "dida",
    "didinga",
    "dido",
    "didán",
    "diego",
    "diekirch",
    "dienvidkurzemes",
    "dieri",
    "diffa",
    "diga",
    "digaro",
    "digo",
    "digue",
    "dii",
    "dijim",
    "dikhil",
    "dili",
    "dilling",
    "dima",
    "dimasa",
    "dimashq",
    "dimbong",
    "dime",
    "dimili",
    "dimli",
    "din",
    "dinagat",
    "dinajpur",
    "dinar",
    "ding",
    "dingli",
    "dinguiraye",
    "dinka",
    "dionisio",
    "dios",
    "dioula",
    "diourbel",
    "diq",
    "dirasha",
    "dire",
    "dirham",
    "diri",
    "diriku",
    "dirim",
    "disa",
    "district",
    "distrikt",
    "distrito",
    "ditammari",
    "ditidaht",
    "diu",
    "diuwe",
    "diuxi",
    "divača",
    "divehi",
    "division",
    "dixon",
    "diyarbakır",
    "diyālá",
    "dizin",
    "djabugay",
    "djabwurrung",
    "djadjawurrung",
    "djambarrpuyngu",
    "djamindjung",
    "djanet",
    "djangu",
    "djangun",
    "djawi",
    "djeebbana",
    "djelfa",
    "djellal",
    "djibloho",
    "djiboua",
    "djibouti",
    "djimini",
    "djinang",
    "djinba",
    "djiwarli",
    "dnipropetrovska",
    "doan",
    "dobel",
    "dobeles",
    "dobje",
    "dobra",
    "dobrepolje",
    "dobrich",
    "dobrna",
    "dobrova",
    "dobrovnik",
    "dobu",
    "documents",
    "dodoma",
    "doe",
    "doga",
    "doghoro",
    "dogon",
    "dogoso",
    "dogosé",
    "dogri",
    "dogrib",
    "dogul",
    "dojran",
    "doka",
    "doko",
    "dokolo",
    "dol",
    "dolenjske",
    "dolgan",
    "dolina",
    "dolj",
    "dollar",
    "dolneni",
    "dolnośląskie",
    "dolpo",
    "dom",
    "domaaki",
    "domagnano",
    "domari",
    "domažlice",
    "dombe",
    "domingo",
    "domingos",
    "dominica",
    "dominican",
    "dompo",
    "domu",
    "domung",
    "domžale",
    "don",
    "doncaster",
    "dondo",
    "dondușeni",
    "donegal",
    "donetska",
    "dong",
    "donga",
    "dongo",
    "dongotono",
    "dongshanba",
    "dongxiang",
    "donno",
    "doo",
    "doondo",
    "dora",
    "dordogne",
    "dori",
    "dornava",
    "dornod",
    "dornogovĭ",
    "doromu",
    "dorset",
    "dorze",
    "dos",
    "doso",
    "dosso",
    "dotyali",
    "doubs",
    "doutai",
    "dowa",
    "down",
    "doyayo",
    "dragomer",
    "dram",
    "dravi",
    "dravidian",
    "dravograd",
    "dravskem",
    "drawing",
    "drenthe",
    "drents",
    "driouch",
    "drochia",
    "dronning",
    "drung",
    "druskininkai",
    "drâa",
    "drôme",
    "duala",
    "duano",
    "duarte",
    "duau",
    "dubayy",
    "dubli",
    "dublin",
    "dubrovačko",
    "dubréka",
    "dubu",
    "dubăsari",
    "dudley",
    "dugun",
    "duguri",
    "dugwor",
    "duhwa",
    "duke",
    "dulbu",
    "duli",
    "duma",
    "dumagat",
    "dumaget",
    "dumbea",
    "dumfries",
    "dumi",
    "dumpas",
    "dumun",
    "dumyāţ",
    "duna",
    "dunaújváros",
    "dunbartonshire",
    "dundee",
    "dundgovĭ",
    "dungan",
    "dungmali",
    "dungra",
    "dungu",
    "dupaninan",
    "duplek",
    "duployan",
    "dura",
    "durango",
    "durazno",
    "durham",
    "duri",
    "duriankere",
    "durrës",
    "duruma",
    "duruwa",
    "dushanbe",
    "dusner",
    "dusun",
    "dutch",
    "dutton",
    "duungooma",
    "duupa",
    "duvle",
    "duwai",
    "duwet",
    "dũya",
    "dwang",
    "dyaberdyaber",
    "dyan",
    "dyangadi",
    "dyirbal",
    "dytikí",
    "dyugun",
    "dyula",
    "dza",
    "dzalakha",
    "dzando",
    "dzao",
    "dzavhan",
    "dzhalal",
    "dzihana",
    "dzongkha",
    "dzùùngoo",
    "dâmbovița",
    "dâw",
    "dévote",
    "díaz",
    "díli",
    "dón",
    "dôme",
    "düzce",
    "dādra",
    "dākhilīyah",
    "dāykundī",
    "děčín",
    "dīn",
    "dương",
    "ealing",
    "ebira",
    "eblan",
    "ebo",
    "ebon",
    "ebonyi",
    "ebrié",
    "ebughu",
    "ech",
    "echternach",
    "ecija",
    "ecuador",
    "ecuadorian",
    "ede",
    "edera",
    "edinburgh",
    "edineț",
    "edirne",
    "edn",
    "edo",
    "edolo",
    "edomite",
    "edopi",
    "eduria",
    "edward",
    "efai",
    "efate",
    "efe",
    "efik",
    "efutop",
    "ega",
    "eger",
    "eggon",
    "egypt",
    "egyptian",
    "ehime",
    "ehom",
    "ehueun",
    "eilean",
    "eipomek",
    "eitiep",
    "ejagham",
    "ejamat",
    "ejja",
    "ekai",
    "ekajuk",
    "ekari",
    "eki",
    "ekit",
    "ekiti",
    "ekoka",
    "ekpeye",
    "ela",
    "elamite",
    "elazığ",
    "elbasan",
    "elektrėnai",
    "eleme",
    "elena",
    "eleng",
    "elepi",
    "eleuthera",
    "elfdalian",
    "elgeyo",
    "elip",
    "eliya",
    "elizabeth",
    "elkei",
    "ellice",
    "elláda",
    "elotepec",
    "eloyi",
    "elseng",
    "elu",
    "elva",
    "elymian",
    "elías",
    "ema",
    "emae",
    "emai",
    "eman",
    "emauga",
    "embaloh",
    "emberá",
    "embu",
    "emerillon",
    "emilia",
    "emilian",
    "emira",
    "emirates",
    "emoji",
    "emplawas",
    "emumu",
    "enawené",
    "encamp",
    "end",
    "ende",
    "enderbury",
    "enen",
    "enets",
    "enewetak",
    "enfield",
    "enga",
    "engdewu",
    "engenni",
    "enggano",
    "england",
    "english",
    "english‑based",
    "engordany",
    "eni",
    "enlhet",
    "enna",
    "ennedi",
    "enrekang",
    "enriquillo",
    "entre",
    "enu",
    "enugu",
    "enwan",
    "enxet",
    "enya",
    "epa",
    "epena",
    "epi",
    "epie",
    "epigraphic",
    "equatoria",
    "equatorial",
    "erabu",
    "eravallan",
    "erave",
    "ere",
    "erevan",
    "eritai",
    "eritrea",
    "ermera",
    "erokwanas",
    "erongo",
    "errachidia",
    "erre",
    "erromintxela",
    "ersu",
    "eruwa",
    "erzincan",
    "erzurum",
    "erzya",
    "esan",
    "escaldes",
    "esch",
    "eschen",
    "escudo",
    "escuintla",
    "ese",
    "eshtehardi",
    "esimbi",
    "eskayan",
    "eskimo",
    "eskişehir",
    "esmeraldas",
    "espaillat",
    "esparta",
    "esperanto",
    "espírito",
    "essaouira",
    "esselen",
    "essequibo",
    "essex",
    "essonne",
    "est",
    "estado",
    "estelí",
    "estero",
    "estonia",
    "estonian",
    "estrangelo",
    "estuaire",
    "esuma",
    "eswatini",
    "esztergom",
    "etc",
    "etchemin",
    "etebi",
    "etelä",
    "eten",
    "eteocretan",
    "eteocypriot",
    "ethiopia",
    "ethiopian",
    "ethiopic",
    "etkywan",
    "etoile",
    "eton",
    "etruscan",
    "etulo",
    "eua",
    "eurco",
    "eure",
    "euro",
    "european",
    "euskal",
    "eustatius",
    "evant",
    "even",
    "evenki",
    "eviya",
    "evrejskaja",
    "ewa",
    "ewage",
    "ewe",
    "ewondo",
    "exotique",
    "extremadura",
    "extremaduran",
    "exuma",
    "eyak",
    "eyja",
    "eyjafjarðarsveit",
    "eystra",
    "eyyĭḥ",
    "ezaa",
    "eşfahān",
    "faadhippolhu",
    "faen",
    "faetano",
    "fagani",
    "fahs",
    "faifi",
    "faire",
    "faita",
    "faiwol",
    "fako",
    "fala",
    "falam",
    "falcón",
    "fali",
    "faliscan",
    "falkirk",
    "falkland",
    "fam",
    "fanagalo",
    "fanamaket",
    "fanbak",
    "fang",
    "fania",
    "fanti",
    "far",
    "faranah",
    "farefare",
    "farg",
    "faridpur",
    "faro",
    "faroe",
    "faroese",
    "fars",
    "farwānīyah",
    "farāh",
    "fas",
    "faso",
    "fasu",
    "fataleka",
    "fataluku",
    "fatick",
    "fayu",
    "fayyūm",
    "federacija",
    "federal",
    "federales",
    "federated",
    "federation",
    "fejér",
    "felidhu",
    "felipe",
    "fembe",
    "feni",
    "fermanagh",
    "fermo",
    "fernandeño",
    "fernando",
    "feroge",
    "ferrara",
    "ffl",
    "fflint",
    "fgura",
    "fianarantsoa",
    "fier",
    "fife",
    "figtree",
    "figuig",
    "fiji",
    "fijian",
    "fila",
    "filipe",
    "filipino",
    "filomena",
    "finistère",
    "finland",
    "finnish",
    "finnmárkku",
    "finno",
    "finongan",
    "fiorentino",
    "fipa",
    "fira",
    "firan",
    "firenze",
    "fiwaga",
    "fjallabyggð",
    "fjarðabyggð",
    "flaaitaal",
    "flacq",
    "flemish",
    "fleuri",
    "flevoland",
    "flinders",
    "flintshire",
    "fljótsdalshreppur",
    "flores",
    "florești",
    "floriana",
    "florida",
    "florin",
    "flowery",
    "flóahreppur",
    "fnideq",
    "foau",
    "foggia",
    "fogo",
    "foi",
    "foia",
    "folopa",
    "foma",
    "fomento",
    "fon",
    "fongoro",
    "fonoti",
    "fontana",
    "fontvieille",
    "fonyi",
    "foodo",
    "for",
    "forak",
    "fordata",
    "fore",
    "forest",
    "forint",
    "forlì",
    "formal",
    "formosa",
    "formosan",
    "fort",
    "fortin",
    "fortsenal",
    "foru",
    "forécariah",
    "fquih",
    "fraktur",
    "fram",
    "franc",
    "franca",
    "france",
    "franche",
    "francisco",
    "francistown",
    "franco",
    "francophone",
    "frankish",
    "frankivska",
    "française",
    "françaises",
    "fraser",
    "free",
    "freeport",
    "freetown",
    "french",
    "french‑based",
    "fria",
    "fribourg",
    "frisian",
    "friuli",
    "friulian",
    "frosinone",
    "fryslân",
    "frýdek",
    "fuego",
    "fujayrah",
    "fujian",
    "fukui",
    "fukuoka",
    "fukushima",
    "fulah",
    "fulfulde",
    "fulham",
    "fuliiru",
    "fulniô",
    "fum",
    "funafuti",
    "fungwa",
    "fur",
    "furu",
    "futuna",
    "fuumu",
    "fuvammulah",
    "fuyug",
    "fwe",
    "fwâi",
    "fyam",
    "fyer",
    "fyn",
    "fynwy",
    "fès",
    "füzuli",
    "fārs",
    "fāryāb",
    "fălești",
    "gaa",
    "gaam",
    "gabi",
    "gabon",
    "gaborone",
    "gabri",
    "gabrielino",
    "gabrovo",
    "gabès",
    "gabú",
    "gadaba",
    "gadang",
    "gaddang",
    "gaddi",
    "gade",
    "gadjerawang",
    "gadsup",
    "gaelic",
    "gaerfyrddin",
    "gafat",
    "gafsa",
    "gaga",
    "gagadu",
    "gagaifomauga",
    "gagauz",
    "gagnoa",
    "gagu",
    "gahri",
    "gaibandha",
    "gaikundi",
    "gail",
    "gaina",
    "gal",
    "galambu",
    "galatian",
    "galați",
    "galbeed",
    "galela",
    "galeya",
    "galguduud",
    "galibi",
    "galice",
    "galicia",
    "galician",
    "galindan",
    "galle",
    "gallen",
    "galloway",
    "gallurese",
    "galo",
    "galolen",
    "galway",
    "galápagos",
    "gamale",
    "gambela",
    "gambera",
    "gambia",
    "gambian",
    "gamilaraay",
    "gamit",
    "gamkonora",
    "gamo",
    "gampaha",
    "gamprin",
    "gan",
    "gana",
    "ganang",
    "ganda",
    "gandaki",
    "gane",
    "ganggalida",
    "ganglau",
    "gangte",
    "gangulu",
    "gangwon",
    "ganja",
    "ganjule",
    "gansu",
    "gants",
    "ganza",
    "ganzi",
    "ganzourgou",
    "gao",
    "gaoual",
    "gapapaiwa",
    "garasia",
    "gard",
    "gare",
    "garhwali",
    "garifuna",
    "garig",
    "garingbal",
    "garissa",
    "garlali",
    "garo",
    "garonne",
    "garre",
    "garrwa",
    "garus",
    "garza",
    "garðabær",
    "gasa",
    "gash",
    "gata",
    "gateshead",
    "gatshel",
    "gaulish",
    "gauteng",
    "gava",
    "gavak",
    "gavar",
    "gavião",
    "gaw",
    "gawar",
    "gawri",
    "gawwada",
    "gayil",
    "gayo",
    "gayón",
    "gaza",
    "gazi",
    "gaziantep",
    "gazipur",
    "gaɓogbo",
    "gbagyi",
    "gbanu",
    "gbanziri",
    "gbari",
    "gbarpolu",
    "gbaya",
    "gbayi",
    "gbe",
    "gbesi",
    "gbii",
    "gbin",
    "gbiri",
    "gbite",
    "gboloo",
    "geba",
    "gebarentaal",
    "gebe",
    "gedaged",
    "gedaref",
    "gedeh",
    "gedeo",
    "gedo",
    "gee",
    "geez",
    "geita",
    "geji",
    "geko",
    "gel",
    "gela",
    "gelao",
    "gelderland",
    "gelimi",
    "geme",
    "gemzek",
    "gen",
    "gende",
    "general",
    "gengle",
    "genova",
    "genève",
    "george",
    "georgia",
    "georgian",
    "gepo",
    "gera",
    "gerai",
    "gerais",
    "german",
    "germanic",
    "germany",
    "gerona",
    "gers",
    "geruma",
    "geser",
    "gevgelija",
    "gewest",
    "gey",
    "gezira",
    "geġark",
    "geʻez",
    "gfy",
    "ghadamès",
    "ghale",
    "ghana",
    "ghanaian",
    "ghandruk",
    "ghanongga",
    "ghanzi",
    "gharbi",
    "gharbī",
    "gharbīyah",
    "ghardaïa",
    "ghari",
    "ghayavi",
    "ghazal",
    "ghaznī",
    "gheg",
    "ghera",
    "ghodoberi",
    "ghomara",
    "ghomálá",
    "ghotuo",
    "ghulfan",
    "ghārbī",
    "ghāt",
    "ghōr",
    "gia",
    "giang",
    "giangan",
    "gibanawa",
    "gibraltar",
    "gidar",
    "gifu",
    "giiwo",
    "gikuyu",
    "gikyode",
    "gilaki",
    "gilbert",
    "gilbertese",
    "gilgit",
    "gilima",
    "gilyak",
    "gimi",
    "gimme",
    "gimnime",
    "gingerland",
    "ginuman",
    "ginyanga",
    "gipuzkoa",
    "girawa",
    "giresun",
    "girirra",
    "girne",
    "girona",
    "gironde",
    "giryama",
    "gisborne",
    "gishu",
    "gitega",
    "githabul",
    "gitonga",
    "gitua",
    "gitxsan",
    "gityemerri",
    "giulia",
    "giurgiu",
    "giyug",
    "giziga",
    "gizrra",
    "gjirokastër",
    "gjorče",
    "glacis",
    "glagolitic",
    "glamorgan",
    "glaro",
    "glarus",
    "glasgow",
    "glaud",
    "glavda",
    "glens",
    "glio",
    "glodeni",
    "gloucestershire",
    "gnagna",
    "gnau",
    "gnúpverjahreppur",
    "goa",
    "goan",
    "goaria",
    "gobasi",
    "gobu",
    "godié",
    "godwari",
    "goemai",
    "gofa",
    "gogo",
    "gogodala",
    "goiás",
    "gokana",
    "gola",
    "gold",
    "golestān",
    "golin",
    "golpa",
    "gomba",
    "gombe",
    "gomel",
    "gondi",
    "gone",
    "gongduk",
    "gongwang",
    "goni",
    "gonja",
    "goo",
    "goodenough",
    "gooniyandi",
    "gopalganj",
    "gor",
    "gora",
    "gorakor",
    "goranboy",
    "goranska",
    "gorap",
    "goreng",
    "gorenja",
    "gorenjskem",
    "gorgol",
    "gorica",
    "goricah",
    "gorizia",
    "gorišnica",
    "gorj",
    "gorje",
    "gorkha",
    "gornja",
    "gornji",
    "gorod",
    "gorom",
    "gorontalo",
    "gorovu",
    "gorowa",
    "gostivar",
    "gothic",
    "gotlands",
    "goundo",
    "gourde",
    "gourma",
    "gourmanchéma",
    "govĭ",
    "gowlan",
    "gowli",
    "gowro",
    "gozarkhani",
    "gozo",
    "gracias",
    "grad",
    "gradec",
    "gradsko",
    "grafningshreppur",
    "granada",
    "grand",
    "grande",
    "grangali",
    "granma",
    "grantha",
    "grass",
    "graubünden",
    "great",
    "greater",
    "grebo",
    "greece",
    "greek",
    "green",
    "greenland",
    "greenlandic",
    "greenwich",
    "grenada",
    "grenadian",
    "grenadine",
    "grenadines",
    "gresi",
    "grevenmacher",
    "gribingui",
    "grindavíkurbær",
    "grodnenskaja",
    "groma",
    "groningen",
    "gronings",
    "gros",
    "grosseto",
    "grosso",
    "grosuplje",
    "grundarfjarðarbær",
    "grímsnes",
    "grýtubakkahreppur",
    "gua",
    "guadalajara",
    "guadalcanal",
    "guadeloupe",
    "guadeloupean",
    "guahibo",
    "guainía",
    "guaira",
    "guairá",
    "guajajára",
    "guajira",
    "guajá",
    "guam",
    "guambiano",
    "guana",
    "guanacaste",
    "guanajuato",
    "guanano",
    "guanche",
    "guangdong",
    "guangxi",
    "guantánamo",
    "guanyinqiao",
    "guarani",
    "guaraní",
    "guarayu",
    "guarda",
    "guarequena",
    "guatemala",
    "guatemalan",
    "guató",
    "guaviare",
    "guayabero",
    "guayas",
    "gudang",
    "gudanji",
    "gude",
    "gudhinma",
    "gudja",
    "gudu",
    "guduf",
    "gudur",
    "guelma",
    "guelmim",
    "guercif",
    "guernsey",
    "guerrero",
    "guevea",
    "guezzam",
    "gugadj",
    "gugu",
    "gugubera",
    "guhu",
    "guiana",
    "guianese",
    "guibei",
    "guiberoua",
    "guibian",
    "guidimaka",
    "guilder",
    "guimaras",
    "guinea",
    "guinean",
    "guiqiong",
    "guivini",
    "guiyang",
    "guizhou",
    "gujarati",
    "gujari",
    "gujarāt",
    "guji",
    "gula",
    "gulay",
    "gulbenes",
    "gule",
    "gulf",
    "gulu",
    "gumalu",
    "gumatj",
    "gumawana",
    "gumaz",
    "gumna",
    "gumuz",
    "gun",
    "guna",
    "gundi",
    "gunditjmara",
    "gundungurra",
    "gungabula",
    "gungu",
    "gunma",
    "guntai",
    "gunwinggu",
    "gunya",
    "gunyaamolo",
    "gunyuño",
    "gupa",
    "gupapuyngu",
    "gurage",
    "guramalum",
    "gurani",
    "gurdjar",
    "gureng",
    "gurgula",
    "guria",
    "guriaso",
    "gurindji",
    "gurmana",
    "gurmukhi",
    "guro",
    "gurr",
    "gurung",
    "guruntum",
    "gusii",
    "gusilay",
    "gusinje",
    "guugu",
    "guwa",
    "guwamu",
    "guya",
    "guyana",
    "guyane",
    "guyanese",
    "guyani",
    "guárico",
    "guékédou",
    "guéra",
    "gvoko",
    "gwa",
    "gwahatike",
    "gwak",
    "gwamhi",
    "gwandara",
    "gwangju",
    "gwangyeoksi",
    "gweda",
    "gweno",
    "gwent",
    "gwere",
    "gwich",
    "gwichʼin",
    "gwynedd",
    "gyalsumdo",
    "gyele",
    "gyem",
    "gyeonggi",
    "gyeongsangbuk",
    "gyeongsangnam",
    "győr",
    "gävleborgs",
    "gôh",
    "götalands",
    "göygöl",
    "göyçay",
    "güilá",
    "güisnay",
    "gümüşhane",
    "gāndhārī",
    "găgăuzia",
    "għajnsielem",
    "għarb",
    "għargħur",
    "għasri",
    "għaxaq",
    "gīlān",
    "gżira",
    "gədəbəy",
    "gəncə",
    "haa",
    "haapsalu",
    "habana",
    "habarovskij",
    "habiganj",
    "habu",
    "hackney",
    "hacıqabul",
    "hadiyya",
    "hadjer",
    "hadothi",
    "hadrami",
    "hadza",
    "haeke",
    "hafnarfjarðarkaupstaður",
    "hagahai",
    "hahdhunmathi",
    "hahon",
    "haida",
    "haigwai",
    "hainan",
    "hainaut",
    "haiphong",
    "haisla",
    "haiti",
    "haitian",
    "haiǁom",
    "hajdina",
    "hajdú",
    "hajeb",
    "haji",
    "hajong",
    "hakasija",
    "hakha",
    "hakka",
    "hakkâri",
    "hakö",
    "halang",
    "halbi",
    "halh",
    "halia",
    "haljala",
    "halkomelem",
    "hallands",
    "halton",
    "hamadān",
    "hamap",
    "hamba",
    "hambantota",
    "hamburg",
    "hamer",
    "hamgyǒng",
    "hamlets",
    "hammersmith",
    "hampshire",
    "hamra",
    "hamtai",
    "han",
    "hanga",
    "hangaza",
    "hangeul",
    "hangul",
    "hangŭl",
    "hani",
    "hanja",
    "hano",
    "hanoi",
    "hanover",
    "hanty",
    "hanunoo",
    "hanunóo",
    "hanyu",
    "hanzi",
    "haouz",
    "harami",
    "harappan",
    "harare",
    "harari",
    "harbour",
    "hardap",
    "harengan",
    "harghita",
    "harijan",
    "haringey",
    "harju",
    "harjumaa",
    "harku",
    "haroi",
    "harrow",
    "harsusi",
    "hartlepool",
    "haruai",
    "haruku",
    "haryanvi",
    "haryāna",
    "harzani",
    "hasha",
    "haskovo",
    "hassaniyya",
    "hatam",
    "hatay",
    "hato",
    "hatohobei",
    "hatran",
    "hattic",
    "hatun",
    "hau",
    "hausa",
    "haut",
    "haute",
    "hautes",
    "hauts",
    "havasupai",
    "haveke",
    "haveli",
    "havering",
    "havlíčkův",
    "havu",
    "hawai",
    "hawaii",
    "hawaiian",
    "hawke",
    "haya",
    "hayes",
    "hazaragi",
    "hdi",
    "heard",
    "hebei",
    "hebrew",
    "hebrides",
    "hebron",
    "hehe",
    "heiban",
    "heilongjiang",
    "heiltsuk",
    "hela",
    "helena",
    "helens",
    "helmand",
    "helong",
    "hema",
    "hemba",
    "henan",
    "heneng",
    "hentiy",
    "herceg",
    "hercegovine",
    "hercule",
    "herdé",
    "heredia",
    "herefordshire",
    "herero",
    "hermanas",
    "hermel",
    "hermit",
    "hernican",
    "herrera",
    "herria",
    "hertfordshire",
    "herzegovina",
    "herêm",
    "herāt",
    "hessen",
    "heves",
    "hewa",
    "heyo",
    "hhohho",
    "hiberno",
    "hibito",
    "hidalgo",
    "hidatsa",
    "hieratic",
    "hieroglyphic",
    "hieroglyphs",
    "higaonon",
    "higgins",
    "high",
    "highland",
    "highlands",
    "higuamo",
    "hiiraan",
    "hiiumaa",
    "hijazi",
    "hijuk",
    "hiligaynon",
    "hillingdon",
    "himachali",
    "himarimã",
    "himāchal",
    "hindi",
    "hindko",
    "hinduri",
    "hindustani",
    "hinglish",
    "hinukh",
    "hiragana",
    "hiri",
    "hiroshima",
    "hisar",
    "hittite",
    "hitu",
    "hiw",
    "hixkaryána",
    "hiyewe",
    "hkongso",
    "hlai",
    "hlavní",
    "hlepho",
    "hlersu",
    "hmar",
    "hmong",
    "hmwaveke",
    "hng",
    "hoava",
    "hobyót",
    "hoceïma",
    "hodh",
    "hodonín",
    "hodoš",
    "hoek",
    "hoia",
    "hoima",
    "hokan",
    "hokkaido",
    "hol",
    "holguín",
    "holikachuk",
    "holiya",
    "holland",
    "holma",
    "holo",
    "holoholo",
    "holstein",
    "holu",
    "holy",
    "homa",
    "honduras",
    "hong",
    "hongjin",
    "hongshuihe",
    "honi",
    "honiara",
    "hoose",
    "hope",
    "hopi",
    "hora",
    "horjul",
    "hormozgān",
    "hornafjörður",
    "horned",
    "horo",
    "horom",
    "horpa",
    "hote",
    "hoti",
    "houaphan",
    "houet",
    "hounslow",
    "hovd",
    "hove",
    "hovedstaden",
    "hovongan",
    "howland",
    "hoyahoya",
    "hozo",
    "hoče",
    "hpon",
    "hradec",
    "hradiště",
    "hrangkhol",
    "hrastnik",
    "hre",
    "hrpelje",
    "hrunamannahreppur",
    "hruso",
    "hryvnia",
    "hsinchu",
    "hsl",
    "huachipaeri",
    "hualien",
    "huallaga",
    "huamalíes",
    "huambisa",
    "huambo",
    "huancavelica",
    "huarijio",
    "huastec",
    "huasteca",
    "huaulu",
    "huautla",
    "huave",
    "huaxcaleca",
    "huaylas",
    "huaylla",
    "huba",
    "hubei",
    "huehuetenango",
    "huehuetla",
    "huelva",
    "huesca",
    "hugeirat",
    "huichol",
    "huila",
    "huilliche",
    "huishui",
    "huitepec",
    "huitoto",
    "huizhou",
    "huizu",
    "hukumina",
    "hula",
    "hulaulá",
    "huli",
    "hull",
    "hulung",
    "humboldt",
    "humburi",
    "humene",
    "humla",
    "hun",
    "hunan",
    "hunde",
    "hundi",
    "hunedoara",
    "hung",
    "hungana",
    "hungarian",
    "hungary",
    "hungu",
    "hunin",
    "hunjara",
    "hunnic",
    "hunsrik",
    "hunzib",
    "hupa",
    "hupdë",
    "hupla",
    "hurrian",
    "hus",
    "hut",
    "hutterite",
    "huvadhu",
    "huánuco",
    "huíla",
    "huế",
    "hvalfjarðarsveit",
    "hveragerðisbær",
    "hwana",
    "hwanghae",
    "hya",
    "hyam",
    "hyogo",
    "hyolmo",
    "hãe",
    "häme",
    "häädemeeste",
    "hérault",
    "hértevin",
    "hîncești",
    "hòa",
    "hóa",
    "hódmezővásárhely",
    "hõne",
    "höfuðborgarsvæði",
    "hörgársveit",
    "hövsgöl",
    "húnabyggð",
    "húnaþing",
    "hưng",
    "ẖefa",
    "hải",
    "hậu",
    "iaai",
    "ialomița",
    "ialoveni",
    "iamalele",
    "iatmul",
    "iau",
    "iași",
    "ibali",
    "ibaloi",
    "iban",
    "ibanag",
    "ibanda",
    "ibani",
    "ibaraki",
    "ibatan",
    "ibañez",
    "ibb",
    "iberian",
    "ibibio",
    "ibino",
    "ibom",
    "ibu",
    "ibuoro",
    "ica",
    "iceland",
    "icelandic",
    "iceve",
    "iche",
    "ida",
    "idaca",
    "idaho",
    "idakho",
    "idaté",
    "idere",
    "idesa",
    "idi",
    "idlib",
    "ido",
    "idoma",
    "idon",
    "idrija",
    "idu",
    "iduna",
    "ifni",
    "ifo",
    "ifrane",
    "ifugao",
    "ifè",
    "igala",
    "igana",
    "iganga",
    "igbo",
    "igede",
    "ignaciano",
    "ignacio",
    "ignalina",
    "igo",
    "iguta",
    "igwe",
    "iha",
    "ihievbe",
    "iii",
    "iiyanh",
    "ije",
    "ijekavian",
    "ijo",
    "ijuw",
    "ika",
    "ikaranggal",
    "ikizu",
    "iklin",
    "iko",
    "ikobi",
    "ikom",
    "ikoma",
    "ikpeng",
    "ikpeshi",
    "ikposo",
    "iku",
    "ikulu",
    "ikwere",
    "ikwo",
    "ila",
    "ile",
    "ilfov",
    "ilgar",
    "ilhas",
    "ili",
    "ilianen",
    "ilinden",
    "ilirska",
    "ille",
    "illes",
    "illinois",
    "illizi",
    "illyrian",
    "ilocos",
    "iloilo",
    "iloko",
    "ilongot",
    "ilue",
    "ilwana",
    "imbabura",
    "imbongu",
    "imereti",
    "imo",
    "imonda",
    "imotong",
    "imperia",
    "imperial",
    "imroing",
    "inabaknon",
    "inagua",
    "inapang",
    "inari",
    "incheon",
    "inchiri",
    "independencia",
    "indexadas",
    "indi",
    "india",
    "indian",
    "indiana",
    "indic",
    "individual",
    "indo",
    "indonesia",
    "indonesian",
    "indre",
    "indri",
    "indus",
    "inebu",
    "ineseño",
    "inezgane",
    "informal",
    "inga",
    "ingrian",
    "ingush",
    "ingushetiya",
    "inh",
    "inhambane",
    "inherited",
    "ini",
    "inlaod",
    "innerrhoden",
    "innlandet",
    "innu",
    "inoke",
    "inonhan",
    "inor",
    "inpui",
    "inscriptional",
    "insulaire",
    "interglossa",
    "interlingua",
    "interlingue",
    "international",
    "intha",
    "intibucá",
    "inuinnaqtun",
    "inuit",
    "inuktitut",
    "inupiaq",
    "inupiatun",
    "inverclyde",
    "inversion",
    "involved",
    "inés",
    "ioba",
    "ionía",
    "iowa",
    "ipalapa",
    "ipiko",
    "ipili",
    "ipulo",
    "iqtelif",
    "iquito",
    "iran",
    "iranian",
    "iranun",
    "iraq",
    "iraqi",
    "iraqw",
    "irarutu",
    "iraya",
    "irbid",
    "ireland",
    "iresim",
    "iriga",
    "iringa",
    "irish",
    "irkutskaja",
    "iro",
    "iroquoian",
    "irula",
    "irumu",
    "irántxe",
    "isabel",
    "isabela",
    "isabi",
    "isanzu",
    "isarog",
    "isconahua",
    "isebe",
    "isekiri",
    "isenye",
    "isernia",
    "ishikawa",
    "ishkashimi",
    "isinai",
    "isingiro",
    "isiolo",
    "isirawa",
    "iskandarīyah",
    "isla",
    "islamabad",
    "islamic",
    "island",
    "islander",
    "islands",
    "islas",
    "isle",
    "isles",
    "islet",
    "islington",
    "ismā",
    "isnag",
    "isoko",
    "isparta",
    "israel",
    "israeli",
    "issas",
    "issyk",
    "istarska",
    "isthmus",
    "iston",
    "istriot",
    "istro",
    "isu",
    "isukha",
    "isère",
    "italian",
    "italic",
    "italy",
    "itapúa",
    "itawit",
    "itea",
    "itelmen",
    "itene",
    "iteri",
    "itik",
    "itneg",
    "ito",
    "itonama",
    "itu",
    "itundujia",
    "itunyoso",
    "ituri",
    "itzá",
    "iuleha",
    "ivano",
    "ivanovskaja",
    "ivančna",
    "ivatan",
    "ivbie",
    "ivindo",
    "ivoire",
    "iwaidja",
    "iwal",
    "iwam",
    "iwate",
    "iwur",
    "ixcatec",
    "ixcatlán",
    "ixil",
    "ixtayutla",
    "ixtenco",
    "ixtlán",
    "iyayu",
    "iyive",
    "iyo",
    "iyojwa",
    "izabal",
    "izere",
    "izii",
    "izola",
    "izon",
    "izora",
    "izzi",
    "iñapari",
    "iğdır",
    "i̇mişli",
    "i̇smayıllı",
    "i̇stanbul",
    "i̇zmir",
    "jabal",
    "jabat",
    "jablanički",
    "jablonec",
    "jabutí",
    "jad",
    "jadgali",
    "jadida",
    "jadīd",
    "jaffna",
    "jafārah",
    "jah",
    "jahanka",
    "jahrā",
    "jaintia",
    "jair",
    "jaitmatang",
    "jakarta",
    "jakati",
    "jakattoe",
    "jakun",
    "jalapa",
    "jalisco",
    "jalkunan",
    "jaluit",
    "jamaica",
    "jamaican",
    "jamalo",
    "jamalpur",
    "jamamadí",
    "jambi",
    "james",
    "jamiltepec",
    "jammu",
    "jamo",
    "jamsay",
    "jan",
    "jandai",
    "jandavra",
    "janeiro",
    "jangkang",
    "jango",
    "jangshung",
    "janji",
    "janovskaja",
    "janūb",
    "janūbī",
    "janūbīyah",
    "japan",
    "japanese",
    "japrería",
    "jaqaru",
    "jara",
    "jarai",
    "jarash",
    "jarawa",
    "jardin",
    "jargon",
    "jaroslavskaja",
    "jaru",
    "jarvis",
    "jashore",
    "jauja",
    "jaunsari",
    "java",
    "javakheti",
    "javanese",
    "javindo",
    "jawa",
    "jawe",
    "jawf",
    "jawi",
    "jawoyn",
    "jaya",
    "jaén",
    "jaíka",
    "jebero",
    "jegunovce",
    "jeh",
    "jehai",
    "jejara",
    "jeju",
    "jejueo",
    "jelgava",
    "jelgavas",
    "jelšah",
    "jemez",
    "jenaama",
    "jendouba",
    "jenin",
    "jennu",
    "jeollabuk",
    "jeollanam",
    "jerada",
    "jere",
    "jeri",
    "jericho",
    "jersey",
    "jeru",
    "jerung",
    "jerusalem",
    "jerónimo",
    "jesenice",
    "jeseník",
    "jewish",
    "jezersko",
    "jhalakathi",
    "jhankot",
    "jhenaidah",
    "jhārkhand",
    "jiamao",
    "jiangsu",
    "jiangxi",
    "jiao",
    "jiarong",
    "jiba",
    "jibu",
    "jicarilla",
    "jigawa",
    "jih",
    "jihlava",
    "jihomoravský",
    "jihočeský",
    "jiiddu",
    "jijel",
    "jilbe",
    "jilim",
    "jilin",
    "jimi",
    "jina",
    "jindřichův",
    "jingpho",
    "jingulu",
    "jinja",
    "jinotega",
    "jinuo",
    "jinyu",
    "jiongnai",
    "jiparaná",
    "jirel",
    "jiru",
    "jita",
    "jiwaka",
    "jizzax",
    "jičín",
    "jju",
    "joba",
    "jofotek",
    "jogi",
    "john",
    "johnston",
    "johor",
    "jola",
    "jonava",
    "jonaz",
    "jongkhar",
    "jonglei",
    "joniškis",
    "jonkor",
    "jonūbī",
    "jor",
    "jordan",
    "jordanian",
    "jorá",
    "joseph",
    "josé",
    "jowulu",
    "jowzjān",
    "joypurhat",
    "juan",
    "juang",
    "jubbada",
    "judeo",
    "jufrah",
    "jujuy",
    "jukun",
    "julian",
    "julià",
    "jumhurí",
    "jumjum",
    "jumla",
    "jumli",
    "jungle",
    "junín",
    "juquila",
    "jur",
    "jura",
    "juray",
    "jurbarkas",
    "jurchen",
    "jurij",
    "jurúna",
    "juršinci",
    "jutiapa",
    "jutish",
    "juventud",
    "juwal",
    "juwoi",
    "juxtlahuaca",
    "juárez",
    "južnobanatski",
    "južnobački",
    "juǀʼhoan",
    "jwaneng",
    "jwira",
    "jász",
    "jämtlands",
    "järva",
    "järvamaa",
    "järve",
    "jèrriais",
    "jõelähtme",
    "jõesuu",
    "jõgeva",
    "jõgevamaa",
    "jõhvi",
    "jönköpings",
    "júma",
    "jāzān",
    "jēkabpils",
    "jīzah",
    "jūrmala",
    "kaabong",
    "kaamba",
    "kaan",
    "kaang",
    "kaansa",
    "kaapor",
    "kaba",
    "kabalai",
    "kabale",
    "kabardian",
    "kabardino",
    "kabarole",
    "kabatei",
    "kaberamaido",
    "kabiyè",
    "kabola",
    "kabore",
    "kabras",
    "kabunsuwan",
    "kaburi",
    "kabutra",
    "kabuverdianu",
    "kabwa",
    "kabwari",
    "kabyle",
    "kabīr",
    "kacem",
    "kachama",
    "kachari",
    "kachhi",
    "kachi",
    "kachin",
    "kachok",
    "kacipo",
    "kadai",
    "kadar",
    "kadaru",
    "kadavu",
    "kadazan",
    "kadiogo",
    "kadiwéu",
    "kadrina",
    "kadu",
    "kadugli",
    "kaduna",
    "kadung",
    "kaduo",
    "kadéï",
    "kaeb",
    "kaeku",
    "kaen",
    "kaeo",
    "kaera",
    "kaeseong",
    "kafa",
    "kaffrine",
    "kafoa",
    "kafr",
    "kagadi",
    "kagan",
    "kaganga",
    "kagate",
    "kagawa",
    "kagayanen",
    "kagera",
    "kagoma",
    "kagoro",
    "kagoshima",
    "kagulu",
    "kahe",
    "kahramanmaraş",
    "kahua",
    "kai",
    "kaian",
    "kaibobo",
    "kaidipang",
    "kaiep",
    "kaikadi",
    "kaikavian",
    "kaike",
    "kaili",
    "kaimbulawa",
    "kaimbé",
    "kaina",
    "kaingang",
    "kaingáng",
    "kainuu",
    "kairak",
    "kairiru",
    "kairouan",
    "kairui",
    "kais",
    "kaitag",
    "kaitetu",
    "kaithi",
    "kaivi",
    "kaiwá",
    "kaiy",
    "kaišiadorys",
    "kajakse",
    "kajali",
    "kajaman",
    "kajiado",
    "kakabai",
    "kakabe",
    "kakamega",
    "kakanda",
    "kaki",
    "kako",
    "kakumiro",
    "kakwa",
    "kala",
    "kalaallisut",
    "kalaamaya",
    "kalabakan",
    "kalabari",
    "kalabra",
    "kalagan",
    "kalaki",
    "kalaktang",
    "kalam",
    "kalamsé",
    "kalanadi",
    "kalanga",
    "kalangala",
    "kalanguya",
    "kalao",
    "kalapuya",
    "kalapálo",
    "kalarko",
    "kalasha",
    "kalasin",
    "kaldrananeshreppur",
    "kalenjin",
    "kalimantan",
    "kalinga",
    "kaliningradskaja",
    "kaliro",
    "kalispel",
    "kalkara",
    "kalkoti",
    "kalkutung",
    "kallahan",
    "kalmar",
    "kalmyk",
    "kalmykija",
    "kalo",
    "kalou",
    "kaloum",
    "kalpak",
    "kaluli",
    "kalumpang",
    "kalungu",
    "kalutara",
    "kaluzhskaya",
    "kalvarija",
    "kam",
    "kamakan",
    "kamang",
    "kamano",
    "kamantan",
    "kamar",
    "kamara",
    "kamarian",
    "kamaru",
    "kamas",
    "kamasa",
    "kamasau",
    "kamayo",
    "kamayurá",
    "kamba",
    "kambaata",
    "kambaira",
    "kambera",
    "kamberau",
    "kambiwá",
    "kambja",
    "kamchatskiy",
    "kamenica",
    "kami",
    "kamnik",
    "kamo",
    "kamoro",
    "kampala",
    "kamphaeng",
    "kampong",
    "kampot",
    "kamu",
    "kamula",
    "kamuli",
    "kamviri",
    "kamwe",
    "kamwenge",
    "kan",
    "kanagawa",
    "kanakanabu",
    "kanal",
    "kanamarí",
    "kanan",
    "kanaq",
    "kanashi",
    "kanasi",
    "kanauji",
    "kanchanaburi",
    "kandaal",
    "kandahār",
    "kandas",
    "kandawo",
    "kande",
    "kandy",
    "kanem",
    "kanembu",
    "kanepi",
    "kang",
    "kanga",
    "kangean",
    "kanggape",
    "kangjia",
    "kango",
    "kangri",
    "kangweonto",
    "kaniet",
    "kanikkaran",
    "kaningdon",
    "kaningi",
    "kaningra",
    "kaninuwa",
    "kanite",
    "kanjari",
    "kanji",
    "kanjobal",
    "kanju",
    "kankan",
    "kankanaey",
    "kankanay",
    "kannada",
    "kano",
    "kanowit",
    "kanoé",
    "kansa",
    "kansai",
    "kansas",
    "kanta",
    "kantosi",
    "kanu",
    "kanufi",
    "kanum",
    "kanungu",
    "kanuri",
    "kanyok",
    "kao",
    "kaoh",
    "kaohsiung",
    "kaolack",
    "kaonde",
    "kap",
    "kapampangan",
    "kapchorwa",
    "kapelebyong",
    "kapija",
    "kapin",
    "kapinawá",
    "kapingamarangi",
    "kapori",
    "kaposvár",
    "kapriman",
    "kaptiau",
    "kapya",
    "kaqchikel",
    "kara",
    "karaboro",
    "karabük",
    "karachay",
    "karachayevo",
    "karagandinskaja",
    "karagas",
    "karaim",
    "karajarri",
    "karajá",
    "karak",
    "karakalpak",
    "karakhanid",
    "karaman",
    "karami",
    "karamojong",
    "karang",
    "karanga",
    "karankawa",
    "karao",
    "karas",
    "karata",
    "karawa",
    "karbalā",
    "karbi",
    "karbinci",
    "kardzhali",
    "kare",
    "karekare",
    "karelian",
    "karelija",
    "karen",
    "karenga",
    "karenggapa",
    "karey",
    "kari",
    "karim",
    "karingani",
    "karipuna",
    "karipúna",
    "karirí",
    "karitiâna",
    "kariya",
    "kariyarra",
    "karjala",
    "karkar",
    "karkin",
    "karko",
    "karlovarský",
    "karlovačka",
    "karlovy",
    "karnai",
    "karnali",
    "karnātaka",
    "karo",
    "karok",
    "karon",
    "karonga",
    "karore",
    "karpoš",
    "kars",
    "kartli",
    "karuwali",
    "karuzi",
    "karviná",
    "karyaw",
    "kasa",
    "kasanda",
    "kasanga",
    "kasaï",
    "kasem",
    "kasese",
    "kashaya",
    "kashmir",
    "kashmiri",
    "kashmīr",
    "kashubian",
    "kasiguranin",
    "kaska",
    "kaskean",
    "kassala",
    "kasserine",
    "kastamonu",
    "kastre",
    "kasua",
    "kasungu",
    "katabaga",
    "katakana",
    "katakwi",
    "katang",
    "katanga",
    "katarqalai",
    "katavi",
    "katawixi",
    "katbol",
    "katcha",
    "kathoriya",
    "kathu",
    "kati",
    "katkari",
    "katla",
    "kato",
    "katsina",
    "katso",
    "katu",
    "katua",
    "katukína",
    "kaulong",
    "kauma",
    "kaunas",
    "kauno",
    "kaur",
    "kaure",
    "kaurna",
    "kauwera",
    "kavadarci",
    "kavalan",
    "kavango",
    "kavet",
    "kawacha",
    "kawaiisu",
    "kawe",
    "kawi",
    "kaxararí",
    "kaxuiâna",
    "kayabí",
    "kayagar",
    "kayah",
    "kayan",
    "kayangel",
    "kayanza",
    "kayapó",
    "kayardild",
    "kayaw",
    "kayeli",
    "kayes",
    "kayin",
    "kayong",
    "kayort",
    "kayseri",
    "kaytetye",
    "kayunga",
    "kayupulau",
    "kazahstanskaja",
    "kazakh",
    "kazakhstan",
    "kazlų",
    "kazo",
    "kazukuru",
    "keak",
    "keapara",
    "kebbi",
    "kecskemét",
    "kedah",
    "kedang",
    "kede",
    "keder",
    "keeling",
    "keelung",
    "keerray",
    "kef",
    "kegalla",
    "kehtna",
    "kehu",
    "kei",
    "keiga",
    "keila",
    "kein",
    "keiyo",
    "kekchí",
    "kela",
    "kelabit",
    "kelantan",
    "kele",
    "keley",
    "keliko",
    "kelmė",
    "kelo",
    "kelon",
    "kelâa",
    "kemak",
    "kembayan",
    "kemberano",
    "kembra",
    "kemedzung",
    "kemerovskaja",
    "kemi",
    "kemiehua",
    "kemtuik",
    "kenaboi",
    "kenati",
    "kendayan",
    "kendeje",
    "kendem",
    "kenga",
    "keningau",
    "keninjal",
    "kensington",
    "kensiu",
    "kenswei",
    "kent",
    "kentish",
    "kentohe",
    "kentrikí",
    "kentucky",
    "kenya",
    "kenyah",
    "kenyan",
    "kenyang",
    "kenyi",
    "kenzi",
    "keoru",
    "kepkiriwát",
    "kepo",
    "kepulauan",
    "kera",
    "kerak",
    "kerala",
    "kereho",
    "kerek",
    "keres",
    "kerewe",
    "kerewo",
    "kericho",
    "kerinci",
    "kermān",
    "kermānshāh",
    "kerry",
    "kerċem",
    "kesawai",
    "keski",
    "ket",
    "ketangalan",
    "kete",
    "ketengban",
    "ketum",
    "keu",
    "kewa",
    "keyagana",
    "keyangan",
    "keynes",
    "kgalagadi",
    "kgatleng",
    "khagrachhari",
    "khah",
    "khai",
    "khakas",
    "khalaj",
    "khaling",
    "kham",
    "khamba",
    "khammouan",
    "khams",
    "khamti",
    "khamyang",
    "khan",
    "khana",
    "khandesi",
    "khang",
    "khanty",
    "khao",
    "khaonh",
    "kharam",
    "kharia",
    "kharkivska",
    "kharoshthi",
    "khartoum",
    "khasi",
    "khatlon",
    "khawr",
    "khaymah",
    "khayo",
    "khazar",
    "khe",
    "khehek",
    "khenchela",
    "khengkha",
    "khersonska",
    "khetrani",
    "khezha",
    "khi",
    "khiamniungan",
    "khimi",
    "khinalugh",
    "khiri",
    "khirwar",
    "khisa",
    "khitan",
    "khlula",
    "khmelnytska",
    "khmer",
    "khmu",
    "khmum",
    "kho",
    "khoekhoe",
    "khoibu",
    "khoisan",
    "khojki",
    "kholok",
    "khomas",
    "khon",
    "khor",
    "khorasani",
    "khorezmian",
    "khorāsān",
    "khotanese",
    "khouribga",
    "khowar",
    "khua",
    "khudawadi",
    "khuen",
    "khulna",
    "khumi",
    "khunsari",
    "khutsuri",
    "khvarshi",
    "khyber",
    "kháng",
    "khánh",
    "khémisset",
    "khénifra",
    "khün",
    "khōst",
    "khūzestān",
    "kiambu",
    "kibaale",
    "kibala",
    "kibet",
    "kibiri",
    "kiboga",
    "kibuku",
    "kickapoo",
    "kidal",
    "kidričevo",
    "kigali",
    "kigoma",
    "kihnu",
    "kiili",
    "kiini",
    "kija",
    "kikai",
    "kikakui",
    "kikuube",
    "kikuyu",
    "kildare",
    "kildin",
    "kilenge",
    "kili",
    "kilifi",
    "kilimanjaro",
    "kilinochchi",
    "kilis",
    "kilivila",
    "kiliwa",
    "kilkenny",
    "kilmeri",
    "kim",
    "kimaama",
    "kimaragang",
    "kimbu",
    "kimbundu",
    "kimki",
    "kimré",
    "kina",
    "kinabalian",
    "kinabatangan",
    "kinalakna",
    "kinamiging",
    "kinaray",
    "kindia",
    "kinga",
    "kingdom",
    "kingman",
    "kingston",
    "kinmen",
    "kinnauri",
    "kinross",
    "kinshasa",
    "kintaq",
    "kinuku",
    "kinyarwanda",
    "kioko",
    "kiong",
    "kiorr",
    "kiowa",
    "kip",
    "kipsigis",
    "kiput",
    "kir",
    "kirdki",
    "kire",
    "kirghiz",
    "kiri",
    "kiribati",
    "kirike",
    "kirikiri",
    "kirinyaga",
    "kirklees",
    "kirkop",
    "kirkūk",
    "kirmanjki",
    "kirovohradska",
    "kirovskaja",
    "kiruhura",
    "kirundo",
    "kirya",
    "kiryandongo",
    "kis",
    "kisa",
    "kisan",
    "kisankasa",
    "kisar",
    "kisela",
    "kishoreganj",
    "kisi",
    "kisii",
    "kiskun",
    "kisoro",
    "kissi",
    "kissidougou",
    "kistane",
    "kisumu",
    "kita",
    "kitagwenda",
    "kitan",
    "kitembo",
    "kitgum",
    "kitsai",
    "kitts",
    "kituba",
    "kitui",
    "kiunum",
    "kivu",
    "kiwai",
    "kié",
    "kičevo",
    "kiến",
    "kjósarhreppur",
    "kla",
    "kladno",
    "klaipėda",
    "klaipėdos",
    "klamath",
    "klao",
    "klatovy",
    "kli",
    "klias",
    "klingon",
    "kluet",
    "kmaq",
    "knaanic",
    "kniang",
    "kninska",
    "knowsley",
    "kněžnou",
    "koalib",
    "koasati",
    "koba",
    "kobarid",
    "kobiana",
    "kobilje",
    "kobo",
    "koboko",
    "kobol",
    "kobon",
    "kocaeli",
    "koch",
    "kochi",
    "kochila",
    "koda",
    "kodaku",
    "kodava",
    "kodeoha",
    "kodi",
    "kodia",
    "koenoem",
    "kofa",
    "kofei",
    "kofyar",
    "koga",
    "kogi",
    "koguryo",
    "kohgīlūyeh",
    "kohila",
    "kohin",
    "kohistani",
    "koho",
    "kohtla",
    "kohumono",
    "koi",
    "koiali",
    "koiari",
    "koibal",
    "koireng",
    "koitabu",
    "koiwat",
    "kok",
    "kokata",
    "koke",
    "koki",
    "koko",
    "kokoda",
    "kokola",
    "kokota",
    "kokturk",
    "kol",
    "kola",
    "kolami",
    "kolašin",
    "kolbila",
    "kolda",
    "kole",
    "kolhumadulu",
    "koli",
    "kolibugan",
    "kolubarski",
    "koluwawa",
    "kolín",
    "kom",
    "koma",
    "komba",
    "kombai",
    "kombio",
    "komen",
    "komenda",
    "komering",
    "komi",
    "kominimung",
    "kommune",
    "kommuneqarfik",
    "kommunia",
    "komo",
    "komodo",
    "komondjari",
    "kompane",
    "kompienga",
    "komunitatea",
    "komyandaret",
    "komárom",
    "kon",
    "konai",
    "konda",
    "koneraw",
    "kong",
    "kongo",
    "koniya",
    "konjice",
    "konjo",
    "konkani",
    "konkomba",
    "konni",
    "kono",
    "konomala",
    "konongo",
    "konso",
    "kontagora",
    "konya",
    "konyak",
    "konyanka",
    "konzo",
    "konzəl",
    "konče",
    "koongo",
    "koonzime",
    "koorete",
    "kopar",
    "koper",
    "kopkaka",
    "koprivničko",
    "kora",
    "korafe",
    "koraga",
    "korak",
    "korana",
    "korandje",
    "kordestān",
    "kordofan",
    "kordofanian",
    "korea",
    "korean",
    "koreguaje",
    "koresh",
    "korku",
    "korlai",
    "koro",
    "koromfé",
    "koromira",
    "koronadal",
    "koroni",
    "korop",
    "koropó",
    "koror",
    "koroshi",
    "korowai",
    "koroškem",
    "korra",
    "korubo",
    "koruna",
    "korupun",
    "korwa",
    "koryak",
    "korçë",
    "kosadle",
    "kosarek",
    "kose",
    "kosena",
    "koshi",
    "koshin",
    "kosovo",
    "kosovski",
    "kosovsko",
    "kosrae",
    "kosraean",
    "kossi",
    "kostanajskaja",
    "kostanjevica",
    "kostel",
    "kostromskaja",
    "kota",
    "kotafon",
    "kotava",
    "kotayk",
    "koti",
    "kotido",
    "kotor",
    "kott",
    "kotto",
    "kou",
    "koubia",
    "kouilou",
    "koulikoro",
    "koulpélogo",
    "koundara",
    "kouritenga",
    "kouroussa",
    "kourwéogo",
    "kouya",
    "kovai",
    "kove",
    "kowaki",
    "kowiai",
    "koy",
    "koya",
    "koyaga",
    "koyo",
    "koyra",
    "koyraboro",
    "koyukon",
    "kozina",
    "kozje",
    "kočani",
    "kočevje",
    "košický",
    "kpagua",
    "kpala",
    "kpan",
    "kpasam",
    "kpati",
    "kpatili",
    "kpeego",
    "kpelle",
    "kpessi",
    "kplang",
    "kqsl",
    "krabi",
    "krache",
    "kracheh",
    "krahn",
    "krahô",
    "kraj",
    "kranj",
    "kranjska",
    "kraol",
    "krapinsko",
    "krasnodarskij",
    "krasnojarskij",
    "kratovo",
    "kray",
    "krenak",
    "kretinga",
    "krevinian",
    "kreye",
    "kriang",
    "krikati",
    "krio",
    "kriol",
    "krisa",
    "kriva",
    "krivogaštani",
    "križevačka",
    "križevci",
    "krki",
    "krobu",
    "kroměříž",
    "krona",
    "krone",
    "krongo",
    "kronobergs",
    "kru",
    "krumen",
    "krumlov",
    "krung",
    "kruševo",
    "krym",
    "krymchak",
    "kryts",
    "králové",
    "královéhradecký",
    "kríti",
    "krāslavas",
    "krško",
    "kshiti",
    "kua",
    "kuala",
    "kuamasi",
    "kuan",
    "kuanhua",
    "kuanua",
    "kuanyama",
    "kubachi",
    "kube",
    "kubi",
    "kubo",
    "kubu",
    "kucong",
    "kudarat",
    "kudiya",
    "kudmali",
    "kudu",
    "kufr",
    "kufrah",
    "kugama",
    "kugbo",
    "kugu",
    "kui",
    "kuijau",
    "kuikúro",
    "kujalleq",
    "kujarge",
    "kujawsko",
    "kuk",
    "kukatja",
    "kuke",
    "kukele",
    "kukna",
    "kuku",
    "kukuya",
    "kukës",
    "kul",
    "kula",
    "kulan",
    "kulango",
    "kuldīgas",
    "kulere",
    "kulfa",
    "kulina",
    "kulisusu",
    "kullu",
    "kulon",
    "kulung",
    "kumalu",
    "kumam",
    "kumamoto",
    "kuman",
    "kumanovo",
    "kumaoni",
    "kumarbhag",
    "kumba",
    "kumbainggar",
    "kumbaran",
    "kumbewaha",
    "kumhali",
    "kumi",
    "kumiai",
    "kumukio",
    "kumyk",
    "kumzari",
    "kuna",
    "kunama",
    "kunaṟ",
    "kunbarlang",
    "kunda",
    "kundal",
    "kundi",
    "kunduvadi",
    "kunduz",
    "kunene",
    "kung",
    "kungarakany",
    "kungardutyi",
    "kunggari",
    "kungkari",
    "kungota",
    "kuni",
    "kunigami",
    "kunimaipa",
    "kunja",
    "kunjen",
    "kunyi",
    "kunza",
    "kuo",
    "kuot",
    "kupa",
    "kupang",
    "kupia",
    "kupiškis",
    "kupsabiny",
    "kur",
    "kura",
    "kurama",
    "kuranko",
    "kurdish",
    "kurdistan",
    "kurganskaja",
    "kuri",
    "kuria",
    "kurichiya",
    "kurigram",
    "kurmukar",
    "kurnai",
    "kurrama",
    "kurskaja",
    "kurti",
    "kurtokha",
    "kurudu",
    "kurukh",
    "kurumba",
    "kurunegala",
    "kuruáya",
    "kusaal",
    "kusaghe",
    "kushi",
    "kushtia",
    "kuskokwim",
    "kusu",
    "kusunda",
    "kusuntu",
    "kutai",
    "kutenai",
    "kutep",
    "kuthant",
    "kutná",
    "kutong",
    "kutto",
    "kutu",
    "kuturmi",
    "kuuk",
    "kuuku",
    "kuusalu",
    "kuvale",
    "kuvi",
    "kuwaa",
    "kuwaataay",
    "kuwait",
    "kuwaiti",
    "kuwema",
    "kuy",
    "kuzma",
    "kvemo",
    "kven",
    "kwa",
    "kwaami",
    "kwacha",
    "kwadi",
    "kwaio",
    "kwaja",
    "kwajalein",
    "kwakiutl",
    "kwakum",
    "kwale",
    "kwalhioqua",
    "kwama",
    "kwambi",
    "kwamera",
    "kwami",
    "kwamtim",
    "kwandu",
    "kwang",
    "kwanga",
    "kwangali",
    "kwango",
    "kwania",
    "kwanja",
    "kwanyama",
    "kwanza",
    "kwara",
    "kwasio",
    "kwaya",
    "kwaza",
    "kwazulu",
    "kween",
    "kwegu",
    "kweneng",
    "kwer",
    "kwerba",
    "kwere",
    "kwerisa",
    "kwese",
    "kwesten",
    "kwilu",
    "kwini",
    "kwinsu",
    "kwinti",
    "kwoma",
    "kwomtari",
    "kwonci",
    "kxoe",
    "kyak",
    "kyaka",
    "kyan",
    "kyanga",
    "kyankwanzi",
    "kyat",
    "kyegegwa",
    "kyenele",
    "kyenjojo",
    "kyerung",
    "kyiv",
    "kyivska",
    "kymenlaakso",
    "kyotera",
    "kyoto",
    "kyrgyz",
    "kyrgyzstan",
    "kyustendil",
    "kyzylordinskaja",
    "kâte",
    "kärnten",
    "kébili",
    "kédougou",
    "kélé",
    "kémo",
    "kénitra",
    "kénédougou",
    "kérouané",
    "kópavogsbær",
    "kölsch",
    "kürdəmir",
    "kütahya",
    "kābul",
    "kāpīsā",
    "kėdainiai",
    "kırklareli",
    "kırıkkale",
    "kırşehir",
    "kŭhistoni",
    "kǝngǝrli",
    "kəlbəcər",
    "kɛlɛngaxo",
    "kạn",
    "laal",
    "laali",
    "laari",
    "laba",
    "label",
    "labem",
    "labir",
    "labo",
    "laborie",
    "labrador",
    "labu",
    "labuan",
    "labuk",
    "labé",
    "lac",
    "lacandon",
    "lachi",
    "lachiguiri",
    "lachixío",
    "lacs",
    "ladakhi",
    "ladin",
    "ladino",
    "ladji",
    "ladākh",
    "lae",
    "laeko",
    "lafofa",
    "lagaw",
    "laghmān",
    "laghouat",
    "laghu",
    "laghuu",
    "lagos",
    "laguna",
    "lagunes",
    "lagwan",
    "laha",
    "lahanan",
    "lahnda",
    "lahta",
    "lahu",
    "lahul",
    "lai",
    "laikipia",
    "laimbue",
    "laing",
    "laitu",
    "laiyolo",
    "lak",
    "laka",
    "lakalei",
    "lake",
    "lakes",
    "lakha",
    "laki",
    "lakkia",
    "lakon",
    "lakondê",
    "lakota",
    "lakshadweep",
    "lakshmipur",
    "lakurumau",
    "lala",
    "lalana",
    "lalia",
    "lalmonirhat",
    "lalo",
    "lalu",
    "lam",
    "lama",
    "lamaholot",
    "lamalama",
    "lamalera",
    "lamang",
    "lamatuka",
    "lamba",
    "lambadi",
    "lambayeque",
    "lambeth",
    "lambichhong",
    "lamboya",
    "lambya",
    "lame",
    "lamenu",
    "lamis",
    "lamja",
    "lamkang",
    "lamma",
    "lamnso",
    "lamogai",
    "lampang",
    "lamphun",
    "lampung",
    "lamu",
    "lamusong",
    "lamwo",
    "lan",
    "lanao",
    "lanarkshire",
    "lanas",
    "lancashire",
    "land",
    "landes",
    "landoma",
    "landschaft",
    "landskapet",
    "lang",
    "langam",
    "langanesbyggð",
    "langbashe",
    "langi",
    "langnian",
    "lango",
    "langobardic",
    "langue",
    "lanima",
    "lanka",
    "lankan",
    "lanna",
    "lanoh",
    "lao",
    "laois",
    "laomian",
    "laopang",
    "laos",
    "lapaguía",
    "lappi",
    "lara",
    "larache",
    "laragia",
    "larantuka",
    "lardil",
    "larevat",
    "larga",
    "large",
    "largo",
    "lari",
    "larike",
    "larnaka",
    "laro",
    "larteh",
    "laru",
    "larue",
    "larvotto",
    "las",
    "lasalimu",
    "lasan",
    "lasgerdi",
    "lashi",
    "lasi",
    "late",
    "latgalian",
    "latin",
    "latina",
    "latu",
    "latundê",
    "latvia",
    "latvian",
    "lau",
    "laua",
    "lauan",
    "lauje",
    "laura",
    "laurentian",
    "lauricocha",
    "laut",
    "lautein",
    "lautu",
    "lavalleja",
    "lavatbura",
    "laven",
    "laventille",
    "lavi",
    "lavukaleve",
    "lawa",
    "lawangan",
    "lawoi",
    "lawrence",
    "lawu",
    "lawunuia",
    "layakha",
    "laz",
    "lazare",
    "lazdijai",
    "lazio",
    "laâyoune",
    "laçın",
    "laško",
    "lašče",
    "laḩij",
    "lealao",
    "lebanese",
    "lebanon",
    "lebap",
    "lecce",
    "lecco",
    "lechkhumi",
    "leco",
    "ledo",
    "leeds",
    "leelau",
    "lefa",
    "lefkosia",
    "lega",
    "legbo",
    "legenyem",
    "lehali",
    "lehalurup",
    "lehar",
    "leicester",
    "leicestershire",
    "leinong",
    "leinster",
    "leipon",
    "leiria",
    "leitrim",
    "lek",
    "leke",
    "leko",
    "lela",
    "lelak",
    "lele",
    "lelemi",
    "lelepa",
    "lembata",
    "lembena",
    "lembá",
    "lemerig",
    "lemesos",
    "lemio",
    "lemnian",
    "lemolang",
    "lemoro",
    "lempira",
    "lenakel",
    "lenart",
    "lenca",
    "lendava",
    "lendu",
    "lengilu",
    "lengo",
    "lengola",
    "lengua",
    "leningitij",
    "leningradskaja",
    "lenje",
    "lenkau",
    "lenyima",
    "leone",
    "leonese",
    "leova",
    "lepcha",
    "lepki",
    "lepontic",
    "lere",
    "leribe",
    "lerik",
    "les",
    "lese",
    "lesing",
    "lesotho",
    "leste",
    "letemboi",
    "leti",
    "letzeburgesch",
    "leu",
    "lev",
    "levantine",
    "levuka",
    "lewisham",
    "lewo",
    "lewotobi",
    "leyigha",
    "leyte",
    "lezghian",
    "lezhë",
    "león",
    "lhamtés",
    "lhokpu",
    "lhomi",
    "lhuentse",
    "liabuku",
    "liana",
    "liangmai",
    "lianshan",
    "liaoning",
    "lib",
    "liberec",
    "liberecký",
    "liberia",
    "liberian",
    "libertad",
    "libertador",
    "libido",
    "libinza",
    "libon",
    "libuat",
    "liburnian",
    "libya",
    "libyan",
    "lidzonka",
    "liechtenstein",
    "lienchiang",
    "liepāja",
    "ligbi",
    "ligenza",
    "liguria",
    "ligurian",
    "lihir",
    "lija",
    "lijili",
    "lika",
    "liki",
    "likiep",
    "likila",
    "likisá",
    "likoma",
    "likouala",
    "likuba",
    "likum",
    "likwala",
    "lilangeni",
    "lilau",
    "lillooet",
    "lilongwe",
    "lima",
    "limassa",
    "limba",
    "limbažu",
    "limbu",
    "limbum",
    "limburg",
    "limburgan",
    "limburger",
    "limburgish",
    "limerick",
    "limi",
    "limilngan",
    "limos",
    "limpopo",
    "limón",
    "lincolnshire",
    "lindi",
    "line",
    "linear",
    "lingala",
    "lingao",
    "lingarak",
    "lingua",
    "linguistic",
    "lipan",
    "lipeckaja",
    "lipi",
    "lipkovo",
    "lipo",
    "lira",
    "lisabata",
    "lisboa",
    "lisburn",
    "lisela",
    "lish",
    "lishana",
    "lishanid",
    "lishán",
    "lisu",
    "literary",
    "lithuania",
    "lithuanian",
    "litija",
    "litiji",
    "litoměřice",
    "littoral",
    "litzlitz",
    "liujiang",
    "liuqian",
    "liv",
    "liverpool",
    "livorno",
    "livvi",
    "liège",
    "liêu",
    "ličko",
    "ljubljana",
    "ljubljani",
    "ljubno",
    "ljutomer",
    "llaqta",
    "llave",
    "lleida",
    "loarki",
    "lobala",
    "lobata",
    "lobatse",
    "lobaye",
    "lobi",
    "lobu",
    "local",
    "lodhi",
    "lodi",
    "loei",
    "lofa",
    "log",
    "logatec",
    "logba",
    "logir",
    "logo",
    "logol",
    "logone",
    "logooli",
    "logorik",
    "logudorese",
    "lohar",
    "lohorung",
    "loi",
    "loir",
    "loire",
    "loiret",
    "loja",
    "lojban",
    "loka",
    "lokaa",
    "loke",
    "lokep",
    "loko",
    "lokoya",
    "loksa",
    "lola",
    "lolak",
    "lole",
    "lolo",
    "loloda",
    "lolopo",
    "loma",
    "lomaiviti",
    "lomami",
    "lomavren",
    "lombard",
    "lombardia",
    "lombi",
    "lombo",
    "lomwe",
    "loncong",
    "london",
    "longford",
    "longgu",
    "longto",
    "longuda",
    "loniu",
    "lonwolwol",
    "lonzo",
    "loo",
    "lop",
    "lopa",
    "lopi",
    "lopit",
    "lorang",
    "lorediakarkar",
    "lorestān",
    "loreto",
    "loroum",
    "los",
    "lot",
    "lote",
    "lotha",
    "lothian",
    "loti",
    "lotud",
    "lou",
    "louang",
    "louangphabang",
    "louga",
    "louis",
    "louisiana",
    "loun",
    "louny",
    "loup",
    "lourenço",
    "louth",
    "lovech",
    "lovrenc",
    "low",
    "lower",
    "lowland",
    "loxicha",
    "lozi",
    "lozovo",
    "lozère",
    "loška",
    "loški",
    "loṙi",
    "lualaba",
    "luanda",
    "luang",
    "luapula",
    "luba",
    "lubelskie",
    "lubila",
    "lubnān",
    "lubombo",
    "lubu",
    "lubuagan",
    "lubuskie",
    "lucca",
    "luchazi",
    "lucia",
    "lucian",
    "lucumi",
    "lucy",
    "lucía",
    "ludian",
    "ludzas",
    "lue",
    "lufu",
    "luganda",
    "lugbara",
    "lugger",
    "lugo",
    "luguru",
    "luhanska",
    "luhu",
    "luimbi",
    "luis",
    "luiseno",
    "luke",
    "lukovica",
    "lukpa",
    "lule",
    "lulua",
    "lumba",
    "lumbini",
    "lumbu",
    "lumpur",
    "lumun",
    "luna",
    "lunanakha",
    "lunda",
    "lundayeh",
    "lung",
    "lungalunga",
    "lungga",
    "lungu",
    "luo",
    "luopohe",
    "luqa",
    "luquan",
    "luri",
    "luritja",
    "lusaka",
    "lusengo",
    "lushai",
    "lushootseed",
    "lusi",
    "lusitanian",
    "luton",
    "lutos",
    "luuka",
    "luunja",
    "luvale",
    "luwati",
    "luwero",
    "luwian",
    "luwo",
    "luxembourg",
    "luxembourgish",
    "luyana",
    "luyia",
    "luzern",
    "luzon",
    "luís",
    "luče",
    "lvivska",
    "lwalu",
    "lwengo",
    "lyantonde",
    "lycian",
    "lydian",
    "lyngngam",
    "lyon",
    "lyélé",
    "lào",
    "láadan",
    "láá",
    "lâm",
    "län",
    "lääne",
    "läänemaa",
    "lääneranna",
    "lékoumou",
    "lélouma",
    "léraba",
    "lérida",
    "lípa",
    "lòria",
    "lüganuse",
    "lādhiqīyah",
    "līvānu",
    "lōgar",
    "lənkəran",
    "lạng",
    "lắk",
    "maa",
    "maaka",
    "maalhosmadulu",
    "maardu",
    "maarja",
    "maarten",
    "maasina",
    "maay",
    "maba",
    "mabaale",
    "mabaan",
    "mabaka",
    "mabas",
    "mabire",
    "maca",
    "macaguaje",
    "macaguán",
    "macanese",
    "macao",
    "macedo",
    "macedonia",
    "macedonian",
    "macenta",
    "macerata",
    "machakos",
    "machame",
    "machiguenga",
    "machinere",
    "machinga",
    "maci",
    "maco",
    "macorís",
    "macrolanguage",
    "macuata",
    "macuna",
    "macushi",
    "mada",
    "madagascar",
    "madak",
    "madang",
    "madaripur",
    "madaré",
    "madeira",
    "madhesh",
    "madhi",
    "madhya",
    "madi",
    "madonas",
    "madre",
    "madrid",
    "madriz",
    "madurese",
    "madīnah",
    "mae",
    "maek",
    "maeng",
    "maewo",
    "mafa",
    "mafea",
    "mafeteng",
    "mafraq",
    "mag",
    "magadanskaja",
    "magahi",
    "magallanes",
    "magar",
    "magbukun",
    "magdalena",
    "maggiore",
    "magoma",
    "magori",
    "maguindanao",
    "maguindanaon",
    "magura",
    "magway",
    "magɨ",
    "magɨyi",
    "maha",
    "mahafaly",
    "mahaica",
    "mahajanga",
    "mahajani",
    "mahakam",
    "mahali",
    "mahasu",
    "mahdia",
    "mahe",
    "mahican",
    "mahilioŭskaja",
    "mahongwe",
    "mahou",
    "mahrah",
    "mahārāshtra",
    "mai",
    "maia",
    "maiadomu",
    "maiani",
    "maidenhead",
    "maidu",
    "maii",
    "mailu",
    "maindo",
    "maine",
    "mainfränkisch",
    "mainstream",
    "maio",
    "mairasi",
    "mairie",
    "maisin",
    "maithili",
    "maiwa",
    "maiwala",
    "majang",
    "majera",
    "majhi",
    "majhwar",
    "majukayang",
    "majuro",
    "majšperk",
    "mak",
    "makaa",
    "makah",
    "makalero",
    "makamba",
    "makasae",
    "makasar",
    "makassar",
    "makayam",
    "makedonska",
    "makedonski",
    "makedonía",
    "makhuwa",
    "makian",
    "makira",
    "makkah",
    "maklew",
    "makole",
    "makolkol",
    "makonde",
    "maku",
    "makueni",
    "makuri",
    "makuráp",
    "makwe",
    "makyan",
    "makú",
    "mal",
    "mala",
    "malaccan",
    "malagasy",
    "malaita",
    "malak",
    "malalamai",
    "malampa",
    "malang",
    "malange",
    "malango",
    "malankuravan",
    "malapandaram",
    "malaryan",
    "malas",
    "malasar",
    "malatya",
    "malavedan",
    "malawi",
    "malawian",
    "malay",
    "malayalam",
    "malayic",
    "malaynon",
    "malayo",
    "malaysia",
    "malaysian",
    "malba",
    "malbousquet",
    "maldives",
    "maldivian",
    "maldonado",
    "male",
    "malecite",
    "maleng",
    "maleu",
    "malfaxal",
    "malgana",
    "malgbe",
    "mali",
    "malila",
    "malimba",
    "malimpung",
    "malinaltepec",
    "malo",
    "maloelap",
    "malol",
    "malta",
    "maltese",
    "malua",
    "maluku",
    "malvi",
    "malvinas",
    "malyangapa",
    "maléku",
    "mam",
    "mama",
    "mamaa",
    "mamaindé",
    "mamanwa",
    "mamara",
    "mamasa",
    "mambae",
    "mambai",
    "mamberamo",
    "mambila",
    "mamboru",
    "mambwe",
    "mambéré",
    "mamelles",
    "mamou",
    "mampruli",
    "mamuju",
    "mamulique",
    "mamusi",
    "mamvu",
    "man",
    "manabí",
    "manado",
    "manafwa",
    "managua",
    "manam",
    "manambu",
    "manangba",
    "manangkari",
    "manat",
    "manatuto",
    "manawatū",
    "mancha",
    "manche",
    "manchester",
    "manchu",
    "manda",
    "mandaean",
    "mandahuaca",
    "mandaic",
    "mandailing",
    "mandalay",
    "mandan",
    "mandandanyi",
    "mandar",
    "mandara",
    "mandari",
    "mandarin",
    "mandaya",
    "mande",
    "mandeali",
    "mander",
    "mandera",
    "mandiana",
    "mandingo",
    "mandinka",
    "mandjak",
    "mandobo",
    "mandoul",
    "manduri",
    "manem",
    "mang",
    "manga",
    "mangala",
    "mangareva",
    "mangarrayi",
    "mangas",
    "mangayat",
    "mangbetu",
    "mangbutu",
    "mangerr",
    "mangga",
    "manggarai",
    "mangghystaū",
    "mangk",
    "mango",
    "mangochi",
    "mangole",
    "mangrove",
    "mangseng",
    "mangue",
    "manguean",
    "manica",
    "manicaland",
    "manichaean",
    "manide",
    "maniema",
    "manihiki",
    "manikganj",
    "manikion",
    "maninka",
    "maninkakan",
    "manipa",
    "manipur",
    "manipuri",
    "manisa",
    "manitoba",
    "mankanya",
    "mankiyali",
    "manna",
    "mannan",
    "mannar",
    "mano",
    "manobo",
    "manombai",
    "manouba",
    "mansaka",
    "mansi",
    "mansijskij",
    "mansoanka",
    "manta",
    "mantova",
    "mantsi",
    "manufahi",
    "manumanaw",
    "manus",
    "manx",
    "manya",
    "manyara",
    "manyawa",
    "manyika",
    "manza",
    "manzini",
    "mao",
    "maonan",
    "maore",
    "maori",
    "mape",
    "mapena",
    "mapia",
    "mapidian",
    "mapos",
    "mapoyo",
    "mapuche",
    "mapudungun",
    "mapun",
    "maputo",
    "maquiritari",
    "mar",
    "mara",
    "maracha",
    "marachi",
    "maradi",
    "maraghei",
    "maragus",
    "marahoué",
    "marakwet",
    "maram",
    "marama",
    "maramureș",
    "maranao",
    "maranhão",
    "maranunggu",
    "mararit",
    "marathi",
    "marau",
    "marba",
    "marche",
    "marchen",
    "marcos",
    "mardin",
    "mare",
    "maremgi",
    "marenje",
    "marfa",
    "margany",
    "marghi",
    "margibi",
    "margos",
    "margu",
    "mari",
    "maria",
    "mariana",
    "maribor",
    "maricopa",
    "maridan",
    "maridjabin",
    "marij",
    "marijampolė",
    "marijampolės",
    "marik",
    "marimanindji",
    "marind",
    "marinduque",
    "maring",
    "maringarr",
    "marino",
    "mariri",
    "maritime",
    "maritimes",
    "maritsauá",
    "mariyedi",
    "marj",
    "mark",
    "marka",
    "markazī",
    "markets",
    "markovci",
    "markweeta",
    "marlborough",
    "marma",
    "marne",
    "maroon",
    "marovo",
    "marowijne",
    "marqab",
    "marquesan",
    "marra",
    "marrakech",
    "marrevone",
    "marriammu",
    "marrithiyel",
    "marrucinian",
    "marsa",
    "marsabit",
    "marsaskala",
    "marsaxlokk",
    "marshall",
    "marshallese",
    "marsian",
    "martha",
    "marti",
    "martin",
    "martinique",
    "martu",
    "martuyhunira",
    "martín",
    "maru",
    "marudu",
    "marwari",
    "mary",
    "maryland",
    "maría",
    "marúbo",
    "masaaba",
    "masadiit",
    "masai",
    "masaka",
    "masalit",
    "masallı",
    "masana",
    "masaya",
    "masbate",
    "masbatenyo",
    "masbuar",
    "mascara",
    "masela",
    "maseru",
    "mashan",
    "mashco",
    "mashi",
    "mashonaland",
    "masikoro",
    "masimasi",
    "masindi",
    "masiwang",
    "maskelynes",
    "maskoy",
    "maslam",
    "masmaje",
    "masqaţ",
    "massa",
    "massachusetts",
    "massalat",
    "massana",
    "massep",
    "masvingo",
    "mata",
    "matabeleland",
    "matagalpa",
    "matal",
    "matale",
    "matam",
    "matanzas",
    "matara",
    "matbat",
    "matengo",
    "mateo",
    "matepi",
    "matera",
    "mathematical",
    "matigsalug",
    "matipuhy",
    "matlatzinca",
    "matngala",
    "mato",
    "mator",
    "matsés",
    "mattole",
    "matu",
    "matukar",
    "matumbi",
    "matya",
    "matís",
    "mau",
    "maud",
    "maule",
    "maung",
    "mauren",
    "mauritania",
    "mauritian",
    "mauritius",
    "mauwake",
    "mavrovo",
    "mawa",
    "mawak",
    "mawan",
    "mawayana",
    "mawchi",
    "mawes",
    "mawé",
    "maxakalí",
    "maxi",
    "maya",
    "mayabeque",
    "mayaguana",
    "mayaguduna",
    "mayan",
    "mayangna",
    "mayaro",
    "mayawali",
    "mayek",
    "mayeka",
    "mayen",
    "mayenne",
    "mayi",
    "mayo",
    "mayogo",
    "mayor",
    "mayotte",
    "mayoyao",
    "maysān",
    "mayuge",
    "mazagway",
    "mazahua",
    "mazaltepec",
    "mazanderani",
    "mazaruni",
    "mazatec",
    "mazatlán",
    "mazowieckie",
    "mazurskie",
    "mačvanski",
    "małopolskie",
    "maţrūḩ",
    "mažeikiai",
    "maḩwīt",
    "maḩāl",
    "mba",
    "mbaaru",
    "mbala",
    "mbalanhu",
    "mbale",
    "mbandja",
    "mbangala",
    "mbangi",
    "mbangwe",
    "mbara",
    "mbarara",
    "mbariman",
    "mbati",
    "mbato",
    "mbay",
    "mbe",
    "mbelime",
    "mbembe",
    "mbere",
    "mbesa",
    "mbessa",
    "mbeya",
    "mbo",
    "mbodomo",
    "mboi",
    "mboko",
    "mbole",
    "mbomou",
    "mbon",
    "mbonga",
    "mbongno",
    "mbosi",
    "mbowe",
    "mbre",
    "mbrès",
    "mbudum",
    "mbugu",
    "mbugwe",
    "mbuk",
    "mbuko",
    "mbukushu",
    "mbula",
    "mbule",
    "mbulungish",
    "mbum",
    "mbunda",
    "mbunga",
    "mburku",
    "mbwela",
    "mbyá",
    "mcdonald",
    "mchinji",
    "mdina",
    "meadow",
    "mean",
    "meath",
    "mecayapan",
    "mecklenburg",
    "medebur",
    "medefaidrin",
    "media",
    "median",
    "mednyj",
    "medumba",
    "medvode",
    "medway",
    "meetei",
    "meetto",
    "mefele",
    "megam",
    "meghaier",
    "meghālaya",
    "megleno",
    "mehedinți",
    "mehek",
    "meherpur",
    "meherrin",
    "mehináku",
    "mehri",
    "meitei",
    "meithei",
    "mejit",
    "mekeo",
    "mekmek",
    "meknès",
    "mekwei",
    "mel",
    "melaka",
    "melanau",
    "mele",
    "melekeok",
    "melilla",
    "mellal",
    "mellieħa",
    "melloul",
    "melo",
    "melpa",
    "memoni",
    "men",
    "menchum",
    "mendalam",
    "mendankwe",
    "mende",
    "mendoza",
    "meneng",
    "mengaka",
    "mengen",
    "mengeš",
    "mengisa",
    "meniaa",
    "menka",
    "menominee",
    "mentawai",
    "menya",
    "meo",
    "meohang",
    "meoswar",
    "mer",
    "merah",
    "meramera",
    "merap",
    "merei",
    "merey",
    "meriam",
    "merlav",
    "meroitic",
    "mersch",
    "mersin",
    "merthyr",
    "merton",
    "meru",
    "merwari",
    "mesaka",
    "mescalero",
    "mese",
    "meskwaki",
    "mesme",
    "mesmes",
    "mesopotamian",
    "mesqan",
    "messapic",
    "messina",
    "mesto",
    "met",
    "meta",
    "metaʼ",
    "metical",
    "metlatónoc",
    "metlika",
    "meto",
    "metohija",
    "metropolitana",
    "meu",
    "meurthe",
    "meuse",
    "mewari",
    "mewati",
    "mexican",
    "mexico",
    "meyah",
    "mezontla",
    "mezquital",
    "međimurska",
    "mežica",
    "mfinu",
    "mfumte",
    "mgbolizhia",
    "miahuatlán",
    "miami",
    "mian",
    "miani",
    "miao",
    "miaoli",
    "michael",
    "michif",
    "michigamea",
    "michigan",
    "michoacán",
    "micmac",
    "micoud",
    "micronesia",
    "mid",
    "middle",
    "middlesbrough",
    "midelt",
    "midiki",
    "midlands",
    "midlothian",
    "midob",
    "midtjylland",
    "midway",
    "mie",
    "mien",
    "miestas",
    "migaama",
    "migabac",
    "migori",
    "miguel",
    "migum",
    "miju",
    "mikasuki",
    "miklaholtshreppur",
    "miklavž",
    "mil",
    "mila",
    "miladhunmadulu",
    "milano",
    "mili",
    "milne",
    "milton",
    "miltu",
    "miluk",
    "milyan",
    "mimaropa",
    "min",
    "mina",
    "minaean",
    "minang",
    "minangkabau",
    "minanibai",
    "minas",
    "minaveha",
    "minda",
    "mindanao",
    "minderico",
    "mindiri",
    "mindong",
    "mindoro",
    "mingang",
    "mingrelian",
    "mingəçevir",
    "minh",
    "miniafia",
    "minica",
    "minidien",
    "minjungbal",
    "minkin",
    "minnan",
    "minnesota",
    "minoan",
    "minokok",
    "minor",
    "minriq",
    "minsk",
    "minskaja",
    "mintil",
    "minyag",
    "minyā",
    "minz",
    "minūfīyah",
    "miqie",
    "miquelon",
    "mir",
    "mirabal",
    "miranda",
    "mirandese",
    "miraya",
    "miren",
    "mirgan",
    "miri",
    "miriti",
    "miriwoong",
    "mirna",
    "mirning",
    "misamis",
    "miship",
    "mishmi",
    "misima",
    "mising",
    "misiones",
    "miskolc",
    "mislinja",
    "mississippi",
    "missouri",
    "mitla",
    "mitlatongo",
    "mitooma",
    "mitrovački",
    "mittu",
    "mituku",
    "mityana",
    "miu",
    "miwa",
    "miwok",
    "mixe",
    "mixed",
    "mixtec",
    "mixtepec",
    "miya",
    "miyagi",
    "miyako",
    "miyakubo",
    "miyazaki",
    "miyobe",
    "mizoram",
    "mişrātah",
    "mkhedruli",
    "mlabri",
    "mladá",
    "mlahsö",
    "mlap",
    "mlomp",
    "mmaala",
    "mmen",
    "mnong",
    "moabite",
    "moba",
    "mobilian",
    "mobumrin",
    "mobwa",
    "mochi",
    "mochica",
    "mocho",
    "mocoví",
    "modang",
    "modena",
    "modern",
    "modi",
    "modo",
    "modoc",
    "modole",
    "moere",
    "mofu",
    "mogholi",
    "mogila",
    "mogofin",
    "mogum",
    "mohale",
    "mohammadia",
    "mohave",
    "mohawk",
    "mohegan",
    "mohéli",
    "moi",
    "moikodi",
    "moingi",
    "moji",
    "mojkovac",
    "mok",
    "moka",
    "moken",
    "mokerang",
    "mokhotlong",
    "mokhtar",
    "mokilese",
    "moklen",
    "mokole",
    "mokpwe",
    "mokronog",
    "moksela",
    "moksha",
    "molale",
    "molbog",
    "moldavian",
    "moldova",
    "moldovan",
    "molengue",
    "molima",
    "molise",
    "molmo",
    "molo",
    "molof",
    "moloko",
    "moluccan",
    "molėtai",
    "mom",
    "moma",
    "momare",
    "mombasa",
    "mombo",
    "mombum",
    "momina",
    "momuna",
    "mon",
    "monaco",
    "monagas",
    "monaghan",
    "monaragala",
    "monastic",
    "monastir",
    "mondol",
    "mondropolon",
    "mondé",
    "moneghetti",
    "monetary",
    "mong",
    "mongala",
    "monggar",
    "mongo",
    "mongol",
    "mongolia",
    "mongolian",
    "mongondow",
    "moni",
    "moniga",
    "monmouthshire",
    "mono",
    "monom",
    "monpa",
    "monsang",
    "monseñor",
    "mont",
    "montagnes",
    "montana",
    "monte",
    "montegiardino",
    "montenegrin",
    "montenegro",
    "monteverde",
    "montevideo",
    "montol",
    "montserrado",
    "montserrat",
    "monumbo",
    "monza",
    "monzombo",
    "moo",
    "moon",
    "moore",
    "moose",
    "mopti",
    "mopán",
    "moquegua",
    "mor",
    "moraid",
    "moravički",
    "moravske",
    "moravskoslezský",
    "moravče",
    "morawa",
    "moray",
    "morazán",
    "morbihan",
    "mordovija",
    "morelos",
    "morerebi",
    "moresada",
    "moresby",
    "morgannwg",
    "mori",
    "morigi",
    "morisyen",
    "mormon",
    "moro",
    "morobe",
    "moroccan",
    "morocco",
    "morofo",
    "morogoro",
    "morokodo",
    "morom",
    "morona",
    "moronene",
    "morori",
    "moroto",
    "morouas",
    "morrobalama",
    "mortlockese",
    "moru",
    "moselle",
    "mosfellsbær",
    "mosimo",
    "moskona",
    "moskovskaja",
    "moskva",
    "moslavačka",
    "moson",
    "mossi",
    "most",
    "mosta",
    "mostaganem",
    "mosteiros",
    "mota",
    "motembo",
    "motlav",
    "motu",
    "mouhoun",
    "mouk",
    "moulay",
    "moulins",
    "moulvibazar",
    "moundadan",
    "mount",
    "mountain",
    "mourne",
    "mouwase",
    "movima",
    "moxico",
    "moyadan",
    "moyen",
    "moyo",
    "moyon",
    "mozambican",
    "mozambique",
    "mozarabic",
    "mozirje",
    "moḍī",
    "mpade",
    "mpalitjanh",
    "mpi",
    "mpiemo",
    "mpigi",
    "mpinda",
    "mpoko",
    "mpoto",
    "mpotovoro",
    "mpumalanga",
    "mpumpong",
    "mpuono",
    "mpur",
    "mqabba",
    "mro",
    "mru",
    "mser",
    "msida",
    "mtarfa",
    "mtianeti",
    "mtskheta",
    "mtu",
    "mtwara",
    "muak",
    "mualang",
    "muara",
    "mubami",
    "mubende",
    "mubi",
    "mubārak",
    "muchinga",
    "muda",
    "mudburra",
    "mudhili",
    "mudu",
    "mudug",
    "muduga",
    "mufian",
    "mugom",
    "muhu",
    "muinane",
    "muji",
    "mukarramah",
    "mukdahan",
    "mukha",
    "mukono",
    "mukulu",
    "mulaha",
    "mulaku",
    "mulam",
    "mulanje",
    "mulao",
    "mulgi",
    "mullaittivu",
    "mullu",
    "multani",
    "multiple",
    "muluridyi",
    "mum",
    "muminh",
    "mumuye",
    "mun",
    "muna",
    "munawwarah",
    "munda",
    "mundabli",
    "mundang",
    "mundani",
    "mundari",
    "mundat",
    "mundo",
    "mundurukú",
    "mungaka",
    "munggui",
    "mungkan",
    "mungkip",
    "muniche",
    "munit",
    "munji",
    "munsee",
    "munshiganj",
    "munster",
    "munxar",
    "muong",
    "mur",
    "muramvya",
    "murang",
    "muratayak",
    "murcia",
    "mureș",
    "muria",
    "murik",
    "murkim",
    "murle",
    "murmanskaja",
    "murrinh",
    "mursi",
    "murska",
    "murui",
    "murupi",
    "murut",
    "muruwari",
    "murzuq",
    "musak",
    "musandam",
    "musar",
    "musasa",
    "musey",
    "musgu",
    "mushere",
    "mushungulu",
    "musi",
    "muskum",
    "muslim",
    "musom",
    "mussau",
    "mustvee",
    "muta",
    "muthambi",
    "muthanná",
    "muthuvan",
    "mutu",
    "muyang",
    "muyinga",
    "muyu",
    "muyuw",
    "muzi",
    "muğla",
    "muş",
    "muḩarraq",
    "mvanip",
    "mvdol",
    "mvuba",
    "mwaghavul",
    "mwali",
    "mwan",
    "mwani",
    "mwanza",
    "mwaro",
    "mwatebu",
    "mwenga",
    "mwera",
    "mwimbi",
    "myanmar",
    "mycenaean",
    "myene",
    "mykolaivska",
    "mymensingh",
    "mysian",
    "mzieme",
    "mzimba",
    "mághdì",
    "máku",
    "málaga",
    "märjamaa",
    "médenine",
    "médiouna",
    "médéa",
    "ménaka",
    "ménik",
    "mérida",
    "métropole",
    "méxico",
    "mískito",
    "místek",
    "mócheno",
    "môn",
    "møre",
    "múlaþing",
    "mün",
    "mündü",
    "mýrdalshreppur",
    "mādabā",
    "māhārāṣṭri",
    "mārupes",
    "māzandarān",
    "mělník",
    "město",
    "mġarr",
    "naaba",
    "naama",
    "naami",
    "naasioi",
    "naba",
    "nabak",
    "nabataean",
    "nabaţīyah",
    "nabeul",
    "nabi",
    "nabilatuk",
    "nablus",
    "nachering",
    "nacional",
    "nad",
    "nador",
    "nadroga",
    "nadruvian",
    "nadur",
    "nadëb",
    "nafaanra",
    "nafarroa",
    "nafarroako",
    "nafi",
    "nafri",
    "naftalan",
    "nafusi",
    "naga",
    "nagano",
    "nagar",
    "nagarchal",
    "nagari",
    "nagasaki",
    "nage",
    "nago",
    "nagoričane",
    "nagpuri",
    "nagri",
    "nagumi",
    "nagykanizsa",
    "nagykun",
    "nahali",
    "nahari",
    "nahouri",
    "nahuatl",
    "nai",
    "naira",
    "nairobi",
    "naitasiri",
    "najaf",
    "najdi",
    "najrān",
    "naka",
    "nakai",
    "nakame",
    "nakanai",
    "nakapiripirit",
    "nakaseke",
    "nakasongola",
    "nake",
    "nakfa",
    "nakhi",
    "nakhon",
    "naki",
    "naklo",
    "nakuru",
    "nakwi",
    "nalca",
    "nali",
    "nalik",
    "nalu",
    "naluo",
    "nalögo",
    "nam",
    "nama",
    "namakura",
    "namangan",
    "namat",
    "namayingo",
    "nambas",
    "nambikuára",
    "nambo",
    "nambya",
    "namdo",
    "namdrik",
    "namentenga",
    "namia",
    "namiae",
    "namibe",
    "namibia",
    "namibian",
    "namisindwa",
    "namla",
    "namo",
    "namonuito",
    "namosi",
    "nampho",
    "nampula",
    "namtha",
    "namu",
    "namur",
    "namutumba",
    "namuyi",
    "nan",
    "nana",
    "nanai",
    "nancere",
    "nande",
    "nandi",
    "nanerigé",
    "nanga",
    "nangarhār",
    "nankina",
    "nanti",
    "nanticoke",
    "nantou",
    "nanubae",
    "nanumaga",
    "nanumea",
    "nao",
    "naogaon",
    "napak",
    "napo",
    "napoli",
    "napu",
    "nar",
    "nara",
    "narail",
    "narak",
    "narango",
    "narathiwat",
    "narayanganj",
    "nari",
    "narim",
    "nariño",
    "naro",
    "narok",
    "narom",
    "narragansett",
    "narsingdi",
    "narua",
    "narungga",
    "narva",
    "naryn",
    "nasal",
    "nasarawa",
    "nasarian",
    "naskapi",
    "naso",
    "nastaliq",
    "nasu",
    "nat",
    "nata",
    "natal",
    "natanzi",
    "natchez",
    "nateni",
    "nathembo",
    "national",
    "nationalities",
    "nations",
    "natioro",
    "natore",
    "natügu",
    "nauete",
    "naukan",
    "nauna",
    "nauo",
    "nauru",
    "navaho",
    "navajo",
    "navassa",
    "navoiy",
    "navosa",
    "navut",
    "nawabganj",
    "nawaru",
    "nawathinehena",
    "nawdm",
    "nawuri",
    "nawé",
    "naxi",
    "naxxar",
    "naxçıvan",
    "nay",
    "nayala",
    "nayar",
    "nayarit",
    "nayi",
    "nayini",
    "nayok",
    "nazarje",
    "ncane",
    "nchumbulu",
    "nda",
    "ndai",
    "ndaka",
    "ndali",
    "ndam",
    "ndamba",
    "ndambomo",
    "ndasa",
    "ndau",
    "nde",
    "ndebele",
    "ndemli",
    "ndendeule",
    "ndengereko",
    "nding",
    "ndjamena",
    "ndo",
    "ndobo",
    "ndoe",
    "ndogo",
    "ndolo",
    "ndom",
    "ndombe",
    "ndonde",
    "ndonga",
    "ndoni",
    "ndoola",
    "ndra",
    "ndrulo",
    "nduga",
    "ndumu",
    "ndunda",
    "ndunga",
    "ndut",
    "ndwewe",
    "ndyuka",
    "ndzwani",
    "ndélé",
    "neamț",
    "neapolitan",
    "neath",
    "nebbi",
    "nebraska",
    "necaxa",
    "nedd",
    "nedebang",
    "nefamese",
    "neftçala",
    "negerhollands",
    "negeri",
    "negidal",
    "negotino",
    "negra",
    "negro",
    "negros",
    "nehan",
    "nei",
    "nek",
    "nekgini",
    "neko",
    "neku",
    "nelson",
    "nema",
    "neme",
    "nemi",
    "nen",
    "nend",
    "neneckij",
    "nenets",
    "nengone",
    "neno",
    "neo",
    "nepal",
    "nepalese",
    "nepali",
    "nepāla",
    "neretvanska",
    "neringa",
    "nete",
    "netherlands",
    "netrakona",
    "neuchâtel",
    "neuquén",
    "nevada",
    "nevis",
    "nevşehir",
    "newa",
    "newar",
    "newari",
    "newcastle",
    "newfoundland",
    "newham",
    "newport",
    "newry",
    "newtownabbey",
    "next",
    "neyo",
    "nez",
    "ngaanyatjarra",
    "ngad",
    "ngadjunmaya",
    "ngadjuri",
    "ngaing",
    "ngaju",
    "ngala",
    "ngalakgan",
    "ngalum",
    "ngam",
    "ngamambo",
    "ngambay",
    "ngamini",
    "ngamo",
    "ngan",
    "nganakarti",
    "nganasan",
    "ngandi",
    "ngando",
    "ngandyera",
    "ngangam",
    "ngantangarra",
    "nganyaywana",
    "ngaraard",
    "ngarchelong",
    "ngardi",
    "ngardmau",
    "ngarigu",
    "ngarinyin",
    "ngarinyman",
    "ngarla",
    "ngarluma",
    "ngarrindjeri",
    "ngas",
    "ngasa",
    "ngathan",
    "ngatik",
    "ngatpang",
    "ngawn",
    "ngawun",
    "ngayawung",
    "ngazidja",
    "ngbaka",
    "ngbandi",
    "ngbee",
    "ngbinda",
    "ngbundu",
    "ngchesar",
    "ngelima",
    "ngemba",
    "ngen",
    "ngendelengo",
    "ngeremlengui",
    "ngete",
    "nggem",
    "nggwahyi",
    "nghệ",
    "ngie",
    "ngiemboon",
    "ngile",
    "ngindo",
    "ngith",
    "ngiti",
    "ngiwal",
    "ngiyambaa",
    "ngizim",
    "ngkâlmpw",
    "ngom",
    "ngomba",
    "ngombale",
    "ngombe",
    "ngonde",
    "ngongo",
    "ngoni",
    "ngora",
    "ngoshie",
    "ngounié",
    "ngozi",
    "ngul",
    "ngultrum",
    "ngulu",
    "nguluwan",
    "ngumbarl",
    "ngumbi",
    "ngunawal",
    "ngundi",
    "ngundu",
    "ngungwel",
    "ngurimi",
    "ngurmbur",
    "nguyên",
    "nguôn",
    "ngwaba",
    "ngwe",
    "ngwo",
    "ngãi",
    "ngäbe",
    "ngäbere",
    "nhanda",
    "nhangu",
    "nhaŋu",
    "nhengatu",
    "nhirrpi",
    "nhuwala",
    "niamey",
    "niari",
    "nias",
    "niassa",
    "nibok",
    "nicaragua",
    "nicaraguan",
    "nichola",
    "nickerie",
    "nicobar",
    "nicobarese",
    "nicolau",
    "nidwalden",
    "niedersachsen",
    "niederösterreich",
    "niellim",
    "niger",
    "nigeria",
    "nigerian",
    "nigula",
    "nihali",
    "nii",
    "niigata",
    "nikole",
    "niksek",
    "nikšić",
    "nila",
    "nilamba",
    "nilandhe",
    "nile",
    "nilo",
    "nilphamari",
    "nimadi",
    "nimanbur",
    "nimba",
    "nimbari",
    "nimboran",
    "nimi",
    "nimo",
    "nimoa",
    "ninam",
    "nindem",
    "nindi",
    "ningera",
    "ninggerum",
    "ningi",
    "ningil",
    "ningxia",
    "ninh",
    "ninia",
    "ninzo",
    "nippes",
    "nipsan",
    "niragu",
    "nisa",
    "nisenan",
    "nisga",
    "nisi",
    "nisou",
    "nisporeni",
    "nistrului",
    "nisu",
    "nithi",
    "nitriansky",
    "niuafo",
    "niuas",
    "niuatoputapu",
    "niue",
    "niuean",
    "niutao",
    "nivaclé",
    "niwer",
    "nixumwak",
    "nizhegorodskaya",
    "nièvre",
    "niğde",
    "nišavski",
    "njalgulgule",
    "njebi",
    "njen",
    "njerep",
    "njombe",
    "njua",
    "njyem",
    "nkami",
    "nkangala",
    "nkari",
    "nkem",
    "nkhata",
    "nkhotakota",
    "nkhumbi",
    "nkongho",
    "nkonya",
    "nkoroo",
    "nkoya",
    "nkukoli",
    "nkum",
    "nkutu",
    "nkwen",
    "nnam",
    "noakhali",
    "nobiin",
    "nobonob",
    "nocamán",
    "nochixtlán",
    "nocte",
    "nocten",
    "nogai",
    "nohiyahoi",
    "noi",
    "noipx",
    "noire",
    "noiri",
    "nokuku",
    "nomaande",
    "nomane",
    "nomatsiguenga",
    "nomlaki",
    "nomu",
    "non",
    "nong",
    "nonthaburi",
    "nonuya",
    "nooksack",
    "noon",
    "noone",
    "noord",
    "nopala",
    "nord",
    "nordeste",
    "nordjylland",
    "nordland",
    "nordrhein",
    "norfolk",
    "noric",
    "norman",
    "normandie",
    "norn",
    "noroeste",
    "norra",
    "norrbottens",
    "norse",
    "norte",
    "northamptonshire",
    "northland",
    "northumberland",
    "norway",
    "norwegian",
    "norðurland",
    "norðurþing",
    "noshan",
    "nossob",
    "not",
    "notation",
    "notre",
    "notsi",
    "nottingham",
    "nottinghamshire",
    "nottoway",
    "notu",
    "nouaceur",
    "nouakchott",
    "nouel",
    "noumbiel",
    "noun",
    "nouvelle",
    "nouâdhibou",
    "nova",
    "novaci",
    "novads",
    "novara",
    "novgorodskaja",
    "novi",
    "novial",
    "novo",
    "novosibirskaja",
    "nový",
    "noy",
    "nsanje",
    "nsei",
    "nsele",
    "nsenga",
    "nshi",
    "nsi",
    "nsongo",
    "nta",
    "ntcham",
    "ntcheu",
    "ntchisi",
    "ntem",
    "nteng",
    "ntomba",
    "ntoroko",
    "ntungamo",
    "nuaulu",
    "nubaca",
    "nubi",
    "nubian",
    "nubri",
    "nuer",
    "nueva",
    "nuevo",
    "nugaal",
    "nugunu",
    "nui",
    "nuk",
    "nukak",
    "nukna",
    "nukufetau",
    "nukuini",
    "nukulaelae",
    "nukumanu",
    "nukunul",
    "nukuoro",
    "nukuria",
    "nulth",
    "nulu",
    "numana",
    "numanggang",
    "numbami",
    "nume",
    "numidian",
    "numèè",
    "nunavut",
    "nung",
    "nungali",
    "nunggubuyu",
    "nungu",
    "nuni",
    "nuniali",
    "nuoro",
    "nuosu",
    "nupbikha",
    "nupe",
    "nuqāţ",
    "nusa",
    "nuskhuri",
    "nusu",
    "nuu",
    "nuwara",
    "nwoya",
    "nyabwa",
    "nyaheun",
    "nyahkur",
    "nyakyusa",
    "nyala",
    "nyali",
    "nyam",
    "nyamal",
    "nyambo",
    "nyamira",
    "nyamusa",
    "nyamwanga",
    "nyamwezi",
    "nyandarua",
    "nyaneka",
    "nyang",
    "nyanga",
    "nyangatom",
    "nyangbo",
    "nyangga",
    "nyangumarta",
    "nyanja",
    "nyankole",
    "nyankpa",
    "nyarafolo",
    "nyasa",
    "nyaturu",
    "nyaw",
    "nyawaygi",
    "nye",
    "nyemba",
    "nyengo",
    "nyenkha",
    "nyeri",
    "nyeu",
    "nyiha",
    "nyika",
    "nyikina",
    "nyindrou",
    "nyindu",
    "nyishi",
    "nyiyaparli",
    "nymburk",
    "nynorsk",
    "nyo",
    "nyokon",
    "nyole",
    "nyong",
    "nyore",
    "nyoro",
    "nyulnyul",
    "nyungar",
    "nyungwe",
    "nyâlayu",
    "nyíregyháza",
    "nzadi",
    "nzakambay",
    "nzakara",
    "nzanyi",
    "nzas",
    "nzikou",
    "nzima",
    "nzoia",
    "nzérékoré",
    "náchod",
    "náà",
    "nêlêmwa",
    "nísia",
    "nógrád",
    "nótio",
    "nông",
    "nõo",
    "nüa",
    "nüpode",
    "nüshu",
    "nādu",
    "nāgāland",
    "nālūt",
    "năsăud",
    "nīmrōz",
    "nīnawá",
    "nūristān",
    "nǁng",
    "nẵng",
    "nội",
    "oaxaca",
    "obanliku",
    "oberösterreich",
    "obispeño",
    "oblast",
    "obleševo",
    "oblo",
    "oblysy",
    "obo",
    "obock",
    "obokuitai",
    "obolo",
    "obongi",
    "obulom",
    "obwalden",
    "ocaina",
    "ocampo",
    "occidental",
    "occitan",
    "occitanie",
    "ocean",
    "och",
    "ocnița",
    "ocoa",
    "ocotepec",
    "ocotepeque",
    "ocotlán",
    "odeska",
    "odham",
    "odia",
    "odiai",
    "odisha",
    "odoodee",
    "odranci",
    "odual",
    "odut",
    "oekusi",
    "oenale",
    "oeste",
    "ofayé",
    "offaly",
    "official",
    "ofo",
    "ogbah",
    "ogbia",
    "ogbogolo",
    "ogbronuagum",
    "ogea",
    "ogham",
    "ogooué",
    "ogres",
    "ogun",
    "ogwr",
    "ohangwena",
    "ohio",
    "ohlone",
    "ohrid",
    "oih",
    "oio",
    "oirat",
    "oirata",
    "oise",
    "oita",
    "ojibwa",
    "ojibwe",
    "ojitlán",
    "okanagan",
    "okayama",
    "oki",
    "okiek",
    "okinawa",
    "okinawan",
    "oklahoma",
    "oko",
    "okobo",
    "okodia",
    "okolie",
    "okollo",
    "okolod",
    "okpamheri",
    "okpe",
    "okpela",
    "okrug",
    "oksapmin",
    "oku",
    "olaines",
    "olancho",
    "old",
    "oldham",
    "olekha",
    "olkol",
    "ollar",
    "olmec",
    "olo",
    "oloma",
    "olomouc",
    "olomoucký",
    "olrat",
    "olt",
    "olu",
    "olulumo",
    "oluta",
    "omagh",
    "omagua",
    "omaha",
    "omaheke",
    "oman",
    "omani",
    "ombamba",
    "ombella",
    "ombo",
    "ombre",
    "ometepec",
    "omi",
    "omok",
    "omoro",
    "omotic",
    "omotik",
    "omskaja",
    "omurano",
    "omusati",
    "ona",
    "ondo",
    "one",
    "oneida",
    "ong",
    "onin",
    "onjob",
    "ono",
    "onobasulu",
    "onondaga",
    "ontario",
    "ontenu",
    "ontong",
    "oorlams",
    "oost",
    "opao",
    "opata",
    "opava",
    "oplotnica",
    "opolskie",
    "ora",
    "oran",
    "orang",
    "orange",
    "oraon",
    "ordino",
    "ordu",
    "ordubad",
    "oregon",
    "oreille",
    "orejón",
    "orellana",
    "orenburgskaja",
    "orense",
    "orhei",
    "orhon",
    "oriental",
    "orientales",
    "oring",
    "oristano",
    "oriya",
    "orizaba",
    "orizari",
    "orkhon",
    "orkney",
    "orlicí",
    "orlovskaja",
    "orma",
    "ormož",
    "ormu",
    "ormuri",
    "orne",
    "oro",
    "oroch",
    "oroha",
    "orok",
    "orokaiva",
    "oroko",
    "orokolo",
    "oromia",
    "oromo",
    "oroqen",
    "orowe",
    "oruma",
    "oruro",
    "orya",
    "osage",
    "osaka",
    "osatu",
    "osayen",
    "oscan",
    "osetija",
    "osh",
    "oshana",
    "oshikoto",
    "oshima",
    "osilnica",
    "osing",
    "osječko",
    "oslo",
    "osmaniye",
    "osmanya",
    "ososo",
    "ossetian",
    "ossetic",
    "ossola",
    "ostrava",
    "osun",
    "otago",
    "otank",
    "otdar",
    "otepää",
    "other",
    "oti",
    "otjozondjupa",
    "otlaltepec",
    "oto",
    "otomi",
    "otomian",
    "otoro",
    "ottawa",
    "ottoman",
    "otuho",
    "otuke",
    "ouaddaï",
    "ouaka",
    "ouargla",
    "ouarzazate",
    "oubi",
    "oubritenga",
    "oudalan",
    "oudômxai",
    "oued",
    "ouest",
    "ouezzane",
    "ouguiya",
    "ouham",
    "oujda",
    "ouled",
    "oum",
    "ouma",
    "oune",
    "ourense",
    "outlying",
    "ouzou",
    "ouémé",
    "overijssel",
    "owa",
    "owenia",
    "owiniga",
    "oxfordshire",
    "oya",
    "oyam",
    "oyda",
    "oyo",
    "oyster",
    "ozama",
    "ozolotepec",
    "ozumacín",
    "oğuz",
    "paakantyi",
    "paama",
    "paasaal",
    "pabir",
    "pabna",
    "pacahuara",
    "pacaraos",
    "pacific",
    "pacoh",
    "padang",
    "pader",
    "padoe",
    "padova",
    "paekche",
    "paelignian",
    "pagi",
    "pagibete",
    "pagu",
    "pagėgiai",
    "pahanan",
    "pahang",
    "pahari",
    "paharia",
    "pahawh",
    "pahi",
    "pahlavani",
    "pahlavi",
    "pai",
    "paicî",
    "paide",
    "pailin",
    "paipai",
    "paite",
    "paiute",
    "paiwan",
    "pajapan",
    "pajonal",
    "pak",
    "pakanha",
    "pakaásnovos",
    "pakhtunkhwa",
    "paki",
    "pakistan",
    "pakruojis",
    "paktiyā",
    "paktīkā",
    "paku",
    "pakwach",
    "pal",
    "palaic",
    "palaka",
    "palangos",
    "palanka",
    "palantla",
    "palau",
    "palauan",
    "palauli",
    "palaung",
    "palawan",
    "palawano",
    "palencia",
    "paleni",
    "palenquero",
    "palermo",
    "palestine",
    "palestinian",
    "pali",
    "palikúr",
    "paliyan",
    "palladium",
    "pallanganmiddang",
    "pallisa",
    "palmas",
    "palmetto",
    "palmyra",
    "palmyrene",
    "paloor",
    "palu",
    "paluan",
    "palya",
    "pam",
    "pambia",
    "pame",
    "pamlico",
    "pamona",
    "pamosu",
    "pampa",
    "pampanga",
    "pamplemousses",
    "pamplona",
    "pana",
    "panaeati",
    "panama",
    "panamanian",
    "panamint",
    "panamá",
    "panao",
    "panará",
    "panasuan",
    "panawa",
    "pancana",
    "panchagarh",
    "panchpargania",
    "pande",
    "pando",
    "panevėžio",
    "panevėžys",
    "pangasinan",
    "pangseng",
    "pangu",
    "pangutaran",
    "pangwa",
    "pangwali",
    "panim",
    "paniya",
    "panjabi",
    "panjshayr",
    "pankararé",
    "pankararú",
    "pankhu",
    "pannei",
    "pano",
    "panoan",
    "panobo",
    "panyi",
    "pao",
    "paola",
    "papantla",
    "papapana",
    "papar",
    "papasena",
    "papel",
    "papi",
    "papiamento",
    "papora",
    "papua",
    "papuan",
    "papuma",
    "para",
    "parachi",
    "paraguarí",
    "paraguay",
    "paraguayan",
    "parakanã",
    "paramaribo",
    "paranan",
    "paranawát",
    "paraná",
    "paraujano",
    "parauk",
    "parawen",
    "paraíba",
    "paraíso",
    "parbate",
    "pardhan",
    "pardhi",
    "pardubice",
    "pardubický",
    "pare",
    "parecís",
    "parenga",
    "parinacota",
    "paris",
    "parja",
    "parkari",
    "parkwa",
    "parma",
    "paro",
    "parsi",
    "part",
    "parthian",
    "partial",
    "parwān",
    "parya",
    "pará",
    "pas",
    "pasco",
    "pashai",
    "pashto",
    "pasi",
    "pass",
    "passamaquoddy",
    "passoré",
    "pastaza",
    "pasvalys",
    "pataca",
    "patamona",
    "patani",
    "pataxó",
    "patep",
    "patha",
    "pathiya",
    "pathom",
    "pathum",
    "patois",
    "patpatar",
    "patrick",
    "pattani",
    "pattapu",
    "patuakhali",
    "patwin",
    "pau",
    "paul",
    "paulo",
    "paulohi",
    "paumarí",
    "paunaka",
    "pauri",
    "pauserna",
    "pavia",
    "pavlodar",
    "pawaia",
    "pawnee",
    "paynamar",
    "pays",
    "paysandú",
    "paz",
    "pazardzhik",
    "pazeh",
    "pear",
    "pearling",
    "pech",
    "pecheneg",
    "pedernales",
    "pedi",
    "pedro",
    "pehčevo",
    "pei",
    "peipsiääre",
    "pekal",
    "pela",
    "pele",
    "peleliu",
    "pelende",
    "pelhřimov",
    "pelopónnisos",
    "pema",
    "pemba",
    "pembroke",
    "pembrokeshire",
    "pemon",
    "pen",
    "penal",
    "penan",
    "penang",
    "penchal",
    "pend",
    "pendau",
    "pendé",
    "peng",
    "penghu",
    "pengo",
    "pengunungan",
    "penh",
    "peninsula",
    "pennsylvania",
    "penrhyn",
    "pentlatch",
    "penzenskaja",
    "people",
    "peoples",
    "pepesa",
    "pequot",
    "perai",
    "perak",
    "peranakan",
    "peravia",
    "perce",
    "pere",
    "perené",
    "peripheral",
    "perlis",
    "permic",
    "permskij",
    "permyak",
    "pernambuco",
    "pernik",
    "pero",
    "persekutuan",
    "perseverance",
    "persian",
    "perth",
    "peru",
    "perugia",
    "peruvian",
    "pesaro",
    "pescara",
    "pesnica",
    "peso",
    "pest",
    "petapa",
    "petats",
    "peter",
    "peterborough",
    "peterburg",
    "petjo",
    "petnjica",
    "petrov",
    "petrovci",
    "petrovec",
    "petén",
    "peñasco",
    "peñoles",
    "pećki",
    "peč",
    "pe̍h",
    "pfaelzisch",
    "pfalz",
    "phaa",
    "phags",
    "phai",
    "phake",
    "phala",
    "phalombe",
    "phalura",
    "phana",
    "phangduwali",
    "phangnga",
    "phanom",
    "phatthalung",
    "phatthaya",
    "phayao",
    "phende",
    "phet",
    "phetchabun",
    "phetchaburi",
    "phichit",
    "phikwe",
    "philip",
    "philippine",
    "philippines",
    "phimbi",
    "phitsanulok",
    "phnom",
    "phodrang",
    "phoenician",
    "phoenix",
    "phola",
    "pholo",
    "phom",
    "phong",
    "phowa",
    "phra",
    "phrae",
    "phrygian",
    "phu",
    "phuan",
    "phudagi",
    "phuie",
    "phuket",
    "phukha",
    "phuma",
    "phunoi",
    "phuong",
    "phupa",
    "phupha",
    "phuri",
    "phuza",
    "phòng",
    "phôngsali",
    "phú",
    "phúc",
    "phước",
    "piacenza",
    "piamatsina",
    "piame",
    "piapoco",
    "piarco",
    "piaroa",
    "piauí",
    "picard",
    "picene",
    "piceno",
    "pichincha",
    "pichis",
    "pictish",
    "pidgin",
    "pidgins",
    "piedras",
    "piemonte",
    "piemontese",
    "pierre",
    "pietà",
    "pijao",
    "pije",
    "pijin",
    "pilagá",
    "pileni",
    "pilipino",
    "pima",
    "pimbwe",
    "pinai",
    "pinang",
    "pinar",
    "pindiini",
    "ping",
    "pingelapese",
    "pingtung",
    "pinigura",
    "pinjarup",
    "pinji",
    "pinotepa",
    "pins",
    "pintupi",
    "pinyin",
    "pipil",
    "piqad",
    "pirahã",
    "piran",
    "piratapuyo",
    "pirate",
    "pirkanmaa",
    "pirlatapa",
    "piro",
    "pirojpur",
    "pirotski",
    "pirriya",
    "pisa",
    "pisabo",
    "pisaflores",
    "piscataway",
    "pisidian",
    "pisin",
    "pistoia",
    "pita",
    "pitcairn",
    "pite",
    "piti",
    "pitjantjatjara",
    "pitta",
    "piu",
    "piura",
    "pivka",
    "piya",
    "piña",
    "plaines",
    "plains",
    "plaisance",
    "planken",
    "plapo",
    "plasnica",
    "plata",
    "plateau",
    "plateaux",
    "platinum",
    "plautdietsch",
    "plav",
    "playero",
    "plenty",
    "pleven",
    "pljevlja",
    "plovdiv",
    "plungė",
    "plurinational",
    "plužine",
    "plymouth",
    "plzeň",
    "plzeňský",
    "pnar",
    "pochuri",
    "pochutec",
    "podena",
    "podgorica",
    "podkarpackie",
    "podlaskie",
    "podlehnik",
    "podravska",
    "podunavski",
    "podvelka",
    "podčetrtek",
    "pog",
    "pogolo",
    "pohjanmaa",
    "pohjois",
    "pohnpei",
    "pohnpeian",
    "pohorju",
    "point",
    "pointe",
    "pokangá",
    "poke",
    "pokomo",
    "pokot",
    "pokur",
    "polabian",
    "polana",
    "poland",
    "polari",
    "polci",
    "polhov",
    "polish",
    "poljane",
    "polje",
    "polju",
    "poljčane",
    "pollard",
    "polonnaruwa",
    "polonombauk",
    "poltavska",
    "polynesia",
    "polynesian",
    "polynésie",
    "polzela",
    "pom",
    "pomeroon",
    "pomo",
    "pomoravski",
    "pomorskie",
    "pona",
    "ponam",
    "ponca",
    "poni",
    "ponosakan",
    "pontevedra",
    "pontic",
    "ponyo",
    "pool",
    "poole",
    "popoloca",
    "popoluca",
    "popti",
    "poqomam",
    "poqomchi",
    "pordenone",
    "porohanon",
    "port",
    "portalegre",
    "portland",
    "porto",
    "portsmouth",
    "portugal",
    "portuguesa",
    "portuguese",
    "posavska",
    "post",
    "postojna",
    "potaro",
    "potawatomi",
    "potenza",
    "potiguára",
    "potok",
    "potosí",
    "pottangi",
    "potwari",
    "poumei",
    "pound",
    "pousaat",
    "pouye",
    "powari",
    "powhatan",
    "powys",
    "poyanáwa",
    "požeško",
    "prachatice",
    "prachin",
    "prachuap",
    "pradesh",
    "praha",
    "prahova",
    "praia",
    "prakan",
    "prakrit",
    "praslin",
    "prasuni",
    "prato",
    "preah",
    "prebold",
    "preddvor",
    "preiļu",
    "presidente",
    "prevalje",
    "previsional",
    "prey",
    "prešovský",
    "pri",
    "prienai",
    "prilep",
    "primitive",
    "primorskij",
    "primorsko",
    "prince",
    "princes",
    "principado",
    "principe",
    "principense",
    "private",
    "prizrenski",
    "probištip",
    "progreso",
    "prostějov",
    "provence",
    "provençal",
    "providence",
    "providencia",
    "province",
    "prussian",
    "príncipe",
    "prākrit",
    "psalter",
    "pseudolocale",
    "psikye",
    "pskovskaja",
    "ptuj",
    "puare",
    "pucikwar",
    "puconci",
    "pudtol",
    "puducherry",
    "puebla",
    "puelche",
    "puerto",
    "puget",
    "puglia",
    "puimei",
    "puinave",
    "pukapuka",
    "pul",
    "pula",
    "pulaar",
    "pulabu",
    "pular",
    "pulau",
    "puluwatese",
    "puma",
    "pumi",
    "pumpokol",
    "pumé",
    "punakha",
    "punan",
    "punic",
    "punjab",
    "punjabi",
    "puno",
    "puntarenas",
    "punthamara",
    "punu",
    "puoc",
    "puquina",
    "puragi",
    "purari",
    "purepecha",
    "puri",
    "purik",
    "purisimeño",
    "puroik",
    "purposes",
    "puruborá",
    "purum",
    "pushto",
    "putai",
    "putoh",
    "putrajaya",
    "puttalam",
    "putukwam",
    "putumayo",
    "puxian",
    "puy",
    "puyo",
    "puyuma",
    "pwaamei",
    "pwapwâ",
    "pwo",
    "pyapun",
    "pye",
    "pyen",
    "pyi",
    "pyrénées",
    "pyu",
    "páez",
    "pááfang",
    "päijät",
    "päri",
    "pärnu",
    "pärnumaa",
    "pécs",
    "pémono",
    "pénama",
    "pévé",
    "písek",
    "põhja",
    "põltsamaa",
    "põlva",
    "põlvamaa",
    "pökoot",
    "pčinjski",
    "přerov",
    "příbram",
    "qabiao",
    "qacha",
    "qala",
    "qalqilya",
    "qalyūbīyah",
    "qaqet",
    "qashqa",
    "qashqadaryo",
    "qassem",
    "qatabanian",
    "qatar",
    "qatari",
    "qau",
    "qawasqar",
    "qax",
    "qaywayn",
    "qazaqstan",
    "qazax",
    "qazvīn",
    "qaşīm",
    "qeqertalik",
    "qeqqata",
    "qiandong",
    "qiang",
    "qila",
    "qimant",
    "qinghai",
    "qinā",
    "qiubei",
    "qobustan",
    "qom",
    "qoraqalpog",
    "qormi",
    "qrendi",
    "quang",
    "quapaw",
    "quba",
    "qubadlı",
    "quds",
    "quebec",
    "quechan",
    "quechua",
    "quechuan",
    "queensland",
    "quenya",
    "querétaro",
    "quetzal",
    "quetzaltenango",
    "quetzaltepec",
    "queyu",
    "quezon",
    "quiatoni",
    "quiavicuzas",
    "quichua",
    "quiché",
    "quiegolani",
    "quierí",
    "quileute",
    "quinara",
    "quinault",
    "quindío",
    "quinqui",
    "quintana",
    "quioquitani",
    "quiotepec",
    "quirino",
    "quiripi",
    "qunayţirah",
    "qusar",
    "quthing",
    "quảng",
    "qādisīyah",
    "qāhirah",
    "qār",
    "qəbələ",
    "raasiku",
    "rabat",
    "rabha",
    "rach",
    "rade",
    "radenci",
    "radeče",
    "radgona",
    "radlje",
    "radoviš",
    "radovljica",
    "radviliškis",
    "rae",
    "raetic",
    "rafah",
    "ragged",
    "ragusa",
    "rahambuu",
    "rai",
    "rajah",
    "rajasthani",
    "rajbanshi",
    "rajbari",
    "raji",
    "rajong",
    "rajput",
    "rajshahi",
    "rakahanga",
    "rakai",
    "rakhine",
    "rakovník",
    "rakvere",
    "ralik",
    "ralte",
    "ram",
    "rama",
    "ramallah",
    "ramoaaina",
    "ramopa",
    "rampi",
    "ramírez",
    "rana",
    "rand",
    "rang",
    "rangamati",
    "rangkas",
    "ranglong",
    "rangpur",
    "rangpuri",
    "rangárþing",
    "rankovce",
    "rano",
    "ranong",
    "rao",
    "rapa",
    "rapanui",
    "rapla",
    "raplamaa",
    "rapoisi",
    "rapting",
    "raqqah",
    "rara",
    "rarotongan",
    "rasawa",
    "raseiniai",
    "raseon",
    "rasinski",
    "ratagnon",
    "ratahan",
    "ratak",
    "ratchaburi",
    "ratchasima",
    "ratchathani",
    "rathawi",
    "rathwi",
    "ratnapura",
    "raute",
    "ravenna",
    "ravne",
    "ravula",
    "rawa",
    "rawang",
    "rawat",
    "rawngtu",
    "rawo",
    "raya",
    "raye",
    "raymah",
    "rayong",
    "rayyān",
    "rayón",
    "razajerdi",
    "razgrad",
    "razkrižje",
    "rače",
    "raški",
    "raẕavī",
    "reab",
    "reading",
    "real",
    "red",
    "redange",
    "redbridge",
    "redcar",
    "redjang",
    "redonda",
    "reef",
    "reel",
    "reggio",
    "regi",
    "região",
    "región",
    "rehamna",
    "rejang",
    "reli",
    "relizane",
    "rema",
    "rembarrnga",
    "rembong",
    "remich",
    "remo",
    "remontado",
    "rempart",
    "rempi",
    "remun",
    "rendille",
    "renfrewshire",
    "rengao",
    "rengma",
    "renminbi",
    "rennell",
    "renče",
    "repanbitip",
    "republic",
    "republics",
    "republika",
    "rer",
    "rerau",
    "rerep",
    "resen",
    "reserved",
    "reshe",
    "respublika",
    "respublikasi",
    "resígaro",
    "retalhuleu",
    "retta",
    "retuarã",
    "rewa",
    "reyesano",
    "reykhólahreppur",
    "reykjanesbær",
    "reykjavíkurborg",
    "rezina",
    "rečica",
    "rheinland",
    "rhin",
    "rhode",
    "rhodesia",
    "rhondda",
    "rhône",
    "rial",
    "riang",
    "riantana",
    "riau",
    "rib",
    "ribeira",
    "ribnica",
    "ribun",
    "rica",
    "rican",
    "richmond",
    "rico",
    "riding",
    "riel",
    "rieng",
    "rietavas",
    "rieti",
    "right",
    "rigwe",
    "rikbaktsa",
    "rimini",
    "rincon",
    "rinconada",
    "rincón",
    "ringgit",
    "ringgou",
    "rio",
    "rioja",
    "ririo",
    "risaralda",
    "ritharrngu",
    "riung",
    "rivas",
    "river",
    "rivera",
    "riverain",
    "rivers",
    "rivière",
    "rivnenska",
    "riyal",
    "riyāḑ",
    "rizal",
    "rize",
    "rjazanskaja",
    "rmeet",
    "roba",
    "rocha",
    "rochdale",
    "roche",
    "rodonia",
    "rodrigues",
    "rodríguez",
    "rogaland",
    "rogatec",
    "rogaška",
    "rogašovci",
    "roglai",
    "rogo",
    "rohingya",
    "roi",
    "rokiškis",
    "rokycany",
    "roma",
    "romagna",
    "romagnol",
    "romam",
    "roman",
    "romana",
    "romance",
    "romani",
    "romania",
    "romanian",
    "romano",
    "romanova",
    "romansh",
    "romany",
    "romblomanon",
    "romblon",
    "rombo",
    "romkun",
    "romsdal",
    "romssa",
    "ron",
    "rondônia",
    "ronga",
    "rongelap",
    "rongga",
    "rongmei",
    "rongorongo",
    "rongpo",
    "ronji",
    "roo",
    "roon",
    "ropažu",
    "roraima",
    "roria",
    "rosa",
    "roscommon",
    "rosoman",
    "rostam",
    "rostovskaja",
    "rostuše",
    "rotanak",
    "rotherham",
    "rotokas",
    "rotuma",
    "rotuman",
    "rousse",
    "roviana",
    "rovigo",
    "royale",
    "rožaje",
    "rubanda",
    "rubirizi",
    "ruble",
    "ruching",
    "rudbari",
    "rufiji",
    "rufiyaa",
    "ruga",
    "ruggell",
    "ruhnu",
    "rukai",
    "rukiga",
    "rukul",
    "rukungiri",
    "rukwa",
    "rum",
    "ruma",
    "rumai",
    "rumonge",
    "rumphi",
    "rumu",
    "rundi",
    "runga",
    "rungtu",
    "rungus",
    "rungwa",
    "runic",
    "rupee",
    "rupiah",
    "rural",
    "ruse",
    "russia",
    "russian",
    "rusyn",
    "rutana",
    "ruthenian",
    "rutland",
    "rutul",
    "ruuli",
    "ruund",
    "ruvuma",
    "ruwila",
    "ruyigi",
    "ruše",
    "rwa",
    "rwampara",
    "rwanda",
    "rwandan",
    "ryanggang",
    "rychnov",
    "räpina",
    "région",
    "réunion",
    "río",
    "ríos",
    "rîșcani",
    "róng",
    "rõuge",
    "rājasthān",
    "rāziḥī",
    "rēzekne",
    "rēzeknes",
    "rīf",
    "rīga",
    "rūdos",
    "rịa",
    "saafi",
    "saam",
    "saamia",
    "saarde",
    "saare",
    "saaremaa",
    "saarland",
    "saaroa",
    "saatlı",
    "saba",
    "sabaean",
    "sabah",
    "sabanê",
    "sabaot",
    "sabaragamuwa",
    "sabhā",
    "sabieh",
    "sabine",
    "sabirabad",
    "sabu",
    "sabüm",
    "sacapulteco",
    "sacatepéquez",
    "sachsen",
    "sadri",
    "sadung",
    "saek",
    "saep",
    "safaliba",
    "safeyoka",
    "safi",
    "safwa",
    "saga",
    "sagaing",
    "sagala",
    "sagalla",
    "saha",
    "sahalinskaja",
    "sahara",
    "saharan",
    "sahel",
    "saho",
    "sahu",
    "saidi",
    "saint",
    "sainte",
    "saisiyat",
    "saitama",
    "sajalong",
    "sajau",
    "saka",
    "sakachep",
    "sakala",
    "sakalava",
    "sakan",
    "sakao",
    "sakarya",
    "sakata",
    "sake",
    "sakhon",
    "sakia",
    "sakirabiá",
    "sakizaya",
    "sakon",
    "saku",
    "sal",
    "sala",
    "salaam",
    "salah",
    "salamanca",
    "salamat",
    "salampasu",
    "salar",
    "salas",
    "salasaca",
    "salaspils",
    "salavan",
    "salawati",
    "salchuq",
    "saldus",
    "saleman",
    "salerno",
    "salfit",
    "salford",
    "salgótarján",
    "saliba",
    "salima",
    "salinan",
    "salish",
    "salishan",
    "sallands",
    "salt",
    "salta",
    "salto",
    "saluan",
    "salumá",
    "salvador",
    "salvadoran",
    "salyan",
    "salzburg",
    "salé",
    "sam",
    "sama",
    "samane",
    "samangān",
    "samaná",
    "samar",
    "samaritan",
    "samarokena",
    "samarqand",
    "samarskaja",
    "samatao",
    "samay",
    "samba",
    "sambal",
    "sambalpuri",
    "sambe",
    "samberigi",
    "sambuga",
    "samburu",
    "samdrup",
    "samegrelo",
    "samei",
    "sami",
    "samik",
    "samo",
    "samoa",
    "samoan",
    "samogitian",
    "samosa",
    "samoyedic",
    "sampang",
    "samre",
    "samsun",
    "samtao",
    "samtse",
    "samtskhe",
    "samut",
    "samux",
    "samvedi",
    "san",
    "sanaag",
    "sanaani",
    "sanapaná",
    "sancti",
    "sandaun",
    "sandawe",
    "sandevo",
    "sandwell",
    "sandwich",
    "sandy",
    "sanga",
    "sanggau",
    "sangha",
    "sangil",
    "sangir",
    "sangisari",
    "sangkong",
    "sanglechi",
    "sango",
    "sangre",
    "sangtam",
    "sangu",
    "sanguié",
    "sani",
    "sanie",
    "saniyo",
    "sanjaq",
    "sankaran",
    "sankt",
    "sankuru",
    "sanma",
    "sanmatenga",
    "sannat",
    "sansi",
    "sanskrit",
    "sant",
    "santa",
    "santali",
    "santander",
    "santarém",
    "santiago",
    "santo",
    "santos",
    "sanumá",
    "sao",
    "saparua",
    "sapo",
    "saponi",
    "saposa",
    "sapuan",
    "sapé",
    "sar",
    "sara",
    "saraburi",
    "saraiki",
    "saraj",
    "sarakham",
    "saramacca",
    "saramaccan",
    "sarangani",
    "sarasira",
    "sarati",
    "saratovskaja",
    "saraveca",
    "sarawak",
    "sardegna",
    "sardinian",
    "sari",
    "sarikoli",
    "sarli",
    "sarpang",
    "sarsi",
    "sartang",
    "sarthe",
    "sarua",
    "sarudu",
    "saruga",
    "sasak",
    "sasaru",
    "saskatchewan",
    "sassandra",
    "sassarese",
    "sassari",
    "satakunta",
    "satawalese",
    "saterfriesisch",
    "sateré",
    "satkhira",
    "satu",
    "satun",
    "satupa",
    "saudi",
    "saue",
    "saulkrastu",
    "sauraseni",
    "saurashtra",
    "sauri",
    "sauria",
    "sause",
    "sausi",
    "savanes",
    "savannah",
    "savannakhét",
    "savanne",
    "savi",
    "savinji",
    "savo",
    "savoie",
    "savona",
    "savosavo",
    "sawai",
    "sawan",
    "saweru",
    "sawi",
    "sawila",
    "sawknah",
    "saxon",
    "saxwe",
    "saya",
    "sayula",
    "sayyid",
    "saïda",
    "saône",
    "schaan",
    "schaffhausen",
    "schellenberg",
    "schleswig",
    "schwyz",
    "scilly",
    "scotia",
    "scotland",
    "scots",
    "scottish",
    "script",
    "scythian",
    "sdr",
    "sea",
    "seba",
    "sebat",
    "seberuang",
    "sebop",
    "sechelt",
    "secoya",
    "sedang",
    "sediq",
    "sedoa",
    "seeku",
    "sefrou",
    "sefton",
    "segai",
    "segeju",
    "seget",
    "segovia",
    "sehwi",
    "seibo",
    "seimat",
    "seine",
    "seit",
    "sejong",
    "sekani",
    "sekapan",
    "sekar",
    "seke",
    "sekele",
    "seki",
    "seko",
    "sekpele",
    "sela",
    "selangor",
    "selaru",
    "selatan",
    "selayar",
    "selee",
    "selenge",
    "selepet",
    "seletar",
    "selian",
    "selibe",
    "selkup",
    "selnica",
    "selo",
    "seltjarnarnesbær",
    "selungai",
    "seluwasan",
    "semai",
    "semandang",
    "semaq",
    "semara",
    "sembaan",
    "sembabule",
    "sembakung",
    "sembilan",
    "semelai",
    "semienawi",
    "semily",
    "semimi",
    "seminole",
    "semitic",
    "semič",
    "semnam",
    "semnani",
    "semnān",
    "sempan",
    "sena",
    "senara",
    "senaya",
    "sene",
    "seneca",
    "sened",
    "senegal",
    "sengele",
    "senggi",
    "sengo",
    "sengseng",
    "senhaja",
    "senjska",
    "sennar",
    "senni",
    "senoufo",
    "sensi",
    "sentani",
    "senthang",
    "sentinel",
    "seoul",
    "sepa",
    "sepedi",
    "sepik",
    "sera",
    "serbia",
    "serbian",
    "serbo",
    "sere",
    "serer",
    "serere",
    "sergipe",
    "seri",
    "serili",
    "sermersooq",
    "seroa",
    "serrano",
    "serravalle",
    "seru",
    "serua",
    "serudung",
    "serui",
    "seselwa",
    "seta",
    "setaman",
    "seti",
    "setomaa",
    "settat",
    "settla",
    "setúbal",
    "sevastopol",
    "sever",
    "severin",
    "severn",
    "severnaja",
    "severnobanatski",
    "severnobački",
    "severo",
    "sevilla",
    "sevnica",
    "sewa",
    "seychelles",
    "seze",
    "sežana",
    "sfax",
    "sha",
    "shaanxi",
    "shaary",
    "shabak",
    "shabeellaha",
    "shabunda",
    "shabwah",
    "shahi",
    "shahmirzadi",
    "shahrudi",
    "shall",
    "shama",
    "shamang",
    "shambala",
    "shamāl",
    "shamālī",
    "shamālīyah",
    "shan",
    "shandong",
    "shanenawa",
    "shanga",
    "shanghai",
    "shanxi",
    "shapra",
    "sharada",
    "sharanahua",
    "shariatpur",
    "shark",
    "sharqīyah",
    "sharwa",
    "shasta",
    "shatt",
    "shau",
    "shavian",
    "shaw",
    "shawnee",
    "shaykh",
    "she",
    "sheema",
    "sheffield",
    "shehri",
    "shekhawati",
    "shekkacho",
    "sheko",
    "shelta",
    "shempire",
    "shendu",
    "sheng",
    "sheni",
    "sheqel",
    "sherbro",
    "sherdukpen",
    "sherpa",
    "sherpur",
    "sheshi",
    "shetland",
    "shi",
    "shida",
    "shiga",
    "shihhi",
    "shiki",
    "shilling",
    "shilluk",
    "shima",
    "shimane",
    "shimāl",
    "shina",
    "shinyanga",
    "shipibo",
    "shirima",
    "shiselweni",
    "shiwiar",
    "shizuoka",
    "shkodër",
    "shoals",
    "sholaga",
    "shom",
    "shomālī",
    "shona",
    "shoo",
    "shor",
    "shorthand",
    "shoshoni",
    "shropshire",
    "shua",
    "shuadit",
    "shuar",
    "shubi",
    "shughni",
    "shuhi",
    "shumashti",
    "shumcho",
    "shumen",
    "shuswap",
    "shuwa",
    "shwai",
    "shwe",
    "shyghys",
    "shymkent",
    "shéfa",
    "shāriqah",
    "shārqī",
    "shāţi",
    "shīḩānīyah",
    "sialum",
    "siamou",
    "sian",
    "siane",
    "siang",
    "siar",
    "siawari",
    "siawi",
    "siaya",
    "sibe",
    "siberian",
    "sibiu",
    "sibu",
    "sibugay",
    "sicanian",
    "sicel",
    "sichuan",
    "sicilia",
    "sicilian",
    "siculo",
    "sidama",
    "sidamo",
    "siddham",
    "siddhamātṛkā",
    "siddhaṃ",
    "sidetic",
    "sidi",
    "sie",
    "siem",
    "siena",
    "sierra",
    "sigave",
    "sighu",
    "sign",
    "signes",
    "signwriting",
    "siguiri",
    "siguldas",
    "sihan",
    "sihanouk",
    "sihuas",
    "siirt",
    "sika",
    "sikaiana",
    "sikaritai",
    "sikasso",
    "sikiana",
    "sikkim",
    "sikkimese",
    "siksika",
    "sikule",
    "sila",
    "silacayoapan",
    "sileibi",
    "silesian",
    "siliana",
    "silimo",
    "siliput",
    "silistra",
    "sillamäe",
    "silopi",
    "silt",
    "silver",
    "simaa",
    "simalungun",
    "simba",
    "simbali",
    "simbari",
    "simbiti",
    "simbo",
    "simeku",
    "simeulue",
    "simiyu",
    "simplified",
    "simte",
    "sinagen",
    "sinaloa",
    "sinasina",
    "sinaugoro",
    "sindarin",
    "sindh",
    "sindhi",
    "sindihui",
    "sing",
    "singa",
    "singapore",
    "singida",
    "singpho",
    "sinhala",
    "sinhalese",
    "sinicahua",
    "sininkere",
    "sino",
    "sinoe",
    "sinop",
    "sint",
    "sinte",
    "sinyar",
    "sio",
    "siona",
    "siouan",
    "sipacapense",
    "sipaliwini",
    "siparia",
    "siparuni",
    "siquijor",
    "sir",
    "sira",
    "siracusa",
    "sirajganj",
    "siraya",
    "sirdaryo",
    "sirenik",
    "siri",
    "siriano",
    "sirionó",
    "sirmauri",
    "siroi",
    "sironko",
    "sisaala",
    "sisačko",
    "sissala",
    "sissano",
    "sissili",
    "sitemu",
    "siuslaw",
    "sivandi",
    "sivas",
    "sivia",
    "siwai",
    "siwi",
    "siwu",
    "siyin",
    "siyəzən",
    "siġġiewi",
    "sjælland",
    "skaftárhreppur",
    "skagabyggð",
    "skagafjörður",
    "skagaströnd",
    "skagit",
    "skaja",
    "skalvian",
    "skeiða",
    "skepi",
    "skhirate",
    "skij",
    "skikda",
    "skolt",
    "skorradalshreppur",
    "skou",
    "skuodas",
    "skåne",
    "slatina",
    "slave",
    "slavey",
    "slavic",
    "slavomolisano",
    "slavonic",
    "slavonska",
    "sliema",
    "sligo",
    "slimane",
    "sliven",
    "slivnica",
    "slough",
    "slovak",
    "slovakia",
    "slovakian",
    "slovenia",
    "slovenian",
    "slovenj",
    "slovenska",
    "slovenske",
    "slovenskih",
    "smiltenes",
    "smolenskaja",
    "smolyan",
    "smärky",
    "snohomish",
    "snæfellsbær",
    "sobané",
    "sobei",
    "soberano",
    "sobota",
    "soccsksargen",
    "sochiapam",
    "socialist",
    "sodražica",
    "sofala",
    "sofia",
    "soga",
    "sogdian",
    "soi",
    "sokolov",
    "sokoro",
    "sokoto",
    "sol",
    "solano",
    "soli",
    "solihull",
    "sololá",
    "solomon",
    "solong",
    "solos",
    "solothurn",
    "solčava",
    "som",
    "somali",
    "somalia",
    "somba",
    "somerset",
    "somme",
    "somogy",
    "somoni",
    "sompeng",
    "somrai",
    "somray",
    "somyev",
    "son",
    "sonaga",
    "sonde",
    "sondrio",
    "song",
    "songe",
    "songhai",
    "songhay",
    "songkhla",
    "songkhram",
    "songlai",
    "songo",
    "songomeno",
    "songoora",
    "songway",
    "songwe",
    "sonha",
    "sonia",
    "soninke",
    "sonora",
    "sonsonate",
    "sonsorol",
    "soo",
    "sool",
    "sop",
    "sopište",
    "sopron",
    "soqotri",
    "sora",
    "sorbian",
    "sorell",
    "sori",
    "soria",
    "soriano",
    "sorkhei",
    "soroca",
    "sorothaptic",
    "soroti",
    "sorsoganon",
    "sorsogon",
    "sos",
    "sota",
    "sotavento",
    "sotho",
    "sotli",
    "sou",
    "soufrière",
    "souk",
    "soum",
    "sound",
    "source",
    "sourou",
    "souss",
    "sousse",
    "southampton",
    "southend",
    "southland",
    "southwark",
    "soviet",
    "sowa",
    "sowanda",
    "soyaltepec",
    "soči",
    "spain",
    "spanish",
    "special",
    "specifically",
    "speech",
    "speedwords",
    "spelling",
    "spezia",
    "spiti",
    "splitsko",
    "spokane",
    "spueu",
    "spélugues",
    "spíritus",
    "squamish",
    "sraghna",
    "srair",
    "sranan",
    "središče",
    "srednjebanatski",
    "sremski",
    "sri",
    "srijemska",
    "srpska",
    "ssr",
    "stadt",
    "staffordshire",
    "standard",
    "stann",
    "stara",
    "staro",
    "start",
    "starše",
    "stavropol",
    "steiermark",
    "stellingwerfs",
    "stenography",
    "stereá",
    "sterling",
    "stieng",
    "stirling",
    "stockholms",
    "stockport",
    "stockton",
    "stod",
    "stodsde",
    "stoke",
    "stolitsa",
    "stoney",
    "stoĕng",
    "strabane",
    "strait",
    "straits",
    "strakonice",
    "strandabyggð",
    "straža",
    "struga",
    "strumica",
    "strășeni",
    "studeničani",
    "stykkishólmsbær",
    "stînga",
    "středočeský",
    "suabo",
    "suain",
    "suarmin",
    "suau",
    "suba",
    "subanen",
    "subanon",
    "subi",
    "subiya",
    "subset",
    "subtiaba",
    "suceava",
    "suchitepéquez",
    "sucre",
    "sucumbíos",
    "sud",
    "sudan",
    "sudanese",
    "sudanic",
    "sudest",
    "sudovian",
    "sudurpashchim",
    "suena",
    "suffolk",
    "suga",
    "suganga",
    "sughd",
    "sugut",
    "sui",
    "sukhothai",
    "suki",
    "suku",
    "sukuma",
    "sukur",
    "sukurum",
    "sul",
    "sula",
    "sulawesi",
    "sulaymānīyah",
    "suline",
    "sulka",
    "sulod",
    "sultan",
    "sulu",
    "sum",
    "suma",
    "sumariup",
    "sumatera",
    "sumau",
    "sumbawa",
    "sumbwa",
    "sumerian",
    "sumero",
    "sumi",
    "sumqayıt",
    "sumska",
    "sumtu",
    "sunam",
    "sunamganj",
    "sundanese",
    "sunderland",
    "sungai",
    "sunwar",
    "suomi",
    "suoy",
    "supenaam",
    "suphan",
    "supyire",
    "suquţrá",
    "sur",
    "surat",
    "surbakhal",
    "surgujia",
    "suri",
    "surigao",
    "surigaonon",
    "surin",
    "surinam",
    "suriname",
    "surjapuri",
    "surrey",
    "sursurunga",
    "surt",
    "suruahá",
    "surubu",
    "suruí",
    "surxondaryo",
    "susquehannock",
    "sussex",
    "susu",
    "susuami",
    "sutton",
    "suundi",
    "suwawa",
    "suwaydā",
    "suwayf",
    "suways",
    "suyá",
    "suðurland",
    "suðurnes",
    "suðurnesjabær",
    "svaay",
    "svalbard",
    "svalbarðsstrandarhreppur",
    "svan",
    "svaneti",
    "sveitarfélagið",
    "sverdlovskaja",
    "sveta",
    "sveti",
    "svitavy",
    "swabian",
    "swahili",
    "swampy",
    "swansea",
    "swati",
    "sweden",
    "swedish",
    "swieqi",
    "swindon",
    "swiss",
    "switzerland",
    "swo",
    "syddanmark",
    "syenara",
    "sylhet",
    "sylheti",
    "syllabaries",
    "syllabics",
    "syloti",
    "symbols",
    "syria",
    "syriac",
    "syrian",
    "syunik",
    "szabolcs",
    "szatmár",
    "szeged",
    "szekszárd",
    "szolnok",
    "szombathely",
    "székesfehérvár",
    "sáliba",
    "sánchez",
    "sázavou",
    "são",
    "sãotomense",
    "sèvres",
    "sédhiou",
    "ségou",
    "séno",
    "sénoufo",
    "sétif",
    "sìcìté",
    "sîngerei",
    "sóc",
    "södermanlands",
    "súðavíkurhreppur",
    "sühbaatar",
    "sümber",
    "sălaj",
    "sīnā",
    "sīstān",
    "sūhāj",
    "sơn",
    "sədərək",
    "taabwa",
    "taakaev",
    "tabaa",
    "tabaquite",
    "tabaru",
    "tabasco",
    "tabassaran",
    "tabla",
    "tabo",
    "tabor",
    "tabora",
    "tabriak",
    "tabulahan",
    "tabūk",
    "tac",
    "tacahua",
    "tacana",
    "tachawit",
    "tachelhit",
    "tachoni",
    "tachov",
    "tacna",
    "tacuarembó",
    "tadaksahak",
    "tadjourah",
    "tado",
    "tadyawan",
    "tadó",
    "tae",
    "taff",
    "tafi",
    "tafilalet",
    "taféa",
    "tagabawa",
    "tagakaulo",
    "tagal",
    "tagalaka",
    "tagalog",
    "tagant",
    "tagargrent",
    "tagbanwa",
    "tagbu",
    "tagdal",
    "tagin",
    "tagish",
    "tagoi",
    "tagwana",
    "tahaggart",
    "tahitian",
    "tahltan",
    "tahoua",
    "tai",
    "taiap",
    "taichung",
    "taikat",
    "tailevu",
    "tainae",
    "tainan",
    "taino",
    "taipei",
    "tairaha",
    "tairora",
    "tairuma",
    "taita",
    "taitung",
    "taivoan",
    "taiwan",
    "taje",
    "tajik",
    "tajiki",
    "tajikistan",
    "tajio",
    "tajuasohn",
    "tak",
    "taka",
    "takamaka",
    "takelma",
    "takestani",
    "takhār",
    "takia",
    "tako",
    "takri",
    "takua",
    "takum",
    "takutu",
    "takuu",
    "takwane",
    "tal",
    "tala",
    "talantang",
    "talas",
    "talaud",
    "talbot",
    "taliabu",
    "talieng",
    "talinga",
    "talise",
    "tall",
    "tallinn",
    "talodi",
    "taloki",
    "talondo",
    "talossan",
    "talparo",
    "talsu",
    "talu",
    "talysh",
    "tama",
    "tamagario",
    "tamahaq",
    "tamajaq",
    "tamajeq",
    "taman",
    "tamanaku",
    "tamang",
    "tamanrasset",
    "tamashek",
    "tamasheq",
    "tamaulipas",
    "tamazight",
    "tamazola",
    "tambacounda",
    "tambas",
    "tambora",
    "tambotalo",
    "tambovskaja",
    "tameside",
    "tami",
    "tamil",
    "tamique",
    "tamki",
    "tamnim",
    "tampias",
    "tampuan",
    "tampulma",
    "tan",
    "tana",
    "tanacross",
    "tanahmerah",
    "tanaina",
    "tanana",
    "tanane",
    "tanapag",
    "tandaganon",
    "tandia",
    "tandjilé",
    "tandroy",
    "tanema",
    "tanga",
    "tangail",
    "tangale",
    "tanganyika",
    "tangchangya",
    "tanger",
    "tanggu",
    "tangkhul",
    "tangko",
    "tanglang",
    "tangoa",
    "tanguat",
    "tangut",
    "tanimbili",
    "tanimuca",
    "tanintharyi",
    "tanjijili",
    "tanjong",
    "tanna",
    "tanosy",
    "tanudan",
    "tanzania",
    "tanzanian",
    "taoudénit",
    "taounate",
    "taourirt",
    "taoyuan",
    "tapa",
    "tapei",
    "tapieté",
    "tapirapé",
    "tapoa",
    "taraba",
    "taraclia",
    "tarahumara",
    "taranaki",
    "tarangan",
    "taranto",
    "tarao",
    "tarapacá",
    "tareng",
    "tarf",
    "tarfaya",
    "targovishte",
    "tariana",
    "tarifit",
    "tarija",
    "tarjumo",
    "tarlac",
    "tarn",
    "tarnovo",
    "tarok",
    "taroko",
    "taromi",
    "taroudannt",
    "tarpia",
    "tarrafal",
    "tarragona",
    "tartessian",
    "tartu",
    "tartumaa",
    "taruma",
    "tarxien",
    "tasawaq",
    "tase",
    "tasman",
    "tasmania",
    "tasmanian",
    "tasmate",
    "tat",
    "tata",
    "tatabánya",
    "tataltepec",
    "tatana",
    "tataouine",
    "tatar",
    "tatarstan",
    "tatuyo",
    "tauade",
    "taulil",
    "taungyo",
    "taupota",
    "tauragė",
    "tauragės",
    "tause",
    "taushiro",
    "tausug",
    "tauya",
    "taveta",
    "tavoyan",
    "tavringer",
    "tavuš",
    "tavytera",
    "taw",
    "tawala",
    "tawallammat",
    "tawandê",
    "tawang",
    "tawara",
    "tawbuid",
    "tawi",
    "taworta",
    "tawoyan",
    "tawr",
    "tay",
    "tayart",
    "tayo",
    "taza",
    "taznatit",
    "tbilisi",
    "tboli",
    "tbong",
    "tchitchege",
    "tchumbuli",
    "teanu",
    "tearce",
    "tebul",
    "tecpatlán",
    "tecóatl",
    "tedaga",
    "tedim",
    "tee",
    "tees",
    "tefaro",
    "tegali",
    "tege",
    "tegu",
    "tehit",
    "tehrān",
    "tehuelche",
    "teita",
    "tejalapan",
    "teke",
    "tekirdağ",
    "tektiteko",
    "tela",
    "telangāna",
    "telefol",
    "telemark",
    "telenești",
    "teleorman",
    "telford",
    "telugu",
    "telšiai",
    "telšių",
    "tem",
    "temacine",
    "temalacayuca",
    "temascaltepec",
    "tembo",
    "temburong",
    "tembé",
    "teme",
    "temein",
    "temi",
    "temiar",
    "temoaya",
    "temoq",
    "temotu",
    "temuan",
    "ten",
    "tena",
    "tenango",
    "tene",
    "tenerife",
    "tengah",
    "tenge",
    "tenggara",
    "tenggarong",
    "tengger",
    "tengwar",
    "tenharim",
    "tenino",
    "tenis",
    "tennessee",
    "tennet",
    "teop",
    "teor",
    "tepecano",
    "tepehua",
    "tepehuan",
    "tepetotutla",
    "tepetzintla",
    "tepeuxila",
    "tepinapa",
    "teplice",
    "tepo",
    "ter",
    "tera",
    "teramo",
    "terebu",
    "terei",
    "terengganu",
    "tereno",
    "teresa",
    "teressa",
    "tereweng",
    "teribe",
    "terik",
    "teritorială",
    "termanu",
    "ternate",
    "ternateño",
    "terni",
    "ternopilska",
    "terres",
    "territoire",
    "territories",
    "territory",
    "teruel",
    "tesaka",
    "tese",
    "teshenawa",
    "teso",
    "tesu",
    "tete",
    "tetela",
    "tetelcingo",
    "tetete",
    "tetovo",
    "tetserret",
    "tetum",
    "tetun",
    "teukbyeoljachido",
    "teukbyeolsi",
    "teutila",
    "tewa",
    "tewe",
    "texas",
    "texcatepec",
    "texistepec",
    "texmelucan",
    "tey",
    "tezoatlán",
    "tha",
    "thaana",
    "thaayorre",
    "thaba",
    "thachanadan",
    "thado",
    "thai",
    "thailand",
    "thaiphum",
    "thakali",
    "thakurgaon",
    "thakurti",
    "tham",
    "thames",
    "thammarat",
    "thangal",
    "thangmi",
    "thanh",
    "thani",
    "thao",
    "thar",
    "tharaka",
    "tharnggala",
    "tharu",
    "thawa",
    "thaypan",
    "the",
    "thep",
    "thessalía",
    "thiin",
    "thiladhunmathi",
    "thimphu",
    "thiès",
    "thiên",
    "tho",
    "thomas",
    "thompson",
    "thong",
    "thopho",
    "thracian",
    "thráki",
    "thu",
    "thulung",
    "thum",
    "thur",
    "thurgau",
    "thuri",
    "thurrock",
    "thuận",
    "thyolo",
    "thái",
    "tháp",
    "thüringen",
    "thơ",
    "thọ",
    "thừa",
    "tiagbamrin",
    "tiale",
    "tiang",
    "tianjin",
    "tiaret",
    "tibea",
    "tibesti",
    "tibetan",
    "tibeto",
    "tichurong",
    "ticino",
    "ticuna",
    "tidaá",
    "tidikelt",
    "tidore",
    "tidung",
    "tiemacèwè",
    "tiene",
    "tierra",
    "tifal",
    "tifinagh",
    "tigak",
    "tighina",
    "tigon",
    "tigrai",
    "tigre",
    "tigrinya",
    "tii",
    "tijaltepec",
    "tikar",
    "tikopia",
    "tilantongo",
    "tilapa",
    "tillabéri",
    "tillamook",
    "tilquiapan",
    "tilung",
    "tima",
    "timbe",
    "timbira",
    "timimoun",
    "timiș",
    "timne",
    "timor",
    "timucua",
    "timugon",
    "timur",
    "tinani",
    "tindi",
    "tindouf",
    "tinga",
    "tinghir",
    "tingui",
    "tinigua",
    "tinputz",
    "tipaza",
    "tippera",
    "tipperary",
    "tira",
    "tirahi",
    "tiranige",
    "tiranë",
    "tirhuta",
    "tiri",
    "tiriki",
    "tiris",
    "tirmaga",
    "tirol",
    "tiruray",
    "tissemsilt",
    "tita",
    "titan",
    "tiv",
    "tivat",
    "tiwa",
    "tiwi",
    "tiyaa",
    "tiyal",
    "tizi",
    "tiznit",
    "tiéfo",
    "tiéyaxo",
    "tišina",
    "tiền",
    "tjumenskaja",
    "tjungundji",
    "tjupany",
    "tjurruru",
    "tjër",
    "tjörneshreppur",
    "tlachichilco",
    "tlacoapa",
    "tlacoatzintepec",
    "tlacolula",
    "tlacolulita",
    "tlacoyalco",
    "tlahuitoltepec",
    "tlamacazapa",
    "tlatskanai",
    "tlaxcala",
    "tlaxiaco",
    "tlazoyaltepec",
    "tlemcen",
    "tlhingan",
    "tlingit",
    "toamasina",
    "toaripi",
    "toba",
    "tobago",
    "tobagonian",
    "tobanga",
    "tobati",
    "tobei",
    "tobelo",
    "tobian",
    "tobilung",
    "tobo",
    "tocantins",
    "tochigi",
    "tocho",
    "toda",
    "todrah",
    "tofanma",
    "tofin",
    "toga",
    "togbo",
    "togdheer",
    "togo",
    "togoyo",
    "tohono",
    "toila",
    "tojolabal",
    "tok",
    "tokano",
    "tokat",
    "tokelau",
    "tokharian",
    "toki",
    "toku",
    "tokushima",
    "tokyo",
    "tol",
    "tola",
    "tolaki",
    "toledo",
    "toliara",
    "tolima",
    "tolmin",
    "tolna",
    "tolomako",
    "tolowa",
    "toma",
    "tomadino",
    "tomaž",
    "tombali",
    "tombelala",
    "tombonuo",
    "tombouctou",
    "tombulu",
    "tome",
    "tomini",
    "tommo",
    "tomo",
    "tomoip",
    "tomskaja",
    "tondano",
    "tondi",
    "tong",
    "tonga",
    "tongan",
    "tongatapu",
    "tongo",
    "tongwe",
    "tonjon",
    "tonkawa",
    "tonsawang",
    "tonsea",
    "tontemboan",
    "tooro",
    "toplice",
    "toplički",
    "topoiyo",
    "toposa",
    "tor",
    "toraja",
    "toram",
    "torau",
    "torba",
    "torbay",
    "torfaen",
    "tori",
    "torino",
    "tornedalen",
    "toro",
    "toromono",
    "torona",
    "tororo",
    "torres",
    "torricelli",
    "torwali",
    "torá",
    "toscana",
    "toshkent",
    "tosk",
    "totela",
    "toto",
    "totoli",
    "totomachapan",
    "totonac",
    "totonicapán",
    "totontepec",
    "totoro",
    "tottori",
    "touggourt",
    "tougué",
    "touo",
    "toura",
    "toussian",
    "tovar",
    "tovuz",
    "towei",
    "tower",
    "town",
    "toyama",
    "tozeur",
    "trabzon",
    "traditional",
    "trafford",
    "trakai",
    "trang",
    "trani",
    "trans",
    "transalpine",
    "trapani",
    "trarza",
    "trashi",
    "trashigang",
    "trat",
    "traveller",
    "trbovlje",
    "tre",
    "trebelno",
    "trebnje",
    "tregami",
    "treinta",
    "trelawny",
    "tremembé",
    "trent",
    "trentino",
    "trento",
    "trenčiansky",
    "tres",
    "treviso",
    "trieng",
    "triesen",
    "triesenberg",
    "trieste",
    "trimuris",
    "trincomalee",
    "tring",
    "tringgus",
    "trinidad",
    "trinidadian",
    "trinitario",
    "trinity",
    "trio",
    "tripolitanian",
    "tripura",
    "tripuri",
    "triqui",
    "tristan",
    "trió",
    "trnavský",
    "trnovska",
    "trojica",
    "trongsa",
    "trujillo",
    "truká",
    "trumai",
    "trutnov",
    "trzin",
    "trà",
    "trêng",
    "trööndelage",
    "trăng",
    "tržič",
    "trị",
    "tsaangi",
    "tsaayi",
    "tsakhur",
    "tsakonian",
    "tsakwambo",
    "tsamai",
    "tsat",
    "tseka",
    "tseku",
    "tsetsaut",
    "tshangla",
    "tshopo",
    "tshuapa",
    "tsikimba",
    "tsimané",
    "tsimihety",
    "tsimshian",
    "tsirang",
    "tsishingini",
    "tso",
    "tsoa",
    "tsogo",
    "tsonga",
    "tsotso",
    "tsou",
    "tsucuba",
    "tsum",
    "tsuvadi",
    "tsuvan",
    "tswa",
    "tswana",
    "tswapong",
    "tsáchilas",
    "tuamasaga",
    "tuamotuan",
    "tubar",
    "tubas",
    "tubu",
    "tucano",
    "tucumán",
    "tudful",
    "tugen",
    "tugrik",
    "tugun",
    "tugutil",
    "tujia",
    "tukang",
    "tuki",
    "tukpa",
    "tukudede",
    "tukuma",
    "tukumanféd",
    "tul",
    "tula",
    "tulcea",
    "tulehu",
    "tulishi",
    "tulkarm",
    "tulu",
    "tum",
    "tuma",
    "tumak",
    "tumari",
    "tumbes",
    "tumbuka",
    "tumi",
    "tumleo",
    "tumshuqese",
    "tumtum",
    "tumulung",
    "tumzabt",
    "tunapuna",
    "tunas",
    "tunceli",
    "tundra",
    "tunebo",
    "tunen",
    "tungag",
    "tunggare",
    "tungurahua",
    "tungus",
    "tunia",
    "tunica",
    "tunis",
    "tunisia",
    "tunisian",
    "tunjung",
    "tunni",
    "tunzu",
    "tuotomb",
    "tuparí",
    "tupi",
    "tupinambá",
    "tupinikin",
    "tupuri",
    "tupí",
    "tur",
    "turaka",
    "turi",
    "turiwára",
    "turka",
    "turkana",
    "turkestankaya",
    "turki",
    "turkic",
    "turkish",
    "turkmen",
    "turkmenistan",
    "turks",
    "turnišče",
    "turoyo",
    "turumsa",
    "turung",
    "tuscarora",
    "tusi",
    "tutchone",
    "tutelo",
    "tutong",
    "tutsa",
    "tutuba",
    "tututepec",
    "tututni",
    "tuvalu",
    "tuvinian",
    "tuwali",
    "tuwari",
    "tuwuli",
    "tuxináwa",
    "tuxá",
    "tuy",
    "tuyuca",
    "tuyên",
    "tuzi",
    "tverskaja",
    "twabo",
    "twana",
    "twendi",
    "twents",
    "twi",
    "tyap",
    "tydfil",
    "tyee",
    "tyne",
    "tyneside",
    "type",
    "tyva",
    "tzeltal",
    "tzotzil",
    "tàu",
    "tày",
    "tábor",
    "táchira",
    "tálknafjarðarhreppur",
    "tâi",
    "tây",
    "tébessa",
    "télimélé",
    "témara",
    "témouchent",
    "tétouan",
    "téén",
    "tõrva",
    "töv",
    "tübatulabal",
    "türi",
    "türkiye",
    "tāʻizz",
    "tĩnh",
    "třebíč",
    "tərtər",
    "uab",
    "uaboe",
    "uae",
    "uamué",
    "uare",
    "uasin",
    "ubaghara",
    "ubang",
    "ubangi",
    "ubi",
    "ubir",
    "ubon",
    "ubykh",
    "ucar",
    "ucayali",
    "uda",
    "udi",
    "udihe",
    "udine",
    "udmurt",
    "udmurtskaja",
    "udon",
    "uduk",
    "ufim",
    "uganda",
    "ugandan",
    "ugaritic",
    "ugbanh",
    "ughele",
    "ugong",
    "ugrian",
    "uhami",
    "uherské",
    "uighur",
    "uisai",
    "ujae",
    "ujelang",
    "ujir",
    "ukaan",
    "ukhwejo",
    "ukit",
    "ukmergė",
    "ukpe",
    "ukpet",
    "ukraine",
    "ukrainian",
    "ukue",
    "ukuriguma",
    "ukwa",
    "ukwuani",
    "ulaanbaatar",
    "ulau",
    "ulawa",
    "ulch",
    "ulcinj",
    "ulithian",
    "ullatan",
    "ulsan",
    "ulster",
    "ulukwumi",
    "ulumanda",
    "ulwa",
    "ulytauskaja",
    "uma",
    "umanakaina",
    "umatilla",
    "umbindhamu",
    "umbria",
    "umbrian",
    "umbu",
    "umbugarla",
    "umbundu",
    "ume",
    "umeda",
    "umiida",
    "umiray",
    "umm",
    "umon",
    "umotína",
    "umpila",
    "umpqua",
    "una",
    "unami",
    "uncoded",
    "unde",
    "undetermined",
    "uneapa",
    "uneme",
    "ung",
    "unggaranggu",
    "unggumi",
    "ungheni",
    "ungu",
    "uni",
    "unidad",
    "unidades",
    "unified",
    "unik",
    "union",
    "unit",
    "unitatea",
    "united",
    "unity",
    "unión",
    "unserdeutsch",
    "unua",
    "unubahe",
    "unwritten",
    "upaa",
    "upon",
    "upper",
    "uppsala",
    "uqşur",
    "ura",
    "uradhi",
    "urak",
    "urali",
    "uralic",
    "urapmin",
    "urarina",
    "urartian",
    "urat",
    "urbino",
    "urdu",
    "ure",
    "urhobo",
    "uri",
    "urigina",
    "urim",
    "urimo",
    "uripiv",
    "urningangg",
    "uru",
    "uruangnirin",
    "uruava",
    "urubú",
    "uruguay",
    "uruguayan",
    "uruguayo",
    "urum",
    "urumi",
    "uruzgān",
    "usa",
    "usaghade",
    "usan",
    "usarufa",
    "ushojo",
    "usila",
    "usku",
    "uspanteco",
    "ussr",
    "usui",
    "usulután",
    "utag",
    "utah",
    "utara",
    "utarmbung",
    "ute",
    "utena",
    "utenos",
    "uthai",
    "uto",
    "utrecht",
    "utrik",
    "uttar",
    "uttaradit",
    "uttarākhand",
    "utu",
    "utujil",
    "uul",
    "uun",
    "uusimaa",
    "uva",
    "uvbie",
    "uvea",
    "uvean",
    "uvs",
    "uwanh",
    "uya",
    "uyajitaya",
    "uyanga",
    "uyghur",
    "uygur",
    "uzbek",
    "uzbeki",
    "uzbekistan",
    "uzekwe",
    "uzo",
    "uélé",
    "uíge",
    "uşak",
    "vaagri",
    "vaduz",
    "vafsi",
    "vaghri",
    "vaghua",
    "vagla",
    "vah",
    "vai",
    "vaiphei",
    "vaisigano",
    "vaitupu",
    "vakaga",
    "val",
    "valais",
    "valandovo",
    "valdesia",
    "vale",
    "valencia",
    "valencian",
    "valenciana",
    "valentia",
    "valga",
    "valgamaa",
    "valkas",
    "valladolid",
    "valle",
    "valletta",
    "valley",
    "vallon",
    "vallée",
    "valman",
    "valmieras",
    "valor",
    "valparaíso",
    "valpei",
    "valverde",
    "vamale",
    "vame",
    "van",
    "vandalic",
    "vangunu",
    "vanimo",
    "vano",
    "vanuatu",
    "vanuma",
    "vao",
    "var",
    "vara",
    "varakļānu",
    "varang",
    "varaždinska",
    "varese",
    "varhadi",
    "variant",
    "varisi",
    "varli",
    "varna",
    "varsinais",
    "vary",
    "varėna",
    "vas",
    "vasavi",
    "vasilevo",
    "vaslui",
    "vatican",
    "vato",
    "vatu",
    "vaucluse",
    "vaud",
    "vaupés",
    "vava",
    "vavuniya",
    "vayoć",
    "veaeng",
    "veddah",
    "vega",
    "vehes",
    "vejoz",
    "velenje",
    "veles",
    "velika",
    "velike",
    "veliko",
    "vella",
    "veluws",
    "vemgo",
    "venda",
    "vendée",
    "venera",
    "venetian",
    "venetic",
    "veneto",
    "venezia",
    "venezuela",
    "venezuelan",
    "vengo",
    "venkov",
    "ventre",
    "ventspils",
    "ventureño",
    "veps",
    "vera",
    "veracruz",
    "veraguas",
    "verapaz",
    "verbano",
    "vercelli",
    "verde",
    "vermont",
    "verona",
    "veržej",
    "vestfirðir",
    "vestfold",
    "vestinian",
    "vestland",
    "vestmannaeyjabær",
    "vestra",
    "vesturbyggð",
    "vesturland",
    "veszprém",
    "vevčani",
    "viana",
    "vianden",
    "viangchan",
    "vibo",
    "vicente",
    "vicenza",
    "vichada",
    "viciebskaja",
    "viciosa",
    "victoria",
    "vidari",
    "videm",
    "vidin",
    "vidunda",
    "viemo",
    "vienne",
    "viet",
    "vietnam",
    "vietnamese",
    "vieux",
    "vihear",
    "vihiga",
    "vii",
    "viii",
    "viimsi",
    "vikeke",
    "viken",
    "vila",
    "vilaine",
    "vilela",
    "vili",
    "viljandi",
    "viljandimaa",
    "vilkaviškis",
    "villa",
    "ville",
    "vilniaus",
    "vilnius",
    "vincent",
    "vincentian",
    "vineyard",
    "vinh",
    "vinica",
    "vinmavis",
    "vinni",
    "vinnytska",
    "vinza",
    "viossa",
    "vipava",
    "virgin",
    "virginia",
    "viri",
    "virovitičko",
    "viru",
    "virumaa",
    "visaginas",
    "visayas",
    "viseu",
    "vishavan",
    "visible",
    "vista",
    "vitanje",
    "viterbo",
    "viti",
    "vitou",
    "vitu",
    "vizcaya",
    "vlaams",
    "vlaamse",
    "vlaanderen",
    "vladimirskaja",
    "vlax",
    "vlorë",
    "voblasć",
    "voda",
    "vodice",
    "vodoun",
    "vodă",
    "vogar",
    "vogrsko",
    "vojnik",
    "vojvodina",
    "volapük",
    "volgogradskaja",
    "vologodskaja",
    "volscian",
    "volta",
    "volynska",
    "vono",
    "vopnafjarðarhreppur",
    "vorarlberg",
    "vormsi",
    "voro",
    "voronezhskaya",
    "vorpommern",
    "vosges",
    "votic",
    "vrancea",
    "vransko",
    "vrapčište",
    "vratsa",
    "vrhnika",
    "vrtojba",
    "vsetín",
    "vukovarsko",
    "vumbu",
    "vunapu",
    "vunjo",
    "vurës",
    "vute",
    "vuzenica",
    "vwanji",
    "vysočina",
    "vyškov",
    "vâlcea",
    "väike",
    "värmlands",
    "västerbottens",
    "västernorrlands",
    "västmanlands",
    "västra",
    "vóreio",
    "võro",
    "võru",
    "võrumaa",
    "východ",
    "vĩnh",
    "vũng",
    "waama",
    "waamwang",
    "waata",
    "wab",
    "wabo",
    "waboda",
    "wachi",
    "waci",
    "wadaginam",
    "waddar",
    "wadi",
    "wadikali",
    "wadiyara",
    "wadjabangayi",
    "wadjiginy",
    "wadjigu",
    "wae",
    "waffa",
    "wagawaga",
    "wagaya",
    "wagdi",
    "wagi",
    "wagiman",
    "wahau",
    "wahgi",
    "waigali",
    "waigeo",
    "waikato",
    "wailaki",
    "wailapa",
    "waima",
    "waimaha",
    "waimiri",
    "waini",
    "waioli",
    "waiwai",
    "waja",
    "wajarri",
    "wajir",
    "wajuk",
    "wak",
    "waka",
    "wakabunga",
    "wakashan",
    "wakasihu",
    "wakawaka",
    "wakayama",
    "wakde",
    "wake",
    "wakefield",
    "wakhi",
    "wakiso",
    "wakoná",
    "wakrah",
    "wala",
    "walak",
    "walamo",
    "walangama",
    "walapai",
    "wales",
    "wali",
    "waling",
    "walio",
    "walk",
    "walla",
    "wallis",
    "wallisian",
    "wallon",
    "wallonne",
    "walloon",
    "walmajarri",
    "walsall",
    "walser",
    "waltham",
    "walungge",
    "waluwarra",
    "wam",
    "wamas",
    "wambaya",
    "wambon",
    "wambule",
    "wamesa",
    "wamey",
    "wamin",
    "wampanoag",
    "wampar",
    "wampur",
    "wan",
    "wanambre",
    "wanap",
    "wanca",
    "wancho",
    "wanda",
    "wandala",
    "wandarang",
    "wandji",
    "wandsworth",
    "waneci",
    "wanga",
    "wangaaybuwan",
    "wangdue",
    "wanggamala",
    "wanggom",
    "wangka",
    "wangkangurru",
    "wangkayutyuru",
    "wangkumara",
    "wanica",
    "wannu",
    "wano",
    "wantoat",
    "wanukaka",
    "wanyi",
    "wané",
    "waorani",
    "wapan",
    "wapishana",
    "wappo",
    "war",
    "wara",
    "warang",
    "warao",
    "waray",
    "wardak",
    "wardaman",
    "wardandi",
    "warembori",
    "wares",
    "waris",
    "waritai",
    "wariyangga",
    "warji",
    "warkay",
    "warlmanpa",
    "warlpiri",
    "warmińsko",
    "warnang",
    "warnman",
    "waropen",
    "warra",
    "warrap",
    "warrgamay",
    "warrington",
    "warrwa",
    "waru",
    "warumungu",
    "waruna",
    "warungu",
    "warwar",
    "warwickshire",
    "wasa",
    "wasco",
    "wasembo",
    "washington",
    "washo",
    "waskia",
    "wasu",
    "wat",
    "watakataui",
    "watam",
    "waterford",
    "wathawurrung",
    "watiwa",
    "watubela",
    "watut",
    "wau",
    "waube",
    "waurá",
    "wauyai",
    "wawa",
    "wawonii",
    "waxianghua",
    "wayampi",
    "wayana",
    "wayanad",
    "wayoró",
    "wayu",
    "wayuu",
    "wedau",
    "weh",
    "wejewa",
    "welaun",
    "wele",
    "weliki",
    "wellington",
    "wells",
    "welsh",
    "wemale",
    "wemba",
    "weme",
    "wenatchi",
    "wendat",
    "wergaia",
    "weri",
    "wersing",
    "westfalen",
    "westmeath",
    "westminster",
    "westmoreland",
    "westphalien",
    "wetamut",
    "wewaw",
    "wexford",
    "weyto",
    "whanganui",
    "where",
    "white",
    "whitesands",
    "wiarumus",
    "wichita",
    "wichí",
    "wicklow",
    "wielkopolskie",
    "wien",
    "wigan",
    "wight",
    "wik",
    "wikalkan",
    "wikngenchera",
    "wilawila",
    "wilayah",
    "wilhems",
    "wiltshire",
    "wiltz",
    "win",
    "windsor",
    "windward",
    "wintu",
    "winyé",
    "wipi",
    "wir",
    "wiradjuri",
    "wiraféd",
    "wirangu",
    "wirral",
    "wiru",
    "wisconsin",
    "wishram",
    "with",
    "witu",
    "wiyot",
    "woccon",
    "wogamusin",
    "wogeo",
    "woi",
    "woiwurrung",
    "wojenaka",
    "wokingham",
    "wolane",
    "wolani",
    "wolaytta",
    "woleai",
    "woleaian",
    "woleu",
    "wolio",
    "wolof",
    "wolverhampton",
    "wom",
    "womo",
    "won",
    "wongo",
    "woods",
    "woorroong",
    "woqooyi",
    "worcestershire",
    "woria",
    "worimi",
    "world",
    "woroba",
    "worodougou",
    "woromaipu",
    "worrorra",
    "wotapuri",
    "wotho",
    "wotje",
    "wotjobaluk",
    "wotu",
    "woun",
    "wrc",
    "wrecsam",
    "wrekin",
    "wrexham",
    "written",
    "wuding",
    "wudu",
    "wujwa",
    "wuliwuli",
    "wulna",
    "wumboko",
    "wumbvu",
    "wumeng",
    "wunai",
    "wunambal",
    "wunumara",
    "wuri",
    "wurrugu",
    "wusa",
    "wushi",
    "wusi",
    "wusţá",
    "wutung",
    "wutunhua",
    "wuvulu",
    "wuzlam",
    "wyandot",
    "wymysorys",
    "wyoming",
    "wára",
    "wãpha",
    "württemberg",
    "wādī",
    "wāsiţ",
    "wāḩāt",
    "xaasongaxango",
    "xadani",
    "xagħra",
    "xaignabouli",
    "xaisômboun",
    "xakriabá",
    "xamtanga",
    "xanaguía",
    "xanica",
    "xankəndi",
    "xavánte",
    "xaçmaz",
    "xbiex",
    "xerénte",
    "xetá",
    "xewkija",
    "xgħajra",
    "xhosa",
    "xian",
    "xiang",
    "xiangkhouang",
    "xiangxi",
    "xibe",
    "xicotepec",
    "xii",
    "xiii",
    "xinca",
    "xingú",
    "xinjiang",
    "xipaya",
    "xiri",
    "xiriâna",
    "xishanba",
    "xizang",
    "xocalı",
    "xocavənd",
    "xocó",
    "xokleng",
    "xorazm",
    "xukurú",
    "xwela",
    "xwla",
    "xârâcùù",
    "xârâgurè",
    "xékong",
    "xızı",
    "yaaku",
    "yabarana",
    "yabaâna",
    "yabem",
    "yaben",
    "yabong",
    "yabula",
    "yace",
    "yacoub",
    "yaeyama",
    "yafi",
    "yagara",
    "yagaria",
    "yagha",
    "yagnobi",
    "yagomi",
    "yagua",
    "yagwoia",
    "yahadian",
    "yahang",
    "yahuna",
    "yak",
    "yaka",
    "yakaikeke",
    "yakama",
    "yakan",
    "yakha",
    "yakkha",
    "yakoma",
    "yakut",
    "yala",
    "yalahatan",
    "yalakalore",
    "yalanji",
    "yalarnnga",
    "yale",
    "yaleba",
    "yali",
    "yalova",
    "yalunka",
    "yalálag",
    "yamagata",
    "yamaguchi",
    "yamanashi",
    "yamap",
    "yamba",
    "yambes",
    "yambeta",
    "yambol",
    "yamdena",
    "yameo",
    "yami",
    "yaminahua",
    "yamna",
    "yamongeri",
    "yamoussoukro",
    "yamphu",
    "yan",
    "yana",
    "yanahuanca",
    "yanda",
    "yandjibara",
    "yandruwandha",
    "yanesha",
    "yang",
    "yangben",
    "yangere",
    "yangkam",
    "yangman",
    "yango",
    "yangon",
    "yangtse",
    "yangulam",
    "yangum",
    "yankunytjatjara",
    "yanomamö",
    "yanomámi",
    "yansi",
    "yanyuwa",
    "yao",
    "yaosakor",
    "yaouré",
    "yap",
    "yapese",
    "yapi",
    "yapunda",
    "yaqay",
    "yaqui",
    "yaracuy",
    "yarawata",
    "yardliyawarra",
    "yardımlı",
    "yareba",
    "yaren",
    "yareni",
    "yarluyandi",
    "yaroamë",
    "yarowilca",
    "yarsun",
    "yasa",
    "yasothon",
    "yassic",
    "yatay",
    "yate",
    "yatee",
    "yatenga",
    "yatzachi",
    "yatzechi",
    "yau",
    "yaul",
    "yauma",
    "yaur",
    "yautepec",
    "yauyos",
    "yavapai",
    "yavitero",
    "yawa",
    "yawalapití",
    "yawanawa",
    "yawarawarga",
    "yaweyuha",
    "yawijibaya",
    "yawiyo",
    "yawuru",
    "yaygir",
    "yazd",
    "yazgulyam",
    "yecuatla",
    "yegha",
    "yei",
    "yekhee",
    "yekora",
    "yela",
    "yele",
    "yelmek",
    "yelogu",
    "yemba",
    "yemen",
    "yemeni",
    "yemsa",
    "yen",
    "yendang",
    "yeni",
    "yeniche",
    "yerakai",
    "yeretuar",
    "yerong",
    "yerukula",
    "yessan",
    "yetfa",
    "yevanic",
    "yevlax",
    "yeyi",
    "yiddish",
    "yidgha",
    "yidiny",
    "yil",
    "yilan",
    "yimas",
    "yimchungru",
    "yimidhirr",
    "yinbaw",
    "yindjibarndi",
    "yindjilandji",
    "yine",
    "yinggarda",
    "yinhawangka",
    "yiningayi",
    "yintale",
    "yinwum",
    "yir",
    "yirandali",
    "yirrk",
    "yis",
    "yitha",
    "ynm",
    "ynys",
    "yoba",
    "yobe",
    "yocoboué",
    "yogad",
    "yogyakarta",
    "yoidik",
    "yoke",
    "yokuts",
    "yola",
    "yoloxochitl",
    "yolŋu",
    "yom",
    "yombe",
    "yomou",
    "yonaguni",
    "yong",
    "yongbei",
    "yongkom",
    "yongnan",
    "yonne",
    "yopno",
    "yora",
    "york",
    "yorkshire",
    "yoro",
    "yoron",
    "yoront",
    "yorta",
    "yoruba",
    "yosondúa",
    "yotti",
    "youjiang",
    "youle",
    "younuo",
    "youssoufia",
    "yout",
    "yoy",
    "yozgat",
    "ytra",
    "yuan",
    "yuanga",
    "yucatec",
    "yucateco",
    "yucatán",
    "yuchi",
    "yucuañe",
    "yucuna",
    "yue",
    "yug",
    "yugambal",
    "yugoslavia",
    "yugoslavian",
    "yugul",
    "yugur",
    "yuhup",
    "yui",
    "yukaghir",
    "yuki",
    "yukon",
    "yukpa",
    "yukuben",
    "yulu",
    "yuma",
    "yumbe",
    "yunis",
    "yunlin",
    "yunnan",
    "yupik",
    "yuqui",
    "yuracare",
    "yurats",
    "yuri",
    "yurok",
    "yuru",
    "yurutí",
    "yurúa",
    "yutanduchi",
    "yuwana",
    "yuyu",
    "yvelines",
    "ywom",
    "yámana",
    "yên",
    "yǒngan",
    "yǒngyang",
    "zaachila",
    "zabajkal",
    "zabana",
    "zacapa",
    "zacatecas",
    "zacatepec",
    "zacatlán",
    "zachodniopomorskie",
    "zadarska",
    "zag",
    "zaghawa",
    "zaghouan",
    "zagora",
    "zagorje",
    "zagorska",
    "zagreb",
    "zagrebačka",
    "zaire",
    "zaiwa",
    "zaječarski",
    "zakarpatska",
    "zakhring",
    "zala",
    "zalaegerszeg",
    "zamani",
    "zambales",
    "zambezi",
    "zambia",
    "zambian",
    "zamboanga",
    "zambézia",
    "zamfara",
    "zamora",
    "zan",
    "zanaki",
    "zande",
    "zangskari",
    "zangwal",
    "zaniza",
    "zanjān",
    "zanzan",
    "zanzibar",
    "zapadnobački",
    "zaporizka",
    "zapotec",
    "zaqatala",
    "zaragoza",
    "zaramo",
    "zarasai",
    "zari",
    "zarma",
    "zarphatic",
    "zarqā",
    "zauzou",
    "zavrč",
    "zawgyi",
    "zawr",
    "zay",
    "zayein",
    "zayse",
    "zaza",
    "zazaki",
    "zazao",
    "zealand",
    "zeeland",
    "zeem",
    "zeeuws",
    "zelenikovo",
    "zemba",
    "zeme",
    "zemgalian",
    "zemmour",
    "zemo",
    "zemplén",
    "zenag",
    "zenaga",
    "zenzontepec",
    "zerenkel",
    "zergulla",
    "zeta",
    "zhaba",
    "zhambyl",
    "zhang",
    "zhejiang",
    "zhemgang",
    "zhetisū",
    "zhire",
    "zhoa",
    "zhong",
    "zhuang",
    "zhuangzu",
    "zhung",
    "zhytomyrska",
    "zia",
    "zialo",
    "ziguinchor",
    "zigula",
    "zimakani",
    "zimba",
    "zimbabwe",
    "zinder",
    "zinza",
    "zire",
    "ziro",
    "zizhiqu",
    "zizilivakan",
    "zlatiborski",
    "zloty",
    "zlín",
    "zlínský",
    "znojmo",
    "zokhuo",
    "zomba",
    "zombo",
    "zondoma",
    "zone",
    "zonguldak",
    "zoogocho",
    "zoque",
    "zoroastrian",
    "zotung",
    "zou",
    "zoundwéogo",
    "zreče",
    "zrnovci",
    "zuba",
    "zug",
    "zuid",
    "zula",
    "zulgo",
    "zulia",
    "zulu",
    "zumaya",
    "zumbun",
    "zuni",
    "zuojiang",
    "zwall",
    "zyphe",
    "zyrian",
    "západ",
    "záparo",
    "zóchi",
    "zürich",
    "zābul",
    "zāwiyah",
    "zəngilan",
    "zərdab",
    "z̧a",
    "z̧aby",
    "z̧ufār",
    "z̧āhirah",
    "²ggŏ",
    "¹baw",
    "àhàn",
    "ágion",
    "água",
    "áncá",
    "árborg",
    "árneshreppur",
    "ásahreppur",
    "ávila",
    "åland",
    "çanakkale",
    "çankırı",
    "çorum",
    "équateur",
    "érd",
    "évora",
    "ípeiros",
    "ísafjarðarbær",
    "île",
    "ñapa",
    "ñeembucú",
    "ñuble",
    "órgãos",
    "óros",
    "ölfus",
    "ölgiy",
    "ömie",
    "ömnögovĭ",
    "önge",
    "örebro",
    "östergötlands",
    "övörhangay",
    "ústecký",
    "ústí",
    "þingeyjarsveit",
    "ādažu",
    "āyin",
    "āz̄ārbāyjān",
    "āşimah",
    "čair",
    "čaška",
    "česká",
    "české",
    "český",
    "češinovo",
    "črenšovci",
    "črna",
    "črnomelj",
    "čučer",
    "điện",
    "đắk",
    "định",
    "đồng",
    "ħamrun",
    "īlām",
    "īlīyah",
    "ķekavas",
    "łódzkie",
    "śląskie",
    "świętokrzyskie",
    "śāradā",
    "şabran",
    "şahbuz",
    "şalāl",
    "şalāḩ",
    "şamaxı",
    "şanlıurfa",
    "şanʻā",
    "şirvan",
    "şuşa",
    "şāʻdah",
    "şırnak",
    "şəki",
    "şəmkir",
    "şərur",
    "šakiai",
    "šalovci",
    "šalčininkai",
    "šavnik",
    "šempeter",
    "šentilj",
    "šentjernej",
    "šentjur",
    "šentrupert",
    "šenčur",
    "šiauliai",
    "šiaulių",
    "šibensko",
    "šilalė",
    "šilutė",
    "širak",
    "širvintos",
    "škocjan",
    "škofja",
    "škofljica",
    "šmarje",
    "šmarješke",
    "šmartno",
    "šoštanj",
    "štip",
    "štore",
    "šumadijski",
    "šumperk",
    "šuto",
    "švenčionys",
    "ščavnici",
    "ţafīlah",
    "ţarābulus",
    "ţarţūs",
    "żabbar",
    "żebbuġ",
    "żejtun",
    "żurrieq",
    "žabljak",
    "žalec",
    "železniki",
    "želino",
    "žetale",
    "žilinský",
    "žiri",
    "žirovnica",
    "župa",
    "županija",
    "žužemberk",
    "žďár",
    "ǀgwi",
    "ǀxam",
    "ǁani",
    "ǁgana",
    "ǁxegwi",
    "ǂhua",
    "ǂungkue",
    "ǃxóõ",
    "șoldănești",
    "ștefan",
    "ḑāli",
    "ḩajjah",
    "ḩalab",
    "ḩamāh",
    "ḩasakah",
    "ḩawallī",
    "ḩayāt",
    "ḩaḑramawt",
    "ḩimş",
    "ḩudaydah",
    "ḩudūd",
    "ṭākrī",
    "ṭāṅkrī",
}
